2015-07-09  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 8.0.4 release.

	* CHANGES: Updated.

2015-07-08  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Revert r22626.

	* misc/kb_redis.c (redis_vcommand, redis_command): Remove functions.
	(try_database_index, fetch_max_db_index_compat, fetch_max_db_index)
	(select_database, redis_release_db, redis_transaction_new)
	(redis_transaction_cmd, redis_transaction_end, redis_cmd): Use
	redisCommand() and redisvCommand().

2015-06-18  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Backport r22656.

	* nasl/nasl_ssh.c (nasl_ssh_set_login): Check that username is not
	empty.
	(nasl_ssh_userauth): Return on nasl_ssh_set_login() error.

2015-06-17  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Backport r22648.

	* nasl/nasl_ssh.c (exec_ssh_cmd): Zero buffer, reset retry counter on
	read success.

2015-06-10  Matthew Mundell <matthew.mundell@greenbone.net>

	Backport r22625.

	* misc/kb_redis.c (redis_vcommand, redis_command): New functions.
	Same as redisCommand and redisvCommand, but will retry after EINTR.
	(try_database_index, fetch_max_db_index_compat, fetch_max_db_index)
	(select_database, redis_release_db, redis_transaction_new)
	(redis_transaction_cmd, redis_transaction_end, redis_cmd): Use retry
	versions of command functions.

2015-06-03  Michael Wiegand <michael.wiegand@greenbone.net>

	Backport r22552.

	Add support for handling timeout option to omp_authenticate_info_ext ().

	* omp/omp.c (omp_authenticate_info_ext): Use try_read_entity ()
	instead of read_entity () to allow for timeouts. Make function
	description more accurate.

	* omp/omp.h (omp_authenticate_info_opts_t): Add timeout value to
	options.
	(omp_authenticate_info_opts_defaults): New function to initialize
	timeout option to 0 for backward compatibility.

2015-06-01  Michael Wiegand <michael.wiegand@greenbone.net>

	Backport r22508.

	Add support for handling timeout options to omp_get_tasks_ext () and
	omp_get_report_ext ().

	* omp/omp.c (omp_get_tasks_ext, omp_get_report_ext): Use
	try_read_entity () instead of read_entity () to allow for timeouts.
	Adjust function description to include new return value.

	* omp/omp.h (omp_get_report_opts_t, omp_get_tasks_opts_t): Add timeout
	value to options.
	(omp_get_report_opts_defaults, omp_get_tasks_opts_defaults):
	Initialize timeout option to 0 for backward compatibility.

	* omp/xml.c (try_read_entity): Note possible timeout return value in
	comment.

2015-05-27  Michael Wiegand <michael.wiegand@greenbone.net>

	Backport r22464.

	Improve handling of GnuTLS flags to ensure that the GnuTLS library
	found by pkg-config correctly takes precedence over other instances.

	* misc/CMakeLists.txt: Add GNUTLS_INCLUDE_DIRS to include_directories,
	uses GNUTLS_LDFLAGS when linking.

	* base/CMakeLists.txt: Add GNUTLS_INCLUDE_DIRS to include_directories,
	use GNUTLS_LDFLAGS (at the correct position) when linking.

2015-05-22  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Backport r22401.

	* misc/plugutils.c (plug_get_key), nasl/nasl_builtin_find_service.c
	(plugin_run_find_service): Remove useless socket duplication to fixed
	value of 4.

2015-05-11  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 8.0.4.

2015-05-11  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 8.0.3 release.

	* CHANGES: Updated.

2015-05-11  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Backport r22332.

	* misc/network.c (open_sock_tcp): Always log time-out message.

2015-05-11  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Backport r22328.

	* base/openvas_hosts.c (openvas_hosts_exclude): When in resolve mode,
	also check whether a hostname's resolved IP address is excluded.
	(openvas_host_value_str): Remove g_malloc0() return value check.

	* base/test-hosts.c (main): Add test for excluded hosts with 2nd cli
	argument.

2015-04-30  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Backport r22270.

	* misc/network.c (open_sock_tcp): Fix NDEBUG value check.

2015-04-30  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Backport r22266.

	* misc/network.c (open_sock_tcp): Wrap time-out log message in NDEBUG
	definition test.

2015-04-30  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 8.0.3.

2015-04-29  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 8.0.2 release.

	* CHANGES: Updated.

2015-04-28  Michael Wiegand <michael.wiegand@greenbone.net>

	Backport r22220.

	* base/openvas_networking.c (openvas_ssh_public_from_private): Ensure
	openvas-libraries builds with GLib =< 2.30 by wrapping g_mkdtemp_full ()
	in an ifdef and falling back to mkdtemp () when using older GLib
	versions. Based on patch suggested by Miguel Angel Cabrera Moya.

2015-04-24  Michael Wiegand <michael.wiegand@greenbone.net>

	Backport r22202.

	* libopenvas_base.pc.in, libopenvas_misc.pc.in, libopenvas_omp.pc.in,
	libopenvas_nasl.pc.in: Move dependencies from "Requires" to
	"Requires.private" to prevent overlinking when libopenvas_* is linked
	against. Update minimum versions to match CMakeLists.txt and INSTALL.

2015-04-24  Michael Wiegand <michael.wiegand@greenbone.net>

	Backport r22134.

	* CMakeLists.txt: Retrieve SNMP_LDFLAGS only when the libsnmp
	development libraries were found as net-snmp-config may be present
	without them.

2015-04-17  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Backport r22146.

	* nasl/nasl_text_utils.c (nasl_egrep): Allocate extra byte as a \n is
	appended when regex matches.

2015-04-13  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Backport parts of r22049.

	* base/openvas_hosts.c (openvas_host_reverse_lookup): Export function.

	* base/openvas_hosts.h: Add function prototype.

2015-04-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 8.0.2.

2015-04-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-libraries 8.0.1 release.

	* CHANGES: Updated.

2015-03-31  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_networking.c (openvas_ssh_public_from_private): Add key
	type in LibSSH 0.5 case.

2015-03-31  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/arglists.c (arg_add_value, arg_set_value): Remove length function
	parameter.

	* misc/arglists.h: Adjust function prototypes.
	(struct arglist): Remove unused length element.

	* misc/plugutils.c (plug_set_launch, plug_get_key), misc/prefs.c
	(prefs_set), nasl/exec.c (exec_nasl_script), nasl/nasl.c
	(init_hostinfos, init, parse_script_infos),
	nasl/nasl_builtin_find_service.c (plugin_run_find_service),
	nasl/nasl_misc_funcs.c (nasl_start_denial), nasl/nasl_socket.c
	(add_udp_data): Adjust arg_add_value() and arg_set_value() calls.

2015-03-31  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_ssh.c (do_nasl_ssh_disconnect): Check channel is not null
	before calling ssh_channel_close(). Fixes segfault on libssh 0.5.

2015-03-31  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_builtin_find_service.c (plugin_do_run): Fix possible
	double-free and adjust banner variable check.

2015-03-30  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_host.c (get_host_ip, nasl_this_host), nasl/nasl_smb.c
	(nasl_smb_connect, nasl_win_cmd_exec), nasl/nasl_wmi.c
	(nasl_wmi_connect, nasl_wmi_connect_rsop, nasl_wmi_connect_reg): Use
	addr6_as_str().

2015-03-27  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/arglists.c (arg_get_value_int): New function.

	* misc/arglists.h: Add function prototype.

	* misc/plugutils.c (plug_get_launch, proto_post_wrapped, plug_get_key),
	nasl/nasl_builtin_find_service.c (plugin_run_find_service),
	nasl/nasl_misc_funcs.c (nasl_end_denial): Use arg_get_value_int().

2015-03-27  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_builtin_openvas_tcp_scanner.c (banner_grab): Remove unused
	hostinfos function argument.
	(plugin_run_openvas_tcp_scanner): Adjust function call.

2015-03-26  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/network.c (auth_printf, auth_send, auth_gets): Remove functions.

	* misc/network.h: Remove functions prototypes.

2015-03-25  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_file.c (openvas_export_file_name): Remove useless
	variables values setting.

	* nasl/nasl_packet_forgery.c (set_tcp_elements, nasl_send_packets),
	nasl/nasl_grammar.y (mylex): Fix null pointer checks.

	* misc/internal_com.h (INTERNAL_COMM_CTRL_STOP): Remove inused
	definition.

2015-03-25  Matthew Mundell <matthew.mundell@greenbone.net>

	* base/openvas_file.c (openvas_export_file_name): Check that strings are
	long enough beofre g_strndup.  Check if strptime return is NULL before
	calling strlen on it.  Add missing space.

2015-03-25  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (omp_delete_port_list_ext): New function.

	* omp/omp.h: Add header accordingly.

2015-03-23  Michael Wiegand <michael.wiegand@greenbone.net>

	Fix includes of math.h.

	* nasl/nasl_builtin_openvas_tcp_scanner.c: Add reason for include.

	* nasl/nasl_scanner_glue.c: Remove superfluous include.

2015-03-23  Michael Wiegand <michael.wiegand@greenbone.net>

	* nasl/CMakeLists.txt: Remove duplicate flags.

2015-03-23  Michael Wiegand <michael.wiegand@greenbone.net>

	* INSTALL: Document what needs to be done to build a statically linked
	version of OpenVAS Libaries.

2015-03-20  Michael Wiegand <michael.wiegand@greenbone.net>

	* libopenvas_misc.pc.in: Set libgcrypt as "Libs.private" so pkg-config
	knows it is needed for static linking against libopenvas_misc.

2015-03-20  Michael Wiegand <michael.wiegand@greenbone.net>

	* base/CMakeLists.txt: Build test-hosts only with dynamic linking for
	the time being due to issue with statically linking the binary. Add
	TODO.

2015-03-20  Michael Wiegand <michael.wiegand@greenbone.net>

	* libopenvas_base.pc.in: Make gio dependency visible for pkg-config.

2015-03-18  Matthew Mundell <matthew.mundell@greenbone.net>

	* base/drop_privileges.c (drop_privileges): Drop supplementary groups
	too.

	* base/drop_privileges.h: Add define accordingly.

2015-03-17  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_snmp.c (snmpv3_get): Add privacy password and privacy
	protocol support, rename password and algorithm to authpass and
	authproto for consistency.
	(nasl_snmpv3_get): Add privpass and privproto arguments and add adequate
	values checks. Rename password to authpass and algorithm to authproto.

	* nasl/nasl_init.c (libfuncs): Adjust snmpv3_get() function arguments.

2015-03-16  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_snmp.c (snmp_get): Return integer for success or failure,
	Add function parameter for string result, and adjust function
	accordingly.
	(snmpv3_get, snmpv1_get): Adjust for snmp_get() function change.
	(array_from_snmp_result): New function.
	(nasl_snmpv3_get, nasl_snmpv1_get): Adjust for called functions changes
	and use array_from_snmp_result() accordingly.
	(proto_is_valid): Document function.

2015-03-16  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 8.0.1.

2015-03-16  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 8.0.0 release.

	* CHANGES: Updated.

	* CMakeLists.txt: Switch version scheme.

2015-03-13  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/plugutils.c (get_plugin_preference): Improve code style.

2015-03-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_ssh.c (nasl_ssh_userauth): Don't get any of the credentials
	from the KB if one is already provided as function argument. This fixes
	KB password taking presedence over argument private keys, for example.

2015-03-03  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_networking.c: Add include to fix build issue on some
	systems.

2015-03-03  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_networking.c (openvas_ssh_pkcs8_decrypt): Fix function
	call.

2015-03-03  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_networking.c: Add include to fix build issue on some
	systems.

2015-03-03  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_networking.c (openvas_ssh_pkcs8_decrypt)
	(openvas_ssh_public_from_private): New. Moved and adjusted from
	openvas_ssh_login.c.

	* base/openvas_networking.h: Add new functions prototypes.

	* misc/openvas_ssh_login.c, misc/openvas_ssh_login.h: Remove files.

	* nasl/nasl_ssh.c (add_tlv, pkcs8_to_sshprivatekey): Remove unused
	functions.
	(my_ssh_pki_import_privkey_base64): Call openvas_ssh_pkcs8_decrypt()
	instead of pkcs8_to_sshprivatekey().

	* COPYING, misc/CMakeLists.txt: Adjust for openvas_ssh_login.{c,h}
	removal.

2015-03-03  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/openvas_ssh_login.c (ssh_pkcs8_to_private): Replace
	gnutls_x509_privkey_export2() with gnutls_x509_privkey_export()
	as it is not available in GnuTLS 2.12.

2015-03-02  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/osp.c, base/osp.h (osp_param_name, osp_param_type),
	misc/plugutils.c (plug_get_port_transport_name): Remove unused
	functions.

	* base/hash_table_file.c, base/hash_table_file.h: Remove files
	containing unused functions.

	* COPYING, base/CMakeLists.txt: Adjust for hash_table_file.{c,h}
	removal.

2015-03-02  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/openvas_ssh_login.c (file_check_exists, openvas_ssh_login_new)
	(openvas_ssh_login_free, read_from_keyfile)
	(openvas_ssh_login_file_read_buffer): Remove functions.
	(ssh_pkcs8_to_private): New function.
	(openvas_ssh_public_from_private): Support PKCS#8 encrypted ssh keys.

	* misc/openvas_ssh_login.h: Remove unused prototypes and definitions.

2015-02-24  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/openvas_ssh_login.c (openvas_ssh_public_from_private): Add ssh
	key type to the exported public key string.

2015-02-23  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* omp/omp.c (OMP_FMT_STRING_ATTRIB): New function-style macro.
	(omp_get_report_ext): Add new options max_results, host_first_result,
	host_max_results, type, host, pos, timezone, alert_id, delta_report_id,
	delta_states, host_levels, search_phrase, host_search_phrase,
	min_cvss_base, min_qod, notes, notes_details, ignore_pagination.
	(omp_get_system_reports_ext): Add new option slave_id.

	* omp/omp.h (omp_get_report_opts_t): Add fields for new options.
	(omp_get_report_opts_defaults): Initialize report_id, first_result,
	max_results.
	(omp_get_system_reports_opts_t): Add new field slave_id.

2015-02-20  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* omp/omp.c (omp_create_task_ext): Add options alterable,
	hosts_ordering, scanner, schedule, schedule_periods, slave_id,
	in_assets, source_iface, alerts, observers, observer_groups.

	* omp/omp.h: Add #include "../base/array.h".
	(omp_create_task_opts_t): Add new options listed above.

2015-02-17  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_ssh.c (nasl_ssh_userauth): Don't attempt to authenticate if
	provided private key is empty.

2015-02-17  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Replace custom dynamic buffer implementation with glib's GString.

	* nasl/nasl_ssh.c (membuf_t): Remove struct.
	(init_membuf, put_membuf, put_membuf_str, put_membuf_comma_str)
	(put_membuf_byte, get_membuf): Remove functions.
	(g_string_comma_str): New function.
	(add_tlv, pkcs8_to_sshprivatekey, exec_ssh_cmd, nasl_ssh_request_exec)
	(nasl_ssh_get_auth_methods): Adjust to use GString instead of membuf_t.

2015-02-16  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_ssh.c (read_ssh_nonblocking, nasl_ssh_shell_read): Adjust to
	use g_string_* functions instead of membuf.

2015-02-16  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_init.c (libfuncs): Add ssh_shell_open, ssh_shell_read and
	ssh_shell_write functions.

	* nasl/nasl_ssh.c (session_table_item_s): Add channel element.
	(do_nasl_ssh_disconnect): Close channel too.
	(exec_ssh_cmd): Improve code style.
	(request_ssh_shell, nasl_ssh_shell_open, read_ssh_nonblocking)
	(nasl_ssh_shell_read, nasl_ssh_shell_write): New functions.

	* nasl/nasl_ssh.h: Add new functions prototypes.

2015-02-12  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_ssh.c (exec_ssh_cmd): Handle reading response loop using
	nonblocking interface and passive waiting to handle infinite loop case.

2015-02-11  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 8.0+beta7.

2015-02-11  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 8.0+beta6 release.

	* CHANGES: Updated.

2015-02-11  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_ssh.c (exec_ssh_cmd): Revert to using ssh_channel_read() as
	ssh_channel_read_timeout() is a recently added function.

2015-02-11  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_ssh.c (exec_ssh_command): New function. Set timeout and
	rework response reading loop to fix infinite loop case.
	(nasl_ssh_request_exec): Refactor code to use exec_ssh_command()
	accordingly.

2015-02-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* omp/omp.h (omp_create_target_opts_t): Add field esxi_credential_id.

	* omp/omp.c (omp_create_target_ext): Handle new esxi_credential_id
	option to select ESXi credentials.

2015-02-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* omp/omp.h (omp_create_target_opts_t): Add fields exclude_hosts,
	alive_tests, reverse_lookup_only, reverse_lookup_unify.

	* omp/omp.c (omp_create_target_ext): Handle options exclude_hosts,
	alive_tests, reverse_lookup_only, reverse_lookup_unify. Free all
	temporary strings at the end.

2015-02-10  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (omp_create_lsc_credential_ext): New function.

	* omp/omp.h: Add headers accordingly.

2015-02-09  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/scanners_utils.c, misc/scanners_utils.h: Remove files.

	* nasl/nasl_builtin_nmap.c, nasl/nasl_builtin_synscan.c,
	nasl/nasl_scanner_glue.c: Adjust headers includes.

	* COPYING: Remove scanners_utils.[c,h] license details.

	* misc/CMakeLists.txt: Delete removed files from build process.

	* misc/network.c (getpts, qsort_compar): New functions.

	* misc/network.h: Add getpts() prototype.

2015-02-09  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (omp_create_target_ext): Add SSH port option.

	* omp/omp.h (omp_create_target_opts_t): Add ssh_credential_port.
	(omp_create_target_opts_defaults): Init ssh_credential_port.

2015-02-06  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/network.c, misc/openvas_server.c, nasl/nasl_ssh.c: Remove
	work-arounds for old gnutls versions < 2.12 which are unsupported.

2015-02-06  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_ssh.c (nasl_ssh_userauth): Refactor code. Always try to get
	the private key and keep support for empty passwords.  Based on patch by
	Michel Pelletier.

2015-02-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_packet_forgery.c (pseudo_udp_hdr): Add an extra byte for
	padding so that the udp checksum is calculated correctly.

2015-01-23  Michael Wiegand <michael.wiegand@greenbone.net>

	Simplify handling of library flags in CMakeLists.txt files, thereby
	removing the need for clumsy workarounds.

	* CMakeLists.txt: Remove redundant queries of library flags which were
	already retrieved by CMake.

	* base/CMakeLists.txt: Check for libraries with pkg_check_modules. Set
	include directories with include_directories instead of target
	properties.

	* misc/CMakeLists.txt: Check for libraries with pkg_check_modules. Set
	include directories with include_directories instead of target
	properties.

	* omp/CMakeLists.txt: Set include directories with include_directories
	instead of target properties. Remove quotes in target_link_libraries
	so that CMake lists get expanded correctly. Use GNUTLS_LDFLAGS
	retrieved by pkg_check_modules instead of hardcoding value.

	* nasl/CMakeLists.txt: Check for libraries with pkg_check_modules. Set
	include directories with include_directories instead of target
	properties. Remove quotes in target_link_libraries
	so that CMake lists get expanded correctly. Remove duplication of WMI
	related flags and variables.

2015-01-22  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/osp.h: Move struct osp_param definition to base/osp.c as as it is
	not unused elsewhere.

2015-01-22  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/osp.c (osp_get_scanner_description): Remove function.
	(osp_get_scanner_params): Rename to osp_get_scanner_details(). Also
	return the scanner's description.

	* base/osp.h: Export struct osp_param. Remove and modify functions
	prototypes.

	* misc/ids_send.c (ids_send): Return on getpeername() error.

2015-01-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/wmi-howto.txt: Removed. This is not required anymore since we
	we use openvas-smb.

	* INSTALL: Fixed recommend from wmi to openvas-smb

2015-01-19  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/osp.c (osp_get_version): Update function documentation.
	(osp_get_scanner_description): New function.

	* base/osp.h: Add new function prototype.

2015-01-19  Benoît Allard  <benoit.allard@greenbone.net>

	* nasl/nasl_smb.ci (nasl_win_cmd_exec): Fix memory leak of 'ip'.

2015-01-19  Benoît Allard  <benoit.allard@greenbone.net>

	* base/osp.c: Fix redefinition of osp_connection_t.

2015-01-19  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Fix build warnings in Release mode.

	* base/osp.c (osp_param_str_to_type, osp_param_type_str): Always return
	values.

	* nasl/nasl_ssh.c (nasl_ssh_request_exec): Zero compat_buf buffer.

2015-01-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Switch dependency and build procedure from wmi package to openvas-smb.
	This is based on a patch by Andre Heinecke.

	* CMakeLists.txt: Switch dependencies from wmiclient to
	libopenvas_wmiclient and from wmicmd to libopenvas_wincmd.

	* nasl/CMakeLists.txt: Consider libopenvas_smb methods for
	variable setting instead wmi methods.

2015-01-15  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/osp.c (osp_get_scanner_version): Also extract scanner name,
	daemon name, daemon version, protocol name and protocol version.
	Rename function to osp_get_version().

	* base/osp.h: Rename function prototype.

2015-01-15  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Remove duplicate cmake_minimum_required.

2015-01-15  Michael Wiegand <michael.wiegand@greenbone.net>

	* base/CMakeLists.txt: Link test-hosts with the correct library when
	in a static build.

2015-01-12  Michael Wiegand <michael.wiegand@greenbone.net>

	Add check for required libgcrypt. It was already expected to be
	present (see usage of libgcrypt-config), but never checked for.
	Starting with GnuTLS 3.0, libgcrypt is no longer a dependency of
	libgnutls, so a separate check is required anyway for the future.

	* CMakeLists.txt: Try to find libgcrypt before calling
	libgcrypt-config. Raise SEND_ERROR if the library can not be found.

	* INSTALL: Note libgcrypt as prerequisite.

2015-01-12  Michael Wiegand <michael.wiegand@greenbone.net>

	* nasl/CMakeLists.txt: Check for bison before attempting to use it.

2015-01-12  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt, misc/CMakeLists.txt: Make it a SEND_ERROR instead of
	a FATAL_ERROR if a required library was not found with find_library.
	This mimics the behavior of pkg_check_modules and makes it possible
	for the user to gather all required libraries after one CMake run
	instead of having to step through all dependencies one by one. Remove
	now obsolete TODO.

2015-01-12  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Check if pkg-config was found. Abort and log a fatal
	error if it is not found.

2015-01-12  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 8.0+beta6.

2015-01-12  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 8.0+beta5 release.

	* CHANGES: Updated.

2015-01-08  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/openvas_server.c (server_attach_internal): Use unsigned int for
	retries, to avoid passing negatives to the sleep function.

2015-01-08  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/openvas_server.c (server_attach_internal): Sleep between retries
	of gnutls_handshake.

2015-01-08  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* INSTALL: Update to mention netsnmp for improved SNMP support.

2015-01-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* base/openvas_file.c (openvas_export_file_name): Add parameters
	name and format_name and support new placeholders %F (report format)
	and %N (name). Escape quote marks (") in format string.

	* base/openvas_file.h (openvas_export_file_name): Update parameters.

2014-12-30  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_http.c (_http_req): Added comments to explain the handling
	of port 80 and 443.

2014-12-29  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_http.c (_http_req): Don't append port number in host header
	in 443 value case too.

2014-12-29  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_http.c (_http_req): Don't append port number to http host
	header when its value is 80.

2014-12-19  Michael Wiegand <michael.wiegand@greenbone.net>

	* doc/wmi-howto.txt: Document location of latest patch and describe
	how the patch should be applied.

2014-12-17  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/plugutils.c (proto_post_wrapped, get_plugin_preference): Add
	function parameter null checks.

2014-12-15  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/osp.h (OSP_PARAM_TYPE_SELECTION): New enum value.

	* base/osp.c (osp_param_str_to_type, osp_param_type_str): Handle
	OSP_PARAM_TYPE_SELECTION case accordingly.

2014-12-15  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* omp/omp.c (omp_resume_or_start_task_report,
	omp_resume_or_start_task): Removed.

	* omp/omp.h: Removed protos accordingly.

2014-12-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* omp/omp.c (omp_resume_stopped_task_report): Renamed to
	omp_resumt_task_report and apply the xml command resume_task
	instead of resume_stopped_task.

	* omp/omp.h: Adjust proto accordingly.

2014-12-12  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/osp.h (OSP_PARAM_TYPE_OVALDEF_FILE): New enum value.

	* base/osp.c (osp_param_str_to_type, osp_param_type_str): Handle
	OSP_PARAM_TYPE_OVALDEF_FILE case accordingly.

2014-12-09  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_networking.c (addr6_as_str): New function.

	* base/openvas_networking.h: Add new function prototype.

	* misc/plugutils.c (plug_get_host_ip_str), misc/www_funcs.c
	(build_encode_URL), nasl/nasl_host.c (nasl_this_host): Refactor code to
	use addr6_as_str()

	* misc/network.c (open_sock_tcp): Adjust code to use
	plug_get_host_ip_str().

2014-12-09  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/plugutils.c (plug_get_host_ip_str): New function.

	* misc/plugutils.h: Add new function header.

	* nasl/nasl_init.c (libfuncs): Adjust snmpv1_get() and snmpv3_get()
	function arguments.

	* nasl/nasl_snmp.c (proto_is_valid): New function.
	(nasl_snmpv1_get, nasl_snmpv3_get): Take port and protocol as function
	arguments instead instead of peername. Adjust functions accordingly.

2014-12-08  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/arglists.c (arg_dup): Removed unused method.

	* misc/arglists.h: Removed proto accordingly.

2014-12-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_init.c (libfuncs): Add snmpv3_get() nasl function.

	* nasl/nasl_snmp.c (snmp_get, snmpv3_get, nasl_snmpv3_get): New
	functions.
	(snmpv1_get): Refactor code and call snmp_get() accordingly.

2014-12-03  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_socket.c (nasl_open_privileged_socket): Call
	openvas_register_connection() with OPENVAS_ENCAPS_IP encapsulation.

2014-12-02  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* CMakeLists.txt: Add check for netsnmp-dev.

	* nasl/CMakeLists.txt: Define HAVE_NETSNMP based on netsnmp-dev
	presence.

2014-12-02  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_builtin_find_service.c (plugin_do_run): Add Host header to
	HTTP get request.

2014-12-02  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/www_funcs.c (build_encode_URL), nasl/nasl_builtin_find_service.c
	(plugin_do_run): Revert previous change for the being time.

2014-12-02  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/www_funcs.c (build_encode_URL), nasl/nasl_builtin_find_service.c
	(plugin_do_run): Use HTTP version 1.1 instead of version 1.0.

2014-12-01  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* base/credentials.h (credentials_t): Add components severity_class and
	dynamic_severity.

	* base/credentials.c (free_credentials): Free severity_class and set
	dynamic_severity to 0.

2014-11-28  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_snmp.c: Put headers includes within HAVE_NETSNMP check.

2014-11-28  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_snmp.c, nasl/nasl_snmp.h: New files.

	* CMakeLists.txt: Get netsnmp ld flags.
	(HAVE_NETSNMP): New variable.

	* nasl/CMakeLists.txt: Add nasl_snmp.c and netsnmp ld flags to build
	process.

	* nasl/nasl_init.c (libfuncs): Add snmpv1_get() function when netsnmp is
	available.

2014-11-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CHANGES: Fixed paste accident.

2014-11-27  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl.c (init_hostinfos): Don't set useless PORTS value.

2014-11-26  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* base/openvas_file.c: Add #define _GNU_SOURCE and include <string.h>
	and <time.h>.
	(openvas_export_file_name): New function.

	* base/openvas_file.h (openvas_export_file_name): New prototype.

2014-11-25  Michael Meyer <michael.meyer@greenbone.net>

	* nasl/nasl_http.c(_http_req):
	Updated User-Agent.

2014-11-21  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/nvticache.c (nvticache_add): Adjust call to nvti_to_keyfile.

	* base/nvti.h: Remove and adjust functions prototypes.
	(struct nvti): Remove src element.

	* base/nvti.c (nvti_free, nvti_from_keyfile): Adjust for src element
	removal.
	(nvti_src, nvti_set_src): Delete functions.
	(nvti_to_keyfile): Add src function argument. Adjust for src element
	removal.

2014-11-21  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* CMakeLists.txt (EXTRA_LIBS, EXTRA_CFLAGS): Delete variables.

	* libopenvas_base.pc.in, libopenvas_misc.pc.in, libopenvas_nasl.pc.in,
	libopenvas_omp.pc.in: Don't use removed variables.

2014-11-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 8.0+beta5.

2014-11-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-libraries 8.0+beta4 release.

	* CHANGES: Updated.

2014-11-20  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_builtin_openvas_tcp_scanner.c (banner_grab)
	(plugin_run_openvas_tcp_scanner), nasl/nasl_builtin_synscan.c (scan),
	nasl/nasl_scanner_glue.c (nasl_scanner_status): Don't call
	comm_send_status().

2014-11-20  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/scanner_utils.c (comm_send_status): Remove action argument and
	don't send it as part of the STATUS otp response.

	* misc/scanner_utils.h: Adjust function prototype.

	* nasl/nasl_builtin_opevnas_tcp_scanner.c (banner_grab)
	(plugin_run_openas_tcp_scanner), nasl/nasl_builtin_synscan.c (scan)
	nasl/nasl_scanner_glue.c (nasl_scanner_status): Adjust
	comm_send_status() call.

2014-11-20  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/CMakeLists.txt: Link against libgcrypt in none mingw case.

2014-11-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Save the path to the NVT directory in the cache hash table.
	This is a considerable memory reduction.

	* base/nvticache.c (nvticache_get): Don't use the full src path
	anymore for the hash table. Use just the NVT path name
	without path to NVT directory.
	(nvticache_get_by_oid_full): No need to drop the NVT directory
	path anymore.
	(nvticache_get_src): Don't return a simple pointer to the full
	patch anymore. Instead build the full filename and then return
	a newly allocated object.

	* base/nvticache.h: Adjust proto accordingly.

2014-11-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/plugutils.c (plug_create_from_nvti_and_prefs): Finally drop
	setting the "OID" element and thus save considerable amount of
	memory.

2014-11-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Replace more cases of using "OID" from arglists by explicit
	oid. This requires some extensive changes.

	* nasl/nasl_misc_funcs.c (simple_register_host_detail): Get the oid
	from the lexic context instead of via arglist.

	* misc/plugutils.c (mark_successful_plugin, mark_post,
	proto_post_wrapped): Add parameter "oid" and use this instead of "OID"
	from the arglist.
	(proto_post_alarm, post_alarm, proto_post_log, post_log,
	proto_post_error, -post_error): Add parameter "oid" and use it for
	subsequent calls.
	(get_plugin_preference): Replace arglist parameter by oid.

	* misc/plugutils.h: Adjust protos accordingly.

	* nasl/nasl_scanner_glue.c (script_get_preference,
	script_get_preference_file_content,
	script_get_preference_file_location): Adjust call of
	get_plugin_preference.
	(proto_post_something_t, post_something_t): Adjust to new parameter of
	post functions.
	(security_something): Add oid to calls of post functions.

	* nasl/nasl_builtin_find_service.c: Changed function headers to comply
	with styleguide. Change any call of post_* to apply oid as
	first parameter.
	(oid): New. Global variable that contains the OID of this NVT.
	(plugin_do_run): Adjust call of get_plugin_preference.
	(plugin_run_find_service): Set the global oid from the lexic context.
	Adjust call of get_plugin_preference.

	* nasl/nasl_builtin_nmap.c (nmap_t): Add element "oid".
	(nmap_create): Set the oid and adjust call of get_plugin_preference.
	(build_cmd_line, add_scantype_arguments, add_timing_arguments): Adjust
	call of get_plugin_preference.

2014-11-19  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/CMakeLists.txt: Link base library against gpgme. Remove
	redundant test-hosts link against gpgme.

2014-11-19  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/CMakeLists.txt, misc/CMakeLists.txt, nasl/CMakeLists.txt,
	omp/CMakeLists.txt: Remove unneeded linking and cleanup code.

2014-11-19  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/CMakeLists.txt, misc/CMakeLists.txt, base/CMakeLists.txt,
	omp/CMakeLists.txt: Move variables HARDENING_FLAGS, CMAKE_C_FLAGS_DEBUG
	to CMakeLists.txt

	* CMakeLists.txt (HARDENING_FLAGS, CMAKE_C_FLAGS_DEBUG): New variables.

2014-11-18  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/kb_redis.c (redis_get_single): Force int only for KB_TYPE_INT
	case, as this function is also called by redis_get_str().

2014-11-17  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* libopenvas_base.pc.in, libopenvas_misc.pc.in, libopenvas_nasl.pc.in,
	libopenvas_omp.pc.in: New files.

	* libopenvas.pc.in: Remove file.

	* CMakeLists.txt: Configure and install new files instead of
	libopenvas.pc.in.

2014-11-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_func.c (nasl_func_call): Copy over oid as well to
	new context.

2014-11-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_lex_ctxt.h (lex_ctxt): Add element "oid" to struct.

	* nasl/nasl_lex_ctxt.c (init_empty_lex_ctxt): Initialize new
	element "oid" with NULL.

	* nasl/exec.c (exec_nasl_script): Add new parameter for oid
	and set the oid to the lexic context.

	* nasl/nasl.h: Adjust proto accordingly.

	* nasl/nasl_scanner_glue.c (get_script_oid): Get the OID from the lexic
	context instead of from the arglist.

	* nasl/nasl.c (parse_script_infos): Adjust call of exec_nasl_script().
	(main): Adjust call of exec_nasl_script() with the oid achieved
	from the description-run before.

	* nasl/nasl-lint.c (process_file): Adjust call of exec_nasl_script().

2014-11-12  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/internal_com.h (INTERNAL_COMM_CTRL_STOP): New define.

2014-11-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/nvticache.c (nvticache_get_filename): New. Get the source
	filename of an OID without the NVT main directory path.

	* base/nvticache.h: Added proto accordingly.

2014-11-11  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/plugutils.c (mark_post), misc/scanners_utils.c (getpts),
	misc/www_funcs.c (build_encode_URL), nasl/nasl_builtin_find_service.c
	(plugin_do_run), nasl/nasl_smb.c (nasl_smb_connect), nasl/nasl_wmi.c
	(nasl_wmi_connect, nasl_wmi_connect_rsop, nasl_wmi_connect_reg): Fix
	possible memory leak.

	* nasl/nasl_smb.c (nasl_smb_versioninfo, nasl_smb_close)
	(nasl_smb_file_SDDL, nasl_smb_file_owner_sid, nasl_smb_file_group_sid)
	(nasl_smb_file_trustee_rights, nasl_win_cmd_exec), nasl/nasl_wmi.c
	(nasl_wmi_versioninfo, nasl_wmi_close, nasl_wmi_query)
	(nasl_wmi_reg_get_sz, nasl_wmi_reg_enum_value, nasl_wmi_reg_enum_key)
	(nasl_wmi_reg_get_bin_val, nasl_wmi_reg_get_dword_val)
	(nasl_wmi_reg_get_ex_string_val, nasl_wmi_reg_get_mul_string_val)
	(nasl_wmi_reg_get_qword_val, nasl_wmi_reg_set_dword_val)
	(nasl_wmi_reg_set_qword_val, nasl_wmi_reg_set_ex_string_val)
	(nasl_wmi_reg_set_string_val, nasl_wmi_reg_create_key)
	(nasl_wmi_reg_delete_key): Remove useless null check.

2014-11-11  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/plugutils.c (plug_get_key): Free results list.

2014-11-11  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/plugutils.c (plug_get_key): Fix memory leak.

	* nasl/nasl_ssh.c (get_ssh_port): Get ssh port key in separate variable
	as it is not const.

2014-11-11  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Fix memory leak in plug_get_key() call.

	* misc/plugutils.c (plug_get_host_fqdn): Remove const specifier from
	return value. Duplicate returned FQDN value too.
	(plug_get_key): Duplicate memory in KB_TYPE_INT case too.

	* misc/plugutils.h: Adjust function prototype.

	* nasl/nasl_builtin_find_service.c (plugin_do_run),
	nasl/nasl_builtin_openvas_tcp_scanner.c (banner_grab), nasl/nasl_host.c
	(get_hostname), nasl/nasl_http.c (_http_req), nasl/misc_funcs.c
	(nasl_open_sock_kdc), nasl/nasl_scanner_glue.c (get_kb_item),
	nasl/nasl_ssh.c (get_ssh_port):  Adjust to free memory returned by
	plug_get_key() and plug_get_host_fqdn().

2014-11-11  Benoît Allard  <benoit.allard@greenbone.net>

	* nasl/nasl_builtin_synscan.c, nasl/nasl_raw.h: Define _DEFAULT_SOURCE,
	  _BSD_SOURCE is deprecated from glibc-2.20 on and generates warning.
	  See https://sourceware.org/glibc/wiki/Release/2.20#Packaging_Changes

2014-11-09  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Final step of switching to global preference store.

	* misc/plugutils.c (add_plugin_preference): Drop argument "prefs".
	Use prefs_set instead of setting a arglist.
	(plug_create_from_nvti_and_prefs): Drop argument "prefs".
	Do not add anymore a "preferences" arglist to the plugin arglist.
	(proto_post_wrapped): Use prefs_get() instead of get_preferences().
	(get_preference): Remnoved.
	(get_plugin_preference): Do not get the preferences from the "desc"
	and get it directly via preferences_get instead.

	* misc/plugutils.h: Adjust protos accordingly.

	* nasl/nasl_builtin_synscan.c (plugin_run_synscan): Use prefs_get
	instead of preferences_get.

	* nasl/nasl_http.c (cgibin): Use prefs_get instead of directly accessing
	the plugin arglist for "preferences".

	* nasl/nasl_builtin_nmap.c (add_portrange): User prefs_get instead
	of "preferences" from plugin aglist.

	* nasl/nasl-lint.c (main): Do not set the "preferences" arglist.

	* nasl/nasl_ssh.c (get_ssh_port): Use prefs_get instead of getting
	"preferences" from the arglist.

	* nasl/nasl_scanner_glue.c (safe_checks): Use prefs_get_bool
	instead of getting "preferences" from the arglist.
	(nasl_get_preference, nasl_scanner_get_port): Use prefs_get instead
	of getting "preferences" from the arglist.

	* nasl/exec.c (exec_nasl_script): Use prefs_get instead of getting
	"preferences" from the arglist.

	* nasl/nasl.c (init): Use prefs_get instead of getting "preferences"
	from the arglist.

2014-11-07  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_cmd_exec.c (nasl/nasl_cmd_exec.c (nasl_pread): Dereference
	tree cell after usage, to fix memory leak.

2014-11-07  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_func.c (free_func): Free args_names after freeing all the
	pointers.

2014-11-06  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/nvticache.h: Export nvticache_free() header.

2014-11-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/plugutils.c (unscanned_ports_as_closed): Use prefs_get_bool
	directly and thus simplify code and drop argument "preferences".
	(kb_get_port_state_proto): Use get_prefs() directly and thus drop
	argument "prefs".

	* nasl/nasl_builtin_openvas_tcp_scanner.c (plugin_run_openvas_tcp_scanner):
	Use prefs_get directly.

2014-11-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Move preferences handling from scanner to libraries because
	we need to access it from some modules here directly while
	at the same time getting rid of storing preferences pointer
	in the arglists.

	* misc/prefs.c, misc/prefs.h: New.

	* misc/CMakeLists.txt: Handle module prefs.

	* COPYING: Add module prefs.

2014-11-03  Michael Wiegand <michael.wiegand@greenbone.net>

	* nasl/nasl_smb.c (nasl_win_cmd_exec): Allocate extra bytes for all
	parts of the wincmd argument vector to compensate for convenience byte
	lost in the switch from emalloc () to g_malloc0 (). Patch provided by
	Thanga Prakash.

2014-11-03  Michael Wiegand <michael.wiegand@greenbone.net>

	* nasl/nasl_smb.c (nasl_win_cmd_exec): Make sure "cmd" variable is
	not empty before attempting query. Patch provided by Thanga Prakash.

2014-11-02  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/scanners_utils.c (comm_send_status): Don't consider scanner
	option "ntp_short_status" anymore. This short syntax of "STATUS"
	command of OTP is not supported anymore.

2014-10-30  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/openvas_ssh_login.c (openvas_ssh_public_from_private): Use newer
	libssh API when available. This allows supporting ecdsa keys when using
	libssh 0.6.0 or higher.

2014-10-29  Matthew Mundell <matthew.mundell@greenbone.net>

	Skip OMP library log messages when sending passwords.

	* misc/openvas_server.c (openvas_server_vsendf_internal): New function.
	Body from openvas_server_vsendf, with quiet arg.
	(openvas_server_vsendf): Call openvas_server_vsendf_internal.
	(openvas_server_vsendf_quiet, openvas_server_sendf_quiet)
	(openvas_server_sendf_xml_quiet): New functions.

	* misc/openvas_server.h: Add header accordingly.

	* omp/omp.c (omp_authenticate, omp_authenticate_info_ext)
	(omp_create_lsc_credential): Use quiet send function when logging.

2014-10-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl.c, nasl/nasl.h, nasl/nasl_debug.c, nasl/nasl_debug.h,
	nasl/openvas_smb_interface.h, nasl/openvas_wmi_interface.h: Made any
	method without parameter explicitly use "void" to inticate this and
	help compiler to identify wrong usage.

2014-10-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/openvas_auth.c, misc/openvas_auth.h, misc/openvas_logging.c,
	misc/openvas_logging.h, misc/network.c, misc/network.h,
	misc/openvas_uuid.c, misc/openvas_uuid.h: Made any method without
	parameter explicitly use "void" to inticate this and help compiler to
	identify wrong usage.

2014-10-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/nvti.c, base/openvas_networking.c, base/nvti.h,
	base/openvas_networking.h, base/osp.c, base/nvticache.c, base/osp.h,
	base/nvticache.h: Made any method without parameter explicitly use "void" to
	inticate this and help compiler to identify wrong usage.

2014-10-28  Michael Meyer <michael.meyer@greenbone.net>

	* misc/plugutils.c (plug_set_key):
	Added newline to output.

2014-10-28  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/pcap.c (v6_routethrough): Remove null pointer dereference.

	* misc/plugutils.c (kb_get_port_state_proto): Set default proto value to
	fix possible null pointer dereference.

2014-10-27  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/arglists.c, misc/bpf_share.c, misc/pcap.c, nasl/charcnv.c: Use
	log_legacy_write() instead of printf() for printing errors and warnings.

2014-10-27  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/nvticache.c (nvticache_initialized): New function.

	* base/nvticache.h: Add new function prototype.

	* misc/plugutils.c (proto_post_wrapped, get_plugin_preference): Check
	that nvti cache is initialized.

2014-10-25  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_text_utils.c (_regreplace, nasl_substr): Adequately add
	extra byte for null terminator.

2014-10-24  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/nvticache.c (nvticache_get_src): New function.

	* base/nvticache.h: Add new function prototype.

2014-10-23  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_text_utils.c (nasl_rawstring, nasl_insstr, nasl_chomp):
	Adequately add extra byte for null terminator.

2014-10-22  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_grammar.y (ipaddr): Use g_strdup_printf() instead of
	g_malloc0() + snprintf().

	* nasl/nasl_tree.c (dup_cell), nasl/nasl_var.c (affect_to_anon_var)
	(rray2str): Adequately add extra byte for null terminator when
	allocating memory buffers.

2014-10-22  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_cert.c (parse_dn_part_for_CN): Set p pointer properly. Fixes
	scanner segfault introduced by r20560.

2014-10-21  Henri Doreau <henri.doreau@gmail.com>

	* misc/network.c (internal_recv): Reworked the way memory is managed.
	The function now always allocates memory (how much is needed) and lets
	the caller responsible for releasing it with g_free eventually.

	* misc/plugutils.c (plug_get_key): Free the internal_recv buffer after
	use.

2014-10-21  Henri Doreau <henri.doreau@gmail.com>

	* misc/plugutils.c (_add_plugin_preference): Replaced g_malloc0() +
	snprintf() by g_strdup_printf().

	* nasl/exec.c (cell2str): Replaced g_malloc0() + snprintf() by
	g_strdup_printf().

2014-10-21  Henri Doreau <henri.doreau@gmail.com>

	* nasl/nasl_builtin_find_service.c (fwd_data): Don't pre-allocate a
	buffer for internal_recv() and systematically free it after use.

2014-10-20  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/exec.c (nasl_exec): Add extra byte when allocating memory for
	CONST_DATA and CONST_STRING cases, used for null terminator.

2014-10-17  Michael Wiegand <michael.wiegand@greenbone.net>

	The required minimum version for the GnuTLS library has actually been
	2.12 for a while now. Adjust documentation and checks accordingly.

	* INSTALL: Update prerequisites.

	* CMakeLists: Adjust minimum version in gnutls check.

2014-10-14  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 8.0+beta4.

2014-10-14  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 8.0+beta3 release.

	* CHANGES: Updated.

2014-10-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/hash_table_file.c: Moved here from misc/.

	* base/hash_table_file.h: Moved here from misc/.

	* misc/hash_table_file.c: Moved to base/.

	* misc/hash_table_file.h: Moved to base/.

	* base/CMakeLists.txt: Added handling of module hash_table_file.

	* misc/CMakeLists.txt: Removed handling of module hash_table_file.

	* COPYING: Adapted directory accordingly.

2014-10-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Various fixes for issues identified via clang analysis.

	* misc/plugutils.c (plug_get_key): Removed dead assignment.

	* nasl/iconv.c (smb_iconv_open_ntlmssp): Removed dead assignment
	of variable "from" and "to".

	* nasl/nasl_builtin_openvas_tcp_scanner.c (banner_grab): Moved
	assignment into DEBUG code.

	* misc/network.c (read_stream_connection_unbuffered): Removed dead
	assigment of "now".

	* misc/www_funcs.c (build_encode_URL): Removed dead assignment of
	n_slash.

	* misc/ids_send.c (ids_send): Removed useless bzero of variable su.
	su is a NULL pointer here.


2014-10-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_packet_forgery_v6.c (forge_icmp_v6_packet): Replaced
	realloc() by g_realloc() and free() by g_free().

	* nasl/nasl_cert.c (parse_dn_for_CN, build_hostname_list): Replaced
	free() by g_free().

2014-10-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_wmi.c (nasl_wmi_connect, nasl_wmi_connect_rsop,
	nasl_wmi_connect_reg): Replaced emalloc() by g_malloc0().

	* nasl/nasl_smb.c (nasl_win_cmd_exec): Replaced emalloc() by
	g_malloc0().

	* nasl/nasl_packet_forgery.c (forge_ip_packet, set_ip_elements,
	insert_ip_options, forge_tcp_packet, get_tcp_element, set_tcp_elements,
	forge_udp_packet, get_udp_element, set_udp_elements, forge_icmp_packet,
	forge_igmp_packet, nasl_pcap_next, nasl_send_capture): Replaced
	emalloc() by g_malloc0().

	* nasl/nasl_packet_forgery_v6.c (forge_ipv6_packet, set_ipv6_elements,
	insert_ipv6_options, forge_tcp_v6_packet, get_tcp_v6_element,
	set_tcp_v6_elements, forge_udp_v6_packet, get_udp_v6_element,
	set_udp_v6_elements, forge_icmp_v6_packet, forge_igmp_v6_packet):
	Replaced emalloc() by g_malloc0().

	* nasl/nasl_grammar.y (ipaddr, init_nasl_ctx, mylex): Replaced
	emalloc() by g_malloc0().

	* misc/CMakeLists.txt: Removed handlung of system.c and system.h.

	* misc/system.c, misc/system.h: Removed.

	* COPYING: Removed module "system". And removed doubled entry
	for strutils.

2014-10-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/wmi-howto.txt: Updated for an updated patch that
	does not use emalloc anymore but rather g_malloc0.

2014-10-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/system.c (efree):  Removed as all uses are eliminated now.

	* misc/system.h: Removed proto accordingly.

	* nasl/nasl_grammar.y (inc, nasl_clean_ctx): Replaced efree() by
	g_free().

	* nasl/nasl_packet_forgery.c (forge_tcp_packet, set_tcp_elements,
	forge_udp_packet, set_udp_elements, nasl_send_packet,
	nasl_send_capture): Replaced efree() by g_free().

	* nasl/nasl_packet_forgery_v6.c (forge_tcp_v6_packet, set_tcp_v6_elements,
	forge_udp_v6_packet, set_udp_v6_elements, forge_icmp_v6_packet,
	nasl_send_v6packet): Replaced efree() by g_free().

2014-10-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/system.c (erealloc):  Removed as all uses are eliminated now.

	* misc/system.h: Removed proto accordingly.

	* nasl/nasl_grammar.y (mylex): Replaced erealloc() by g_realloc().
	Don't check for NULL anymore as this makes no sense anymore.

2014-10-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/system.c (estrdup): Removed as all uses are eliminated now.

	* misc/system.h: Removed proto accordingly.

	* nasl/nasl_wmi.c (nasl_wmi_connect, nasl_wmi_connect_rsop,
	nasl_wmi_connect_reg): Replaced estrdup() by g_strdup().

	* nasl/nasl_smb.c (nasl_smb_connect, nasl_win_cmd_exec): Replaced
	estrdup() by g_strdup().

	* nasl/nasl_grammar.y (mylex): Replaced estrdup() by g_strdup().

	* nasl/nasl_packet_forgery_v6.c (get_ipv6_element): Replaced estrdup() by g_strdup().

2014-10-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_socket.c (nasl_recv, nasl_recv_line): Replaced emalloc() by g_malloc0()
	and efree() by g_free().
	(nasl_join_multicast_group): Replaced erealloc() by g_realloc() and removed
	subsequent and now useless test for NULL.
	(nasl_get_sock_info): Replaced estrdup() by g_strdup() and emalloc() by g_malloc0().

	* nasl/capture_packet.c (init_capture_device, init_v6_capture_device): Replaced
	estrdup() by g_strdup(), emalloc() by gmalloc0() and efree() by g_free().
	(capture_next_packet): Replaced emalloc() by gmalloc0().
	(capture_next_v6_packet): Replaced emalloc() by g_malloc0().

2014-10-10  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/nvti.c, base/nvti.h (nvtis_new, nvtis_free, nvtis_add)
	(nvtis_lookup, free_nvti_for_hash_table): Restore functions as they are
	still used in Manager.

	* base/nvticache.c (nvticache_init): Fix hash table initialization to
	free memory correctly.

2014-10-10  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Decrease the in-memory nvti cache size, reducing the memory consumption
	of all scanner processes by ~6m.

	* base/nvticache.c (nvticache_init, nvticache_free): Call glib hash
	table helpers directly.
	(nvticache_get): Insert the nvti's src as hash table value instead of
	the whole nvti struct. Return the nvti directly to the caller, who
	should free it accordingly.
	(nvticache_get_by_oid_full): Adjust for the nvti src value being stored
	directly in the hash table.
	(nvticache_get_src_by_oid): Remove unused function.

	* base/nvticache.h: Adjust and remove functions prototypes.

	* base/nvti.c (free_nvti_for_hash_table, nvtis_new, nvtis_free)
	(nvtis_add, nvtis_remove, nvtis_lookup, nvti_shrink): Remove unused
	functions.

	* base/nvti.h: Remove deleted functions prototypes and nvtis_t typedef.

2014-10-09  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_func.c (insert_nasl_func): Replaced emalloc() by
	g_malloc0() and estrdup() by g_strdup().
	(nasl_func_call): Replaced emalloc() by g_malloc0() and
	efree() by g_free().
	(free_func): Replaced efree() by gfree() and free() by g_free().

	* nasl/nasl_misc_funcs.c (nasl_make_list, nasl_make_array, nasl_keys,
	nasl_func_named_args, nasl_gettimeofday, nasl_localtime, nasl_dec2str):
	Replaced emalloc() by g_malloc0().

	* nasl/nasl_cert.c (build_hostname_list, make_hexstring, get_name):
	Replaced emalloc() by g_malloc0().
	(get_name, nasl_cert_query): Replaced emalloc() by g_malloc0() and
	estrdup() by g_strdup().

2014-10-09  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_isotime.c (nasl_isotime_now, nasl_isotime_scan,
	nasl_isotime_print, nasl_isotime_add): Replaced estrdup() by g_strdup().

2014-10-09  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/network.c (internal_recv): Don't preallocate buffer memory.
	This fixes a possible memory leak that led to growing scanner process
	size over time.

2014-10-09  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl.h: Remove NASL_EXEC_DONT_CLEANUP. Adjust values.

	* nasl/exec.c (exec_nasl_script): Don't check for
	NASL_EXEC_DONT_CLEANUP.

2014-10-09  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* omp/xml.c (free_entity): Replace free() by g_free().

	* nasl/nasl_tree.c (alloc_RE_cell): Replaced free() by
	g_free().

	* nasl/exec.c (nasl_exec): Replaced free() by g_free().

2014-10-09  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/openvas_compress.c: Added inlude for glib and removed inlude
	of own include file.
	(openvas_compress, openvas_uncompress): Replace calloc() by g_malloc0()
	and drop now useless test for NULL. Replaced free() by g_free().

	* base/openvas_compress.h: Removed useless includes.

2014-10-09  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/exec.c (cell2str): Replace malloc() by g_malloc0() and
	drop now useless test for NULL.

	* nasl/nasl_tree.c (alloc_tree_cell): Replace malloc() by
	g_malloc0() and drop now useless test for NULL.

	* nasl/nasl_cert.c (parse_dn_part_for_CN): Replace malloc() by
	g_malloc0() and drop now useless test for NULL.

	* base/openvas_networking.c (openvas_source_addr_str,
	openvas_source_addr6_str): Replace malloc() by g_malloc0() and drop
	now useless test for NULL.

2014-10-08  Henri Doreau <henri.doreau@gmail.com>

	* base/settings.c (settings_init_from_file): Fixed memory leak.

2014-10-08  Henri Doreau <henri.doreau@gmail.com>

	* base/nvti.c (nvti_to_keyfile): Fixed memory leak.

2014-10-08  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/nvticache.c (nvticache_init, nvticache_free, nvticache_get)
	(nvticache_add, nvticache_get_by_oid_full, nvticache_get_src_by_oid):
	Add asserts and fix code style.

2014-10-08  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/nvti.c (nvti_clone): Remove unused function.

	* base/nvticache.c (nvticache_get_by_oid): Rename to
	nvticache_get_by_oid_full(). Fix code style.

	* base/nvticache.h, base/nvti.h: Adjust functions prototypes.

	* misc/plugutils.c (proto_post_wrapped, get_plugin_preference): Call
	nvticache_get_by_oid_full().

2014-10-07  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Simplify nvti cache API by moving the cache variable handling to
	nvticache.c file instead of by the API caller.

	* base/nvticache.c (nvticache): New variable for nvti cache.
	(nvticache_new): Rename to nvticache_new(), set the nvticache variable
	and return void.
	(nvticache_free, nvticache_get, nvticache_add, nvticache_get_by_oid)
	(nvticache_get_src_by_oid): Use nvticache variable, remove cache
	function argument.

	* base/nvticache.h: Adjust functions prototypes.

	* misc/plugutils.c (proto_post_wrapped, get_plugin_preference): Adjust
	nvticache_get_by_oid() calls.

2014-10-07  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/nvti.c (nvti_pref): Constify return value.
	(nvti_to_keyfile, nvti_clone): Adjsut nvti_pref() calls.

	* base/nvti.h, base/nvticache.h, misc/plugutils.h: Adjust functions
	prototypes.

	* base/nvticache.c (nvticache_get): Constify return value. Remove
	extraneous nvti cloning.

	* misc/plugutils.c (plug_create_from_nvti_and_prefs): Constify function
	argument and variable.

2014-10-06  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_builtin_synscan.c (add_packet): Replaced emalloc() by
	g_malloc0().
	(rm_packet, rm_dead_packets, scan): Replaced efree() by g_free().

	* nasl/nasl_builtin_find_service.c (mark_smtp_server, mark_snpp_server,
	mark_ftp_server): Replaced emalloc() by g_malloc0() and efree() by
	g_free().
	(mark_pop_server): Replaced estrdup() by g_strdup() and efree() by
	g_free().
	(plugin_do_run): Replaved efree() by g_free(), estrdup() by g_strdup()
	and emalloc() by g_malloc0().
	(fwd_data): Replaced efree() by g_free().
	(plugin_run_find_service): Replaced emalloc() by g_malloc0().

2014-10-06  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/exec.c, nasl/lint.c, nasl/nasl_cmd_exec.c, nasl/nasl_crypto.c,
	nasl/nasl_http.c, nasl/nasl_misc_funcs.c, nasl/nasl_packet_forgery.c,
	nasl/nasl_packet_forgery_v6.c, nasl/nasl_scanner_glue.c,
	nasl/nasl_socket.c: Removed unneeded include of strutil.h.

2014-10-06  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/strutils.c: Removed unneeded includes.

	* nasl/strutils.h: Remove unneeded include.

	* nasl/nasl_builtin_openvas_tcp_scanner.c: Removed unneeded include.

	* nasl/nasl_text_utils.c: Made include of regex.h no look local.

2014-10-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Make the manager response buffer a local variable of
	try_read_entity_and_string to avoid overwriting by concurrent threads.

	* omp/xml.c (buffer_start, buffer_point, buffer_end): Remove.
	(try_read_entity_and_string): Add buffer_start and buffer_end as local
	variables.

2014-10-06  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/smb_crypt.c (NTLMv2_generate_client_data_ntlmssp): Replaced
	emalloc() by g_malloc0().

	* nasl/smb_crypt.h: Do not inlude system.h anymore.

	* nasl/nasl_crypto.c (nasl_get_sign): Replaced emalloc() by
	g_malloc0() and dropped superflous zero'ing of mem.
	(nasl_ntlmv2_response, nasl_ntlm2_response, nasl_ntlm_response,
	nasl_keyexchg, nasl_ntlmv1_hash, nasl_insert_hexzeros:
	Replaced emalloc() by g_malloc0().
	(nasl_ntv2_owf_gen, nasl_ntlmv2_hash): Replaced emalloc() by
	g_malloc0() and efree by g_free().

	* nasl/ntlmssp.c (ntlmssp_genauth_keyexchg): Replaced emalloc() by
	g_malloc0().

	* nasl/nasl_crypto2.c (set_mpi_retc, nasl_bn_cmp, nasl_bn_random,
	nasl_pem_to, nasl_dh_generate_key, nasl_dh_compute_key,
	nasl_rsa_public_decrypt, nasl_rsa_sign, nasl_dsa_do_verify): Replaced
	emalloc() by g_malloc0(). Increased allocated size to 1 if it was 0.
	(strip_pkcs1_padding, nasl_dsa_do_signnasl_bf_cbc): Replaced
	emalloc() by g_malloc0() and efree() by g_free.

2014-10-06  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_host.c (get_hostname, get_host_ip, nasl_this_host,
	get_port_transport): Replaced estrdup() by g_strdup().
	(nasl_this_host_name): Replaced emalloc() by g_malloc0().
	(nasl_same_host): Replavced estrdup() by g_strdup(), emalloc() by
	g_malloc0() and efree() by g_free().

	* nasl/nasl_cmd_exec.c (nasl_pread): Replaced emalloc() by g_malloc0(),
	estrdup() by G_strdup and efree() by g_free(). Dropped check
	for successful alloc because process would terminate if this fails.
	(nasl_fread): Replaced emalloc() by g_malloc0() and erealloc() by
	g_realloc(). Dropped check for successful alloc because
	process would terminate if this fails.
	(nasl_file_read): Replaced emalloc() by g_malloc0(). Dropped check
	for successful alloc because process would terminate if this fails.

2014-10-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_host.c (nasl_same_host): Fixed memleak.

2014-10-04  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_http.c (_http_req): Replaced emalloc() by g_malloc0()
	and efree() by g_free().
	(cgibin): Replaced estrdup() by g_strdup().

	* nasl/nasl_ssh.c (init_membuf): Replaced emalloc() by g_malloc0().
	(put_membuf): Replaced erealloc() by g_realloc(). Simplified code
	because a failing memory alloction will terminate process anyway.
	(get_membuf, pkcs8_to_sshprivatekey, nasl_ssh_request_exec): Replaced
	efree() by g_free().
	(nasl_ssh_get_issue_banner, nasl_ssh_get_server_banner): Replaced
	estrdup() g_strdup().

	* nasl/nasl_signature.c (nasl_verify_signature): Replaced emalloc() by
	g_malloc0() and efree() by g_free().

	* nasl/nasl_scanner_glue.c (script_get_preference): Replaced estrdup()
	by g_strdup().
	(script_get_preference_file_location, get_kb_list): Replaced emalloc()
	by g_malloc0().
	(get_kb_item): Replaced estrdup() by gstrdup().
	(security_something): Replaced efree() g_free().

	* nasl/nasl_lex_ctxt.c (init_empty_lex_ctxt): Replaced emalloc() by
	g_malloc0().
	(free_lex_ctxt): Replced efree() by g_free().

2014-10-04  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_text_utils.c (nasl_string, nasl_strcat): Replaced emalloc()
	by g_malloc0() and increased allocated size by 1. Replaced erealloc()
	by g_realloc().
	(nasl_rawstring): Replaced emalloc() by g_malloc0().
	(nasl_hex): Replaced estrdup() by g_strdup().
	(nasl_hexstr): Replaced emalloc() by g_malloc0().
	(nasl_ereg): Replaced estrdup() by g_strdup() and efree() by g_free().
	(_regreplace): Replaced emalloc() by g_malloc0() and efree() by g_free().
	(nasl_egrep): Replaced estrdup() by g_strdup(), efree() by g_free()
	and emalloc() by g_malloc0().
	(nasl_eregmatch): Replaced emalloc() by g_malloc0().
	(nasl_substr, nasl_insstr, nasl_split, nasl_chomp, nasl_crap): Replaced emalloc()
	by g_malloc0().
	(nasl_str_replace): Replaced emalloc() by g_malloc0() and erelloc() by
	g_realloc().

2014-10-03  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_debug.c (nasl_perror): Remove duplicate if/else branches.

2014-10-02  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_var.c (copy_anon_var, affect_to_anon_var)
	(nasl_read_var_ref): Add extra byte when allocating memory for
	variables of type VAR2_STRING and VAR2_DATA. Fixes segfaults on rare
	situations.

2014-10-02  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/pwpolicy.c (parse_pattern_line): Clarify comparison expression.

	* misc/ids_send.c, misc/network.c, misc/pcap.c, misc/popen.c,
	nasl/exec.c, nasl/nasl.c, nasl/nasl_builtin_find_service.c,
	nasl/nasl_packet_forgery.c, nasl/nasl_packet_forgery_v6.c: Remove
	useless macro definitions checks as these variables are always present.

	* nasl/nasl_init.c (init_nasl_library): Remove useless variable
	assignment.

	* misc/network.c (socket_get_ssl_session_id): Set session size
	correctly.

2014-10-01  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/pwpolicy.c (parse_pattern_line), misc/pcap.c (getipv4routes),
	nasl/md4.c (mdfour64_ntlmssp), nasl/nasl_builtin_find_service.c
	(fwd_data), nasl/nasl_init.c (init_nasl_library),
	nasl/nasl_packet_forgery.c (nasl_tcp_ping),
	nasl/nasl_packet_forgery_v6.c (nasl_tcp_v6_ping), nasl/nasl_socket
	(nasl_get_sock_info): Remove useless variable assignments.

2014-09-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_tree.c (alloc_RE_cell): Replaced emalloc() by g_malloc0()
	and efree() by g_free().
	(dup_cell): Replaced emalloc() by g_malloc0().
	(free_tree): Replaced free() by g_free().

2014-09-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Consolidate the two almost identical functions free_array()
	and clear_array() into a single free_array().

	* nasl/nasl_var.c (free_array): Set counter max_idx to 0
	after deleting the content just like clear_array() did it.
	It doesn't hurt in case of free'ing the object.
	(clear_array): Removed because free_array() is doing the
	very same thing now.
	(clear_anon_var, copy_array): Call free_array() instead of clear_array().

2014-09-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_var.c (free_array, clear_anon_var): Removed useless return.

2014-09-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_var.c (nasl_get_var_by_num, get_var_ref_by_num): Replaced
	erealloc() by g_realloc() and emalloc() by g_malloc0().
	(get_var_by_name, get_var_ref_by_name, get_array_elem, dup_named_var,
	nasl_affect): Replaced emalloc() by g_malloc0() and estrdup() by g_strdup().
	(get_variable_by_name, create_named_var, nasl_read_var_ref,
	make_array_from_elems, copy_anon_var, dup_anon_var, copy_array,
	copy_ref_array, affect_to_anon_var): Replaced emalloc() by g_malloc0().
	(free_array, free_var_chain, free_anon_var, clear_array,
	clear_anon_var): Replaced efree() by g_free().
	(add_numbered_var_to_ctxt, nasl_incr_variable, array2str, add_var_to_list):
	Replaced erealloc() by g_realloc().
	(add_var_to_array): Replaced erealloc() by g_realloc(), emalloc() by
	g_malloc0() and estrdup() by g_strdup().

2014-09-26  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Replace the libc memory functions by the g_* functions to consolidate
	the memory management.

	* misc/openvas_server.c (openvas_server_vsendf): Replace free() by g_free().

	* misc/ldap_connect_auth.c (ldap_auth_bind): Replaced strdup() by g_strdup().

	* misc/openvas_ssh_login.c (openvas_ssh_public_from_private): Replace
	free() by g_free().

	* misc/openvas_uuid.c (openvas_uuid_make): Replace malloc() by g_malloc0().

	* misc/plugutils.c (plug_get_key): Replaced strdup() by g_strdup().

	* misc/network.c (stream_set_buffer): Replace malloc() by g_malloc0()
	and realloc() by g_realloc().

	* misc/scanners_utils.c (getpts): Replace realloc() by g_realloc().

2014-09-24  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/exec.c (cell2str_and_size): Removed. It was deactivated
	by ifdef and marked deprecated since a very long time.

2014-09-24  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Replace more old internal calls for memory management by respective
	glib functions.

	* nasl/exec.c (cell2str, cell2str_and_size): Replaced estrdup() by g_strdup().
	(cell_cmp): Replaced efree() by g_free().
	(nasl_exec): Replaced emalloc() by g_malloc0(), estrdup() and g_strdup() and efree() by g_free().
	(exec_nasl_script): Replaced estrdup() by g_strdup() and efree() by g_free().

2014-09-24  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_text_utils.c (nasl_display): Flush stdout after printing the
	message.

2014-09-24  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/plugutils.c (sig_alarm): Remove function.
	(plug_get_key): Don't exit plugin process after 120 seconds as some
	plugins may run longer and have a higher timeout value.

2014-09-23  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/osp.c (osp_param_str_to_type, osp_param_type_str): Handle new
	osp boolean param type.

	* base/osp.h (osp_param_type_t): Add new param type
	OSP_PARAM_TYPE_BOOLEAN.

2014-09-22  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 8.0+beta3.

2014-09-22  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 8.0+beta2 release.

	* CHANGES: Updated.

2014-09-22  Michael Wiegand <michael.wiegand@greenbone.net>

	Make libhiredis requirements more precise with information taken from
	the INSTALL file of openvas-scanner.

	* INSTALL: Add required minimum version to libhiredis entry, taken
	from openvas-scanner/INSTALL.

	* CMakeLists.txt: Add required minimum version to pkg-config check of
	libhiredis.

2014-09-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Replace more old internal calls for memory management by respective
	glib functions.

	* misc/ids_send.c (tcp_cksum, injectv6): Replaced emalloc() by
	g_malloc0() and efree() by g_free().
	(inject): Replaced efree() by g_free().
	(ids_send, ids_open_sock_tcp): Replaced estdup() by g_strdup() and
	efree() by g_free().

	* misc/hash_table_file.c (hash_table_from_gkeyfile): Replaced estrdup()
	by g_strdup().

	* misc/network.c (release_connection_fd, openvas_deregister_connection):
	Replaced efree() by g_free().
	(open_stream_connection_ext): Replaced efree() by g_free() and estrdup()
	by gstrdup().
	(add_close_stream_connection_hook): Replaced emalloc() by g_malloc0().
	(stream_set_buffer): Replaced efree() by g_free().
	(internal_recv): Replaced erealloc() by g_realloc() and efree() by
	g_free().

	* misc/popen.c: Removed unneeded include of system.h.

	* misc/www_funcs.c (build_encode_URL): Replaced emalloc() by
	g_malloc0(), efree() by g_free() and estrdup() by g_strdup().

	* misc/scanners_utils.c (getpts): Replaced estrdup() by g_strdup(),
	efree() by g_free() and emalloc() by g_malloc0().

2014-09-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Replace old internal calls for memory management by respective
	glib functions.

	* misc/arglists.c (cache_add_name): Replaced emalloc() by g_malloc0()
	and estrdup() by g_strdup().
	(cache_dec): Replaced efree() by g_free().
	(arg_add_value): Replaced emalloc() by g_malloc0().
	(arg_dup): Replaced estrdup() by g_strdup() and emalloc() by g_malloc0().
	(arg_free, arg_free_all): Replace efree() by g_free().

	* misc/plugutils.c (_add_plugin_preference): Replaced estdup() by g_strdup(),
	efree() by g_free() and emalloc() by g_malloc0().
	(plug_create_from_nvti_and_prefs): Replaced emalloc() by g_malloc0().
	(mark_post): Replace estrdup() by g_strdup().
	(proto_post_wrapped): Replaced emalloc() by g_malloc0() and efree()
	by g_free().
	(get_plugin_preference): Replaced estrdup() by g_strdup() and efree()
	by g_free().

	* misc/pcap.c (v6_get_mac_addr): Replace estrdup() by g_strdup(),
	efree() by g_free() and emalloc() by g_malloc0().

	* misc/kb_redis.c: Drop unneeded include of system_internal.h.

	* misc/system_internal.h: Removed as it is not used anymore.

	* COPYING: Removed entry about system_internal.h.

2014-09-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	This step prepares to consolidate the memory management to use
	system methods rather than trying to manage memory on our own.
	Two misconcepts now need to be carefully removed from all over
	the code (by replacing the e* functions with the g_* functions):
	The overallocation of 1 byte (Scanner shows defects
	if not adding it in the allocation routine) and the setting
	of pointers to NULL after free'ing.

	* misc/system.c (emalloc): Replaced internal allocation
	strategy by simply calling g_malloc0.
	(efree): Call g_free() instead of free() to match allocation
	method.
	(erealloc): Replaced internal allocation strategy by simply calling
	g_realloc().

2014-09-11  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/system.c (erealloc): Use z in format specifier for size_t, else
	compiler complains.

2014-09-10  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/openvas_logging.c (openvas_log_lock_init, openvas_log_lock)
	(openvas_log_unlock): New functions.
	(openvas_log_func): Use locking functions when outputting messages.
	Fixes possible crashes when used by multiple threads simultaneously.

2014-09-09  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/plugutils.c, misc/popen.c, misc/system.c, misc/www_funcs.c,
	nasl/iconv.c, nasl/nasl_builtin_find_service.c,
	nasl/nasl_builtin_nmap.c, nasl/nasl_builtin_openvas_tcp_scanner.c,
	nasl/nasl_builtin_synscan.c, nasl/nasl_cert.c, nasl/nasl_crypto2.c,
	nasl/nasl_debug.c, nasl/nasl_grammar.y: Use log_legacy_write() instead
	of fprintf to stderr fd.

2014-09-09  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/nvti.c, misc/arglists.c, misc/ids_send.c, misc/system.c,
	nasl/nasl_host.c, nasl/nasl_smb.c, nasl/nasl_socket.c, nasl/nasl_ssh.c,
	nasl/nasl_wmi.c: Use log_legacy_write() instead of fprintf to stderr fd.

2014-09-09  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/exec.c (cell_cmp, exec_nasl_script): Use adequate logging
	function instead of fprintf() to stderr which might be closed.

2014-09-08  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/osp.c (osp_param_t): Add element for default value.
	(osp_get_scanner_params): Get parameter default value too.
	(osp_param_default): New function.
	(osp_param_free): Free default value.

	* base/osp.h: Add new function prototype.

2014-09-08  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/exec.c (exec_nasl_script): Print script path too, on parse
	failure.

2014-09-05  Michael Wiegand <michael.wiegand@greenbone.net>

	* nasl/nasl_builtin_find_service.c: Add proper copyright and license
	notice header.

2014-09-03  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/osp.c (osp_param_type_str): New function.
	(osp_param_str_to_type): Check for integer instead of int.

	* base/osp.h: Add new function prototype.

2014-09-03  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/osp.c (struct osp_param): New struct.
	(osp_param_str_to_type, osp_get_scanner_params, osp_param_new)
	(osp_param_free, osp_param_id, osp_param_desc, osp_param_name)
	(osp_param_type): New functions.

	* base/osp.h: Add function prototypes and struct typedef.
	(osp_param_type_t): New enum.

2014-09-03  Michael Wiegand <michael.wiegand@greenbone.net>

	* doc/CMakeLists.txt: Use appropriate text for second paragraph of the
	license notice.

2014-09-03  Michael Wiegand <michael.wiegand@greenbone.net>

	Make license of CMakeLists.txt files consistent.

	* doc/CMakeLists.txt: Change license from LGPLv2+ to GPLv2+.

	* misc/CMakeLists.txt: Change license from GPLv2 to GPLv2+.

2014-09-02  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_lex_ctxt.h (struct_lex_ctxt): Add line_nb element.

	* nasl/nasl_debug (nasl_perror): Print the error's line number after the
	script name.

	* nasl/exec.c (nasl_exec): Set the lexical context's line number.

2014-09-01  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Re-add parts removed in r20187 as a fallback for
	finding the hiredis library. Upstream does not (yet) support
	pkg-config, so pkg-config files may or may not exist depending on the
	distribution.

2014-09-01  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt, openvas_cmake_macros,
	nasl/tests/test_script_signing.sh, omp/CMakeLists.txt: Ensure the
	GPLv2+ license notice uses the paragraph suggested by the Free
	Software Foundation.

2014-09-01  Michael Wiegand <michael.wiegand@greenbone.net>

	* nasl/CMakeLists.txt, nasl/nasl_builtin_nmap.c,
	nasl/nasl_builtin_plugins.h, nasl/nasl_cert.c, nasl/nasl_cert.h,
	nasl/nasl_isotime.c, nasl/nasl_isotime.h, nasl/nasl_signature.c,
	nasl/nasl_signature.h, nasl/nasl_smb.c, nasl/nasl_smb.h,
	nasl/nasl_ssh.c, nasl/nasl_ssh.h, nasl/nasl_wmi.c, nasl/nasl_wmi.h,
	nasl/ntlmssp.c, nasl/ntlmssp.h, nasl/openvas_smb_interface.h,
	nasl/openvas_wmi_interface.h, nasl/proto.h, nasl/smb_interface_stub.c,
	nasl/wmi_interface_stub.c, nasl/tests/Makefile,
	nasl/tests/signed.nasl, nasl/tests/test_blowfish.nasl,
	nasl/tests/test_bn.nasl, nasl/tests/test_dh.nasl,
	nasl/tests/test_dsa.nasl, nasl/tests/test_hexstr.nasl,
	nasl/tests/test_isotime.nasl, nasl/tests/test_md.nasl,
	nasl/tests/test_privkey.nasl, nasl/tests/test_rsa.nasl,
	nasl/tests/test_socket.nasl, nasl/tests/testsuiteinit.nasl,
	nasl/tests/testsuitesummary.nasl: Ensure the GPLv2+ license notice
	uses the paragraph suggested by the Free Software Foundation.

2014-09-01  Michael Wiegand <michael.wiegand@greenbone.net>

	* misc/hash_table_file.c, misc/hash_table_file.h, misc/kb.h,
	misc/kb_redis.c, misc/ldap_connect_auth.c, misc/ldap_connect_auth.h,
	misc/openvas_proctitle.c, misc/openvas_proctitle.h,
	misc/openvas_ssh_login.c, misc/openvas_ssh_login.h, misc/support.h:
	Ensure the GPLv2+ license notice uses the paragraph suggested by the
	Free Software Foundation.

2014-09-01  Michael Wiegand <michael.wiegand@greenbone.net>

	* base/array.c, base/array.h, base/CMakeLists.txt, base/credentials.c,
	base/credentials.h, base/cvss.c, base/cvss.h, base/drop_privileges.c,
	base/drop_privileges.h, base/gpgme_util.c, base/gpgme_util.h,
	base/nvti.c, base/nvticache.c, base/nvticache.h, base/nvti.h,
	base/openvas_compress.c, base/openvas_compress.h, base/openvas_file.c,
	base/openvas_file.h, base/openvas_hosts.c, base/openvas_hosts.h,
	base/openvas_networking.c, base/openvas_networking.h,
	base/openvas_string.c, base/openvas_string.h, base/osp.c, base/osp.h,
	base/pidfile.c, base/pidfile.h, base/pwpolicy.c, base/pwpolicy.h,
	base/settings.c, base/settings.h, base/test-hosts.c: Ensure the GPLv2+
	license notice uses the paragraph suggested by the Free Software
	Foundation.

2014-08-31  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_text_utils.c (nasl_rawstring): Removed dead initialization.

	* nasl/nasl_packet_forgery_v6.c (set_udp_v6_elements): Removed dead
	initialization and therefore a memory leak.
	(nasl_tcp_v6_ping): Removed dead assignment.

	* nasl/nasl_packet_forgery.c (set_udp_elements): Removed dead
	initialization and therefore a memory leak.
	(nasl_tcp_ping): Removed dead assignment.

	* misc/openvas_auth.c (openvas_auth_write_config): Removed dead
	initialization and therefore a memory leak.

	* nasl/nasl_builtin_synscan.c (packetdead): Removed dead assignment and
	dropped unnecessary "else".

	* nasl/nasl_text_utils.c (nasl_rawstring): Removed dead assignment.

	* nasl/nasl_func.c (nasl_func_call): Removed dead assignment.

	* misc/scanner_utils.c (getpts): Removed dead assignments.

	* misc/network.c (auth_send): Removed dead assignment.

2014-08-31  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_packet_forgery_v6.c (forge_icmp_v6_packet): Added missing
	free'ing of memory.

2014-08-31  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/network.c (stream_set_buffer): Add missing assignment.

2014-08-31  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_crypto2.c: Removed unneeded include's and unneeded
	macro MAP_FAILED.

2014-08-29  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/openvas_server.c (cert_file, key_file): Rename variables to
	cert_pub_mem and cert_priv_mem.
	(key, crt): Move static variables within client_cert_callback().
	(set_cert_file, set_key_file, get_key_file, get_cert_file): Rename
	set_cert_pub_mem, set_cert_priv_mem, get_cert_pub_mem, get_cert_priv_mem
	respectively.
	(client_cert_callback): Use certs variables as memory pointers instead
	of file paths.
	(openvas_server_open_with_cert): Use openvas_server_new_mem(). Rename
	function arguments for clarity.
	(openvas_server_new_mem): Constify function arguments.

	* misc/openvas_server.h: Adjust function argument.

	* base/osp.c (osp_connection_new): Update function comments to specify
	that certs functions arguments are used as memory pointers instead of
	file paths.

2014-08-29  Michael Wiegand <michael.wiegand@greenbone.net>

	* omp/omp.c, omp/omp.h, omp/xml.c, omp/xml.h: Ensure the GPLv2+
	license notice uses the paragraph suggested by the Free Software
	Foundation.

2014-08-28  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_string.c (openvas_string_flatten_string_list)
	(openvas_string_list_free): Remove unused functions.

	* base/openvas_string.h: Remove functions prototypes.

2014-08-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Encapsulate name_cache into arglist modules as it is not used
	anywhere else anymore.

	misc/arglist.h: Removed protos for cache_inc and cache_dec.
	(struct name_cache): Removed.

	misc/arglist.c: Added struct name_cache here.
	(cache_inc, cache_dec): Made static.

2014-08-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/arglist.c (str2arglist): Removed. It is meanwhile
	not used anymore anywhere.

	* misc/arglist.h: Removed proto accordingly.

2014-08-27  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Use pkg-config to find the hiredis library and to
	retrieve the appropriate flags.

2014-08-26  Michael Wiegand <michael.wiegand@greenbone.net>

	* omp/xml.c (try_read_entity_and_string, parse_entity)
	(compare_find_attribute, compare_entities): Make log levels more
	precise; change g_message to either g_warning or g_debug based on
	severity.

2014-08-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 8.0+beta2.

2014-08-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-libraries 8.0+beta1 release.

	* CHANGES: Updated.

	* INSTALL: Added libhiredis and moved libssh to the right place.

2014-08-15  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/openvas_ssh_login.c (openvas_ssh_public_from_private): Fix
	segfault when an erroneous private key is used.

2014-08-13  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* omp/omp.c, omp/omp.h (omp_pause_task, omp_resume_paused_task): Delete
	functions.

2014-08-11  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/osp.c (osp_start_scan): Insert scan options in scanner_params xml
	element.

2014-08-07  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/example.target.locators: Removed. This example
	is not needed anymore as the target locator support was removed.

2014-08-07  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/ldap_connect_auth.c (ldap_auth_bind_query, ldap_auth_query):
	Removed unused functions.

	* misc/ldap_connect_auth.h: Removed protos accordingly.

2014-08-06  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Remove the target locator support.

	* misc/resource_request.c, misc/resource_request.h: Removed.

	* misc/CMakeLists.txt: Removed handling of module resource_request.

	* COPYING: Removed module resource_request.

2014-08-06  Henri Doreau <henri.doreau@gmail.com>

	* misc/openvas_server.h (openvas_server_send): Removed unused function.

2014-08-06  Henri Doreau <henri.doreau@gmail.com>

	* omp/omp.c (omp_ping, omp_authenticate, omp_authenticate_info_ext)
	(omp_create_task, omp_modify_task_file, omp_create_lsc_credential)
	(omp_create_lsc_credential_key: Replaced last openvas_server_send
	statements by openvas_server_sendf or openvas_server_sendf_xml
	equivalents.

2014-08-01  Henri Doreau <henri.doreau@gmail.com>

	openvas_server_send API enhancement and cleanup. Added variadic
	versions of the existing functions to reduce the complexity of
	the calling code.

	* misc/openvas_server.h (openvas_server_send): Turned into a static
	inline wrapper for openvas_server_sendf, to be removed eventually.
	(openvas_server_vsendf): New.

	* misc/openvas_server.c (openvas_server_send); Renamed
	openvas_server_vsendf. Use variable arguments.
	(openvas_server_sendf): Call openvas_server_vsendf.
	(openvas_server_sendf_xml): Call openvas_server_vsendf.

	* base/osp.c (osp_send_command): Set the proper attributes to the
	function prototype to enable compile-time format string checks.
	Reorder arguments to make it able to handle formatted commands. Transmit
	the va_list accordingly to the underlying function.
	(osp_get_scanner_version, osp_delete_scan, osp_get_scan)
	(osp_start_scan): Updated calls to osp_send_command accordingly. Removed
	unneeded string formatting. Removed a non ISO C pattern.

	* omp/omp.c (omp_create_task_ext): Use openvas_server_sendf to pass in
	formatted commands instead of formatting them in the calling code.

2014-08-01  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/openvas_auth.c (ldap_connect_user_exists): Only define when LDAP
	is enabled.

2014-07-31  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/openvas_auth.c (add_authenticator): Use custom function for
	user_exists, because openvas_user_exists_classic looks only for users
	of type "file".
	(ldap_connect_user_exists): New function.

2014-07-30  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/osp.c (osp_delete_scan): New function.
	(osp_start_scan): Update documentation.

	* base/osp.h: Add and adjust prototypes.

2014-07-25  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_file.c (openvas_file_as_base64): Use error variable
	adequately.

2014-07-18  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/openvas_server.c (openvas_server_new_mem): Output error strings
	from gnutls instead of hardcoded ones.

2014-07-17  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/openvas_server.c (server_new_gnutls_init, server_new_gnutls_set):
	New functions.
	(server_new_internal): Call new functions. Refactor code accordingly.
	(openvas_server_new_mem): New function.
	(set_gnutls_dhparams): Fix memory leak.

	* misc/openvas_server.h: Add new function prototype.

2014-07-17  Michael Meyer <michael.meyer@greenbone.net>

	* nasl/nasl_http.c (_http_req): Added Cache-Control Header.

2014-07-16  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/openvas_server.c (openvas_server_connect): Remove interrupted
	case handling.

	* misc/openvas_server.h: Adjust function prototype.

2014-07-16  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/openvas_server.c (openvas_server_open_with_cert)
	(openvas_server_connect): Call openvas_server_verify() at the end of the
	function.

2014-07-15  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (omp_get_tasks_ext): Add filter option.  Remove actions.

	* omp/omp.h (omp_get_tasks_opts_t): Add "filter" option.
	(omp_get_tasks_opts_defaults): Init filter.

2014-07-14  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/nvti.c (nvtis_remove): New function.

	* base/nvti.h: Add new function prototype.

	* base/nvticache.c (nvticache_get): Replace the old nvt entry when a
	duplicate OID is found and output a log message accordingly.

2014-07-14  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/nvti.c (nvti_shrink): Fix possible use-after free and double-free
	errors by nullifying the pointers after freeing the allocated memory.

2014-07-14  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_socket.c (nasl_close_socket): Adjust check for file
	descriptor value. Update documentation to explain rationale.

2014-07-09  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/network.c (open_SSL_connection, ovas_scanner_context_new): Don't
	call openvas_SSL_init anymore because it is already initialized by main
	process and does not need initialization again.
	(openvas_SSL_init): Drop the prevention to not execute gnutls_global_init
	twice because this function is called once only anyway.

2014-07-09  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/network.c (log_message_gnutls): New callback function for
	DEBUG_SSL.
	(openvas_SSL_init): Added gnutls debugging for DEBUG_SSL.

2014-07-07  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/network.c: Use OVAS_CONNECTION_FROM_FD() macro instead of
	accessing the connections array directly.

2014-07-01  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/arglists.h (struct arglist): Reorder struct elements to reduce
	space wasted on struct memory alignment. Reduces structure size from 48
	to 40 on x64.

2014-06-26  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/cvss.c (toenum): Also accept "AU" as "Au".

2014-06-24  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	More elegant setting of constant _HAVE_LIBSSH.

	* nasl/nasl_init.c (init_nasl_library): Removed explicit adding
	of _HAVE_LIBSSH.
	(libivars): Added _HAVE_LIBSSH to this list.

2014-06-24  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_init.c (init_nasl_library): Re-add setting the NASL variable
	_HAVE_LIBSSH in order to keep compatiblity until OpenVAS-7 expires.
	Also fix typo about function name.

2014-06-20  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/plugutils.c (proto_post_wrapped): Remove the g_strescape of the
	result text because it will be converted to UTF-8.  And do the UTF-8
	conversion here, because it was moved out of nsend in r18531 (because
	nsend is also used to send internal messages).

2014-06-17  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl (main): Add -B to specify running the script in description
	mode first, before running in normal mode if no error was found. When
	unset, use the old behaviour of running only once.

	* doc/openvas-nasl.1: Update documentation.

2014-06-16  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/plugutils.c (plug_set_key): Add back kb debug information when
	global_nasl_debug is set.

2014-06-12  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl.c (parse_script_infos): Code style update. Don't try to add
	nvt OID value if it is not present.

2014-06-12  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl.c (parse_script_infos): Use script_infos when parsing the
	plugin description instead of creating a new arglist.

2014-06-11  Matthew Mundell <matthew.mundell@greenbone.net>

	Remove or disable remains of OMP rcfile support.

	* omp/omp.c (omp_create_task_rc): Remove.
	(omp_get_tasks, omp_get_tasks_ext): Remove rcfile option from OMP.
	(omp_modify_task_file): Remove rc from variable name for clarity.
	(omp_get_targets): Add missing arg.

	* omp/omp.h: Update headers accordingly.

2014-06-06  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/kb_redis.c (redis_flush_all): Issue FLUSHALL instead of FLUSHDB.

2014-06-05  Henri Doreau <henri.doreau@gmail.com>

	* misc/kb.h (kb_flush): Operate on currently selected operation set.

	* misc/kb_redis.c (redis_flush_all): Issue FLUSHALL on an initialized kb
	context.

2014-06-05  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/kb.h (kb_operations): Add kb_flush element.
	(kb_flush): New function.

	* misc/kb_redis.c (redis_flush_all): New function.
	(KBRedisOperations): Set kb_flush element to redis_flush_all.

2014-06-05  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_packet_forgery.c, nasl/nasl_packet_forgery_v6.c,
	nasl/nasl_init.c, nasl/nasl_packet_forgery.h,
	nasl/nasl_packet_forgery_v6.h: Revert 19582. Some of the functions might
	be used in the future.

2014-06-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_packet_forgery.c (insert_ip_options, dump_ip_packet)
	(set_tcp_elements, dump_tcp_packet, set_udp_elements, dump_udp_packet):
	Remove never used functions.

	* nsal/nasl_packet_forgery_v6.c (get_ipv6_element, set_ipv6_elements)
	(dump_ipv6_packet, insert_ipv6_options, forge_tcp_v6_packet)
	(get_tcp_v6_element, dump_tcp_v6_packet, set_tcp_v6_elements)
	(dump_tcp_v6_packet, get_icmp_v6_element, dump_udp_v6_packet)
	(set_udp_v6_elements, forge_igmp_v6_packet): Remove never used
	functions.

	* nasl/nasl_init.c (libfuncs): Remove never used functions.

	* nasl/nasl_packet_forgery.h, nasl/nasl_packet_forgery_v6.h: Delete
	removed functions prototypes.

2014-05-27  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Fix errors found when building with Clang 3.4

	* misc/network.c (socket_get_ssl_version): Change return type to int as
	function returns -1 in errors.
	(read_stream_connection_unbuffered, write_stream_connection4): Check if
	enum value is equal to zero instead of -1.

	* misc/network.h: Update function prototype.

	* misc/openvas_auth.c (auth_method_name): Remove useless negative value
	checking for enum value.

	* misc/openvas_server.c (load_gnutls_file): Adjust filelen variable type
	as ftell() returns -1 on error.

	* nasl/nasl_builtin_find_service.c (mark_swat_server, mark_vqserver)
	(mark_mldonkey, mark_http_server, mark_locked_adsubtract_server)
	(mark_http_proxy, mark_linuxconf): Adjust buffer argument to be unsigned
	to match style of other functions.
	(mark_ssh_server, mark_wild_shell): Remove unused function argument.
	(plugin_do_run): Do not provide too many arguments to function calls.

	* nasl/nasl_crypto2.c (mpi_from_string): Don't check unsigned value for
	negativeness.

	* nasl/nasl_isotime.c (days_per_month): Style update. Abort instead of
	g_error().

	* nasl/nasl_packet_forgery.c (set_udp_elements): Cast parameter in
	function call.

	* nasl/nasl_socket.c (nasl_socket_get_ssl_version): Adjust variable
	type.

	* nasl/nasl_wmi.c (nasl_wmi_close): Remove superfluous semicolon leading
	to always return 1.

2014-06-02  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Cleanups that can be done because libssh is now mandatory.

	* nasl/nasl_init.c (libfuncs): Don't protect funcs anymore with HAVE_LIBSSH.
	(init_nasl_library): Remove adding variables to NASL to disable LIBSSH via
	environment variable OPENVAS_DISABLE_LIBSSH.

	* nasl/CMakeLists.txt, nasl/nasl.c, nasl/nasl_ssh.c, nasl/nasl_ssh.h,
	misc/CMakeLists.txt, misc/openvas_ssh_login.c: Don't handle "HAVE_LIBSSH" anymore.

	* nasl/nasl_cert.c: Fix wrong comment.

	* doc/Doxyfile.in,  doc/Doxyfile_full.in: Drop HAVE_LIBSSH.

	* INSTALL: Note libssh as mandatory, not as recommended.

2014-05-27  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl.c (parse_script_infos): New function.
	(main): Make first parse of the executed nvt's description in order to
	get information such as the OID.

2014-05-22  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/osp.c (osp_get_scan): New function.
	(osp_get_scanner_version): Fix memory leak. Code style update.

	* base/osp.h: Add new function's prototype.

2014-05-21  Henri Doreau <henri.doreau@gmail.com>

	* misc/kb.h (KB_PATH_DEFAULT): Define default KB location there.

	* nasl/nasl.c (KB_PATH_DEFAULT): Remove definition.

2014-05-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt: Make libssh mandatory. This allows to drop
	ssh code from NVTs once OpenVAS-7 is retired.

2014-05-19  Michael Wiegand <michael.wiegand@greenbone.net>

	* doc/openvas-nasl.1: Remove reference to long dead OpenVAS-Client.
	Fix reference to man page of OpenVAS Scanner.

2014-05-16  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/osp.c (osp_get_scanner_version): Adjust for null version
	argument value.
	(osp_start_scan, option_concat_as_xml): New function.

	* base/openvas_file.c (openvas_file_as_base64): New function.

	* base/openvas_file.h, base/osp.h: Add new functions prototypes.

2014-05-14  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Fix build with LibSSH >= 0.6.0. Reported by Daniel Malament. Suggested
	by Simon Desee.

	* nasl/nasl_ssh.h: Include libssh/legacy.h after libssh/libssh.h

	* nasl/nasl_ssh.c (nasl_ssh_get_banner): Constify banner variable. Remove
	ssh_string_free_char() call.

2014-05-07  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/openvas_auth.c (openvas_auth_init): Remove unused function.

	* nasl/nasl_socket.c (nasl_open_sock_tcp_bufsz, nasl_recv)
	(nasl_join_multicast_group, nasl_get_sock_info): Reduce variables scopes.
	(nasl_socket_get_error): Remove macro checks for defined variables.

	* omp/omp.c (omp_authenticate_info): Remove unused function.

	* misc/openvas_auth.h, omp/omp.h: Delete removed functions prototypes.

2014-05-06  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* omp/omp.c (omp_create_lsc_credential_key): Remove public_key function argument.

	* omp/omp.h: Adjust function prototype.

2014-05-06  Timo Pollmeier <timo.pollmeier@greenbone.net>

	Add omp_authenticate_info_ext function, which uses a struct for passing
	parameters, including a new parameter for password policy warnings.

	* omp/omp.c (omp_authenticate_info): Change into a wrapper for
	new omp_authenticate_info_ext.
	(omp_authenticate_info_ext): New function. Uses most functionality from
	previous omp_authenticate_info version and has an added output
	option for password policy warnings.

	* omp/omp.h (omp_authenticate_info_opts_t): New typedef. Options for
	omp_authenticate_info_ext.
	(omp_authenticate_info_ext): New function prototype.

2014-05-06  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/openvas_ssh_login.c (openvas_ssh_public_from_private): New
	function.
	(read_from_keyfile): Fix check for empty string.

	* misc/openvas_ssh_login.h: Add new function prototype.

	* misc/CMakeLists.txt: Link against libssh when found.

	* omp/omp.c (omp_create_lsc_credential_key): Fix string formatting when
	public_key argument is null.

2014-05-02  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/openvas_ssh_login.c (KEY_SSHLOGIN_PUBKEY_FILE): Remove
	definition.
	(openvas_ssh_login_new): Remove pubkey_file argument. Adjust
	accordingly.
	(openvas_ssh_login_free): Adjust for public_key_path element removal.
	(read_from_keyfile): Adjust function call. Don't read pubkey_file key
	file entry.

	* misc/openvas_ssh_login.h: Adjust function prototype.
	(openvas_ssh_login): Remove public_key_path element.

2014-05-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* COPYING: Updated according to recent changes and fixed wrong
	license info for module misc/resource_request.

2014-05-01  Henri Doreau <henri.doreau@gmail.com>

	* misc/kb_redis.c (fetch_max_db_index): Indentation fix.

2014-04-28  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/osp.c, base/osp.h: New files.

	* base/CMakeLists.txt, nasl/CMakeLists.txt: Add new files to build
	process, and adjust linking accordingly.

2014-04-25  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/network.c (socket_get_ssl_ciphersuite): Refix sign issue. API in
	GnuTLS 2.x takes a char * while it takes an unsigned char * in
	GnuTLS 3.x. Cast to void pointer to be compatible with both.

2014-04-24  Henri Doreau <henri.doreau@gmail.com>

	* misc/network.c (socket_get_ssl_compression): Added preprocessor checks
	to ensure GNUTLS_COMP_LZO is available.

	* misc/network.c (socket_get_ssl_ciphersuite): Fix signedess issue.

2014-04-24  Henri Doreau <henri.doreau@gmail.com>

	* misc/plugutils.c: Removed a useless OPENVASNT definition check.

2014-04-24  Henri Doreau <henri.doreau@gmail.com>

	* nasl/nasl_builtin_nmap.c (nmap_run_and_parse): Indentation fix.

2014-04-24  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_hosts.c, base/openvas_hosts.h (determine_host_type):
	Rename to openvas_get_host_type. Export function.

2014-04-23  Henri Doreau <henri.doreau@gmail.com>

	* misc/arglist.h (ARG_STRUCT): Removed arglist type which is never
	assigned anywhere.

	* misc/arglist.c (arg_add_value, arg_set_value, arg_dup, arg_free_all):
	removed unused ARG_STRUCT handling cases.

2014-04-23  Henri Doreau <henri.doreau@gmail.com>

	* misc/internal_com.h (INTERNAL_COMM_MSG_TYPE_KB, INTERNAL_COMM_KB_*):
	removed unused macros.

2014-04-23  Henri Doreau <henri.doreau@gmail.com>

	* misc/plugutils.c (addslashes/rmslashes): Removed unused functions.

	* misc/plugutils.c: Updated headers accordingly.

2014-04-23  Henri Doreau <henri.doreau@gmail.com>

	Expose a new KB interface to the rest of the application. Implement a
	redis-based backend. KBs are now global and shared between all processes
	of a same task. Concurrent tasks transparently share a same redis server
	using multiple namespaces.

	The new KB interface has been slightly modified to reflect the change
	and allow alternative backends in the least intrusive way.

	* misc/kb.c: Removed.

	* misc/kb.h: Rewritten to expose new interface.

	* misc/kb_redis.c: New. Redis-backend.

	* misc/CMakeLists.txt: Link against hiredis (redis client library).

	* CMakeLists.txt: Look for hiredis (redis client library).

	* misc/plugutils.c (plug_get_fresh_key, plug_set_replace_key): Removed
	obsolete functions.
	(plug_set_key, plug_replace_key, plug_get_key, plug_get_host_open_port):
	Updated to use the new KB interface.

	* misc/plugutils.h (plug_get_fresh_key): Removed prototype.

	* nasl/nasl.c (DEFAULT_KB_LOCATION): new.
	(init, main): Use the new KB interface.

	* nasl/nasl_builtin_nmap.c (get_script_list, get_script_args): Updated
	to use the new KB interface and structures.

	* nasl/nasl_scanner_glue.c (get_kb_list, get_kb_fresh_item): Updated to
	use the new KB interface and structures.

2014-04-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post branch version bump.

	* CMakeLists.txt: Set version to 8.0.0 and status to beta.

2014-04-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CHANGES: Fix some revision references.

2014-04-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 7.0.2.

2014-04-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-libraries 7.0.1 release.

	* CHANGES: Updated.

2014-04-21  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/plugutils.c (get_plugin_preference_fname): Check content size
	error properly.

2014-04-18  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Add socket_get_ssl_ciphsersuite() nasl API.

	* misc/network.c, misc/network.h (socket_get_ssl_ciphersuite): New function.

	* nasl/nasl_init.c (libfuncs): Export socket_get_ssl_ciphersuite.

	* nasl/nasl_socket.c, nasl/nasl_socket.h
	(nasl_socket_get_ssl_ciphersuite): New function

2014-04-18  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Add socket_get_ssl_session_id(), socket_get_ssl_version() and
	socket_get_ssl_compression nasl APIs.

	* misc/network.c (socket_get_ssl_version, socket_get_ssl_session_id)
	(socket_get_ssl_compression): New functions.
	(socket_get_cert): Fix function documentation.

	* misc/network.h: Add new functions prototypes.

	* nasl/nasl_init.c (libfuncs): Export new functions.

	* nasl/nasl_socket.c (nasl_socket_get_ssl_session_id)
	(nasl_socket_get_ssl_compression, nasl_socket_get_ssl_version): New
	functions.

	* nasl/nasl_socket.h: Add new functions prototypes.

2014-04-16  Henri Doreau <henri.doreau@gmail.com>

	* misc/network.c (auth_printf): Replaced a brutal 1MB stack allocation
	by a variable-length heap one.

2014-04-16  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* CMakeLists.txt, base/CMakeLists.txt: Move check and linking with libldap
	and liblber to new base libraries module as it is only needed there.

2014-04-16  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/openvas_auth.c (AUTH_CONF_FILE): Add openvasmd to path.

2014-04-16  Benoît Allard  <benoit.allard@greenbone.net>

	* CMakeLists.txt: Don't install openvas-lsc-rpm-creator.sh, it
	  doesn't exists anymore here.

2014-04-16  Benoît Allard  <benoit.allard@greenbone.net>

	* tools/openvas-lsc-rpm-creator.sh: Move to openvas-manager. This is
	  spawn by the manager and nothing in libraries references it.

2014-04-15  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/openvas_auth.c (openvas_auth_init_funcs,
	openvas_auth_write_config): To ensure consistency, use the makro
	AUTH_CONF_FILE that was defined for this purpose.

2014-04-15  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* CMakeLists.txt: Remove check for zlib. Remove gio from GLIB ldflags.

	* base/CMakeLists.txt: Check for and link against zlib and gio.

2014-04-15  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/example.auth.conf: Fixed typo in key name.

2014-04-14  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_ssh.c (nasl_ssh_get_server_banner): Enable function if
	libssh 0.6.0 or higher is available.

	* nasl/nasl_ssh.h: Add libssh include.

2014-04-14  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/network.c (socket_get_cert): Fix cert_list_len value check as it
	is never negative.

2014-04-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/example.auth.conf: Removed "ldap" because this is not
	supported anymore. Fixed some notes as now Manager is caring
	for this file and it has a new location.

2014-04-09  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 7.0.1.

2014-04-09  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-libraries 7.0.0 release.

	* CHANGES: Updated.

	* CMakeLists.txt: Set version to 7.0.0.

2014-04-09  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/exec.c (exec_nasl_script): Print parse error line on all types of
	parsing errors.

	* nasl/nasl_grammar.y: Remove dead code.

2014-04-09  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_string.h, base/openvas_string.c
	(openvas_strv_contains_str): Remove unused function.

2014-04-08  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Remove LDAP authentication. Refactor LDAP-CONNECT authentication.

	* misc/CMakeLists.txt: Remove ldap_auth.c from build process.

	* misc/ldap_auth.c, misc/ldap_auth.h: Remove file.

	* COPYING: Remove ldap_auth module entry.

	* misc/ldap_connect_auth.c: Remove deleted header include.
	(KEY_LDAP_HOST, KEY_LDAP_DN_AUTH, KEY_LDAP_ROLE_ATTRIBUTE)
	(KEY_LDAP_ROLE_USER_VALUES, KEY_LDAP_ROLE_ADMIN_VALUES)
	(KEY_LDAP_ROLE_OBSERVER_VALUES, KEY_LDAP_RULE_ATTRIBUTE)
	(KEY_LDAP_RULETYPE_ATTRIBUTE): Add defines from removed file.
	(ldap_auth_info_from_key_file, ldap_auth_info_free, ldap_auth_info_new)
	(ldap_auth_info_auth_dn, ldap_auth_bind, ldap_auth_bind_query)
	(ldap_auth_dn_is_good, ldap_auth_query): New functions, moved from
	removed file.

	* misc/ldap_connect_auth.h: Add new functions prototypes. Update style.
	(struct ldap_auth_info): New struct, moved from removed file.

	* misc/openvas_auth.c: Remove unneeded include. Update documentation.
	(authentication_methods): Remove ldap method.
	(add_authenticator): Remove AUTHENTICATION_METHOD_LDAP case handling.
	(openvas_auth_write_config): Remove ldap method handling.

	* misc/openvas_auth.h (authentication_method): Remove
	AUTHENTICATION_METHOD_LDAP enum value.

	* misc/resource_request.c: Adjust include.

2014-04-08  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Remove ADS authentication.

	* misc/ads_auth.c, misc/ads_auth.h: Delete files.

	* misc/openvas_auth.c: Remove deleted header include. Update
	documentation.
	(add_authenticator): Don't handle AUTHENTICATION_METHOD_ADS case.
	(openvas_auth_write_config): Don't handle "method:ads" key file.
	(authentication_methods): Remove "ads" value.

	* misc/openvas_auth.h (authentication_method): Remove
	AUTHENTICATION_METHOD_ADS enum value.

	* misc/resource_request.c: Remove deleted header include.
	(SOURCE_TYPE_ADS): Remove define.
	(resource_request_resource): Don't handle "ads" case.

	* COPYING: Remove ads_auth license entry.

	* doc/example.auth.conf, doc/example.target.locators: Update
	documentation.

	* misc/CMakeLists.txt: Remove deleted file from build.

2014-04-07  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/bpf_share.c, misc/bpf_share.h (bpf_server): Remove unused
	function.

2014-04-07  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/network.c (socket_get_cert): Check that used socket is TLS
	encapsulated.

2014-04-07  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/network.c (open_stream_connection_unknown_encaps5): Remove
	function.
	(open_stream_auto_encaps_ext): Make tried encapsulations explicit. Fix
	code style.

	* misc/network.h: Remove function prototype.

	* nasl/nasl_builtin_find_service.c (plugin_do_run): Adjust for removed
	function. Improve code style.

2014-04-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* README: Rephrased a bit and mention the virtual machine.

	* INSTALL: Updated Debian installation hint to version 7.

2014-04-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/network.c (get_connection_fd): Check connection availability with
	pid element as transport value of 0 is ENCAPS_AUTO and might be valid.
	(release_connection_fd): Reset pid element value.
	(open_stream_connection_unknown_encaps5): Use OPENVAS_ENCAPS_TLScustom
	to automatically negotiate TLS version. Update log messages.
	(open_stream_connection_unknown_encaps): Remove function.
	(open_stream_auto_encaps_ext): Improve code style.

	* misc/network.h: Remove function prototype.

	* nasl/nasl_host.c (get_port_transport): Update documentation.

	* nasl/nasl_socket.c (nasl_open_sock_tcp_bufsz): Improve code style.

2014-04-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Add NASL socket_get_cert() API.

	* misc/network.c (ovas_get_tlssession_from_connection): Return
	gnutls_session_t as it is a pointer already.
	(socket_negotiate_ssl): Use OVAS_CONNECTION_FROM_FD() to get connection
	pointer. Update documentation.
	(socket_get_cert): New function.

	* misc/network.h: Add socket_get_cert prototype. Adjust
	ovas_get_tlssession_from_connection one.

	* nasl/nasl_init.c (libfuncs): Rename socket_ssl_negotiate to
	socket_negotiate_ssl. Add socket_get_cert.

	* nasl/nasl_socket.c (nasl_socket_ssl_negotiate): Rename to
	nasl_socket_negotiate_ssl.
	(nasl_socket_get_cert): New function.

	* nasl/nasl_socket.h: Add and adjust functions prototypes.

2014-04-03  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Add nasl socket_ssl_negotiate() API for SSL negotiation support for
	already open sockets.

	* misc/network.c (open_SSL_connection): Remove timeout argument. Use
	value already present on openvas_connection struct.
	(socket_negotiate_ssl): New function.
	(open_stream_connection_ext): Adjust open_SSL_connection() call.

	* misc/network.h: Add socket_negotiate_ssl() prototype.

	* nasl/nasl_init.c (libfuncs): Add socket_ssl_negotiate() nasl function.

	* nasl/nasl_socket.c (nasl_socket_ssl_negotiate): New function.

	* nasl/nasl_socket.h: Add nasl_socket_ssl_negotiate() prototype.

2014-04-02  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/network.c (load_cert_and_key): Handle load_gnutls_file return
	value accordingly.

2014-04-02  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_cert.c (get_oid_name): Return NULL instead of "Unknown".
	(nasl_cert_query): Use digest's oid as name of algorithm if get_oid_name
	returned null.

2014-04-01  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_cert.c (get_oid_name): New function.
	(nasl_cert_query): Add "algorithm-name" command type.

2014-03-31  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Remove force_pubkey_auth preference as certificates are always verified.

	* misc/network.c (ovas_scanner_context_new): Remove force_pubkey_auth
	parameter. Update comments.
	(ovas_scanner_context_attach): Always use GNUTLS_CERT_REQUIRE. Update
	comments.

	* misc/network.h: Adjust function prototype.

2014-03-28  Benoît Allard  <benoit.allard@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: 7.0+beta10

2014-03-28  Benoît Allard  <benoit.allard@greenbone.net>

	Prepare next release.

	* CHANGES: Updated

2014-03-28  Hani Benhabiles <hani.benhabiles@greenbone.net>

	First step for PFS support.

	* misc/openvas_server.c (load_gnutls_file): Return code for success or
	failure. Close file adequately.
	(client_cert_callback): Adjust load_gnutls_file() calls.
	(set_gnutls_dhparams): New function.

	* misc/openvas_server.h: Add new function prototype.

	* misc/network.c (ovas_scanner_context_new): Add function argument to
	set the Diffie-Hellman parameters.

	* misc/network.h: Adjust function prototype.

2014-03-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/nvti.c (nvti_free, nvti_shrink, nvti_from_keyfile,
	nvti_to_keyfile, nvti_clone): Removed handling of sign_key_ids.
	(nvti_sign_key_ids, nvti_set_sign_key_ids): Removed.

	* base/nvti.h: Removed protos accordingly.
	(struct nvti): Removd element sign_key_ids.

2014-03-26  Benoît Allard  <benoit.allard@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: 7.0+beta9

2014-03-26  Benoît Allard  <benoit.allard@greenbone.net>

	Preparing the openvas-libraries 7.0+beta8 release.

	* CHANGES: Updated

2014-03-26  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Add TLSv1.1 and TLSv1.2 support.

	* misc/plugutils.h: Remove OPENVAS_ENCAPS_* defines. Move IS_ENCAPS_SSL
	to misc/network.h.

	* misc/network.h (openvas_encaps_t): New enum. Add
	OPENVAS_ENCAPS_TLSv11, OPENVAS_ENCAPS_TLSv12 and OPENVAS_ENCAPS_MAX.
	Adjust functions prototypes.

	* misc/network.c (openvas_connection): Change transport element type to
	openvas_encaps_t.
	(openvas_register_connection, set_gnutls_protocol)
	(ovas_scanner_context_new): Change encaps argument from int to
	openvas_encaps_t.
	(open_stream_connection_ext, open_stream_connection_unknown_encaps5)
	(open_stream_auto_encaps_ext, read_stream_connection_unbuffered,
	write_stream_connection4, get_encaps_name, get_encaps_through): Support
	OPENVAS_ENCAPS_TLSv11 and OPENVAS_ENCAPS_TLSv12 cases.

	* nasl/nasl_init.c (libvars): Expose ENCAPS_TLSv11, ENCAPS_TLSv12 and
	ENCAPS_MAX variables to nasl interpreter.

	* nasl/nasl_socket.c (nasl_open_privileged_socket): Register connection
	using OPENVAS_ENCAPS_TLScustom to support different tls versions instead
	of fixed version with OPENVAS_ENCAPS_TLSv1.

2014-03-25  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/network.c (set_gnutls_protocol): Simplify hardcoded priority
	strings to enable cipher suites as supported by the used version of
	gnutls library.

2014-03-25  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_socket.c (nasl_open_sock_tcp_bufsz): Allow using default
	priority string in OPENVAS_ENCAPS_TLScustom transport case. Update code
	style.

2014-03-24  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_hosts.c (openvas_hosts_with_max): Return on invalid
	string.
	(openvas_hosts_removed): Update documentation.

	* base/openvas_hosts.h (struct openvas_hosts): Update documentation.

2014-03-24  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/nvti.c, base/nvti.h (nvti_add_sign_key_id): Remove unused
	function.

	* nasl/nasl_signature.c, nasl/nasl_signature.h
	(nasl_extract_signature_fprs): Remove unused function.

2014-03-21  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/network.c (struct ovas_scanner_context_s): Add element for
	gnutls priority string.
	(ovas_scanner_context_new): Add function parameter for priority string.
	Adjust allocation.
	(ovas_scanner_context_attach): Remove priority parameter. Use the value
	from the context instead.
	(ovas_scanner_context_free): Adjust to free priority element.

	* misc/network.h: Adjust function prototypes.

2014-03-20  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Add ability to specify a gnutls priority for a scanner context.

	* misc/network.c (ovas_scanner_context_attach)
	(openvas_register_connection): Add priority parameter Set the openvas
	connection's transport value according to the specified encaps value.
	Adjust set_gnutls_protocol call.
	(read_stream_connection_unbuffered, write_stream_connection4)
	(get_encaps_through): Handle OPENVAS_ENCAPS_TLScustom case.
	(pid_notice): Remove function.
	(set_gnutls_protocol, open_SSL_connection, open_socket): Delete calls to
	removed function.

	* misc/network.h: Adjust ovas_scanner_context_attach prototype.

	* nasl/nasl_socket.c (nasl_open_privileged_socket): Adjust
	openvas_register_connection.

2014-03-15  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/otp.h: Removed.

	* misc/CMakeLists.txt, COPYING: Removed otp.h accordingly.

2014-03-13  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Remove unused misc/rand and base/certificate. Replace nasl_memmem and
	nasl_strndup.

	* COPYING: Remove misc/rand.[c|h] and base/certificate.[c|h} license.

	* base/CMakeLists.txt: base/certificate.[c|h] from build process.

	* misc/CMakeLists.txt: Remove misc/rand.[c|h] from build process.

	* misc/rand.c, misc/rand.h, base/certificate.c, base/certificate.h:
	Remove files.

	* misc/plugutils.c: Remove rand.h include.

	* nasl/exec.c (cell2str, cell2str_and_size), nasl/nasl_crypto.c
	(nasl_gcrypt_hash, nasl_lm_owf_gen), nasl/nasl_misc_funcs.c
	(nasl_telnet_init), nasl/nasl_packet_forgery.c (get_icmp_element),
	nasl/nasl_packet_forgery_v6.c (get_icmp_element),
	nasl/nasl_scanner_glue.c (security_something), nasl/nasl_socket.c
	(nasl_recv, nasl_recv_line), nasl/nasl_text_utils.c (nasl_tolower)
	(nasl_toupper, nasl_strstr): Replace nasl_strndup() call with g_memdup.
	This function's name is misleading as it uses bcopy instead of behaving
	like strndup and g_strndup.

	* nasl/exec.c (nasl_exec), nasl/nasl_text_utils.c (nasl_split)
	(nasl_strstr, nasl_stridx, nasl_str_replace): Replace nasl_memmem which
	is a "slower memmem implementation" with memmem.

	* nasl/strutils.c (nasl_memmem, nasl_strndup), nasl/nasl_signature.c
	(nasl_get_pubkey, nasl_get_all_certificates): Delete unused functions.

	* nasl/strutils.h, nasl/nasl_signature.h: Remove function prototypes.

2014-03-12  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 7.0+beta8.

2014-03-12  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 7.0+beta7 release.

	* CHANGES: Updated.

2014-03-11  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/network.h: Remove useless include and define.

	* misc/otp.h (OTP_LOADING): New define.

2014-03-06  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* src/openvas_proctitle.c, src/openvas_proctitle.h: New files.

	* misc/proctitle.c, misc/proctitle.h: Remove files.

	* COPYING: Remove misc/proctitle.c and header license entry. Add
	license entry misc/openvas_proctitle.c and its header.

	* misc/CMakeLists.txt: Build and include new openvas_proctitle files
	instead of removed implementation.

2014-03-05  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 7.0+beta7.

2014-03-05  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 7.0+beta6 release.

	* CHANGES: Updated.

	* CMakeLists.txt: Explicitly prevent bison generated files from being
	considered for the source tarball.

2014-03-05  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* omp/omp.c, omp/omp.h (omp_modify_task_file, omp_delete_task)
	(omp_delete_report): Revert removal as still being used.

2014-03-05  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/openvas_server.h: Include gnutls/x509.h instead of
	gnutls/abstract.h as it is sufficient for prior client certificates
	changes and is present in older gnutls releases.

2014-03-04  Henri Doreau <henri.doreau@gmail.com>

	* misc/plugutils.c (plug_get_key): Minor style fix.

2014-03-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/certificate.c (certificate_create_full, certificate_trusted)
	(certificates_size, certificates_find), base/nvti.c
	(nvti_cvss_base_vector, nvti_cvss, nvti_as_text)
	(nvti_as_openvas_nvt_cache_entry, nvtis_size), base/openvas_compress.c
	(openvas_compress_string), base/openvas_file.c
	(openvas_file_read_b64_encode), base/openvas_networking.c
	(openvas_source_iface_str), base/openvas_string.c (openvas_isalnumstr)
	(openvas_isbase64, openvas_string_list_to_xml), base/settings.c
	(settings_init, settings_set, settings_save, init_settings_iterator)
	omp/omp.c (omp_authenticate_env, omp_create_task_rc_file,
	(omp_start_task, omp_abort_task, omp_resume_stopped_task)
	(get_omp_response_503, omp_get_nvt_all, omp_get_nvt_feed_checksum)
	(omp_get_dependencies_503, omp_wait_for_task_start)
	(omp_wait_for_task_end, omp_wait_for_task_stop, omp_wait_for_task_delete)
	(omp_delete_task, omp_get_status, omp_get_tasks, omp_get_report)
	(omp_get_report_format, omp_delete_report, omp_get_results)
	(omp_modify_task, omp_modify_task_file, omp_get_preferences)
	(omp_get_preferences_503, omp_get_certificates, omp_until_up)
	(omp_create_target, omp_delete_target, omp_create_config)
	(omp_create_config_from_rc_file, omp_delete_config)
	(omp_delete_lsc_credential, omp_create_agent, omp_delete_agent)
	(omp_get_nvt_details_503), omp/xml.c (add_attribute)
	(print_entities_to_string, print_entities, print_entities_format):
	Remove unused functions.

	* base/certificate.h, base/nvti.h, base/openvas_compress.h,
	base/openvas_file.h, base/openvas_networking.h, base/openvas_string.h,
	base/settings.h: Delete removed functions prototypes.

2014-03-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/openvas_logging.c, misc/openvas_logging.h: Revert removal of
	openvas_logging_silent as it is still used in openvas-cli.

2014-03-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* COPYING: Remove license details for share_fd.c, share_fd.h and BSD2.

	* COPYING.BSD2: Remove file.

	* misc/CMakeLists.txt: Don't build and include share_fd.c and share_fd.h

	* misc/share_fd.c, misc/share_fd.h: Remove files.

	* misc/ads_auth.c (ldap_object_get_attribute_values)
	(ldap_object_attribute_has_value), misc/arglists.c (arg_free_name)
	(arg_set_type, arg_get_length, init_element, arg_add_value_at_head),
	misc/hash_table_file.c (add_to_keyfile, hash_table_file_write)
	(hash_table_file_read), misc/network.c (open_stream_auto_encaps)
	(stream_get_ssl, stream_set_options, get_encaps, open_sock_tcp_hn)
	(open_sock_udp, stream_isset, stream_pending),  misc/openvas_auth.c
	(openvas_authenticate), misc/openvas_logging.c (openvas_log_silent),
	misc/openvas_ssh_login.c (openvas_ssh_login_prefstring)
	(add_ssh_login_to_file, openvas_ssh_login_file_write)
	(openvas_ssh_login_file_read), misc/pcap.c (is_local_ip, get_mac_addr),
	misc/plugutils.c (openvaslib_version, openvas_lib_version)
	(plug_add_host, host_add_port, host_add_port_udp, post_log_udp)
	(post_error_udp): Remove unused functions.

	* misc/arglists.h, misc/hash_table_file.h, misc/network.h,
	misc/openvas_auth.h, misc/openvas_logging.h, misc/openvas_ssh_login.h,
	misc/pcap_openvas.h: Delete removed functions prototypes.

2014-03-03  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/plugutils.c (plugin_is_newstyle): Remove unused function.

	* misc/plugutils.h: Remove function prototype.

	* nasl/nasl_packet_forgery_v6.c (struct v6pseudo_icmp_hdr): Remove
	unused nothing element.

	* nasl/nasl_packet_forgery.c (struct pseudo_udp_hdr): Remvoe unused
	nothing element.

2014-03-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Removed documentation of BSD3 license as recently
	last code under BSD3 was removed.

	* COPYING: Removed note on BSD3.

	* COPYING.BSD3: Removed.

2014-03-03  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* COPYING: Remove lsearch.c license.

	* nasl/lsearch.c: Remove unused file.

	* misc/network.c (ovas_allocate_connection): Rename to
	openvas_register_connection for consistency.
	(openvas_register_connection): Remove useless function.
	(ovas_scanner_context_attach): Adjust function call.

	* nasl/CMakeLists.txt: Don't build lsearch.c

	* nasl/genrand.c (set_rand_reseed_callback_ntlmssp)
	(set_need_random_reseed_ntlmssp), nasl/hmacmd5.c,
	(hmac_md5_init_rfc2104), nasl/nasl_builtin_synscan.c (find_rtt),
	nasl/nasl_crypto2.c (map_file), nasl/nasl_lex_ctxt.c
	(get_top_level_ctxt), nasl/nasl_var.c (get_var_type_by_name),
	nasl/smb_crypt.c (D_P16, E_old_pw_hash, cred_hash1, cred_hash2)
	(cred_hash3, sam_pwd_hash, SMBencrypt_ntlmssp, E_md5hash_ntlmssp),
	nasl/time.c (convert_timeval_to_timespec_ntlmssp)
	(convert_timespec_to_time_t_ntlmssp)
	convert_timespec_to_timeval_ntlmssp): Remove unused functions.

	* nasl/proto.h, nasl/smb_crypt.h, nasl/nasl_lex_ctxt.h: Remove deleted
	functions' prototypes.

	* nasl/nasl_scanner_glue.c (script_get_preference_file_content): Fix
	usage of data pointer instead of data size in error checking.
2014-02-27  Michael Wiegand <michael.wiegand@greenbone.net>

	* misc/CMakeLists.txt: Link against base when doing a static build.

2014-02-27  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/network.c (verify_peer_certificate): Remove function.
	(ovas_scanner_context_attach): Adequately use openvas_server_verify
	instead of verify_peer_certificate.

2014-02-25  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_compress.c (openvas_compress, openvas_uncompress): Remove
	unecessary check for unsigned value.

2014-02-24  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (get_omp_response_503): Always free response.  Use whole
	number for sleep, because 0.5 will be truncated to zero.

2014-02-22  Michael Wiegand <michael.wiegand@greenbone.net>

	* base/openvas_hosts.c (openvas_hosts_new_with_max): Remove useless
	comparison as an unsigned int will never be < 0.

2014-02-21  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/openvas_server.c (load_file, unload_file): Add function comments.
	Rename to load_gnutls_file and unload_gnutls_file.
	(client_cert_callback): Adjust functions calls.

	* misc/openvas_server.h: Add functions headers.

	* misc/network.c (load_file, unload_file): Remove unused functions.
	(load_cert_and_key): Use functions from misc/openvas_server.c and
	adjust calls accordingly. Remove double-free call.

2014-02-18  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/openvas_server.c (server_new_internal): Constify string arguments.
	(load_file, unload_file, sert_cert_file, set_key_file, get_key_file,
	(get_cert_file, client_cert_callback, openvas_server_open_with_cert):
	New functions.
	(openvas_server_open): Call openvas_server_open().

	* misc/openvas_server.h: Add include and function prototype.

2014-02-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 7.0+beta6.

2014-02-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-libraries 7.0+beta5 release.

	* CHANGES: Updated.

2014-02-14  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/nvti.c (nvti_from_keyfile): Call g_warning instead of g_error
	which causes the scanner to abort when an erroneous nvti cache file is
	present.

2014-02-12  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_hosts.c (openvas_hosts_new_with_max): New function,
	allows setting a max number of hosts limit.
	(openvas_hosts_new): Call openvas_hosts_new_with_max().

	* base/openvas_hosts.h: Add new function prototype accordingly.

2014-02-10  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/plugutils.c (kb_get_port_state_proto): Fix kb_item_get_int return
	value check to match previous style.

2014-02-07  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_hosts.c (cidr_get_ip): Free allocated memory in case of
	error.

2014-02-07  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/network (open_stream_connection_ext): Don't return error on
	OPENVAS_ENCAPS_SSLv2 transport value as it is supported.

	* nasl/nasl_socket (nasl_recv_line): Fix parameter name in error
	message.

2014-02-07  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/network (open_sock_tcp): Adequately print target host address
	when in time-out case.

2014-02-06  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_socket.c (rm_udp_data): Check hash table pointer is valid
	before removing it.

2014-02-05  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_networking.c (port_in_port_ranges): New function.

	* base/openvas_networking.h: Add function prototype accordingly.

	* misc/plugutils.c (port_in_ports, unscanned_udp_ports_as_closed):
	Remove functions as unused anymore.
	(unscanned_ports_as_closed): Add argument for port protocol.
	(kb_get_port_state_proto): Use port_range_ranges and
	port_in_port_ranges before trying to determine port state. Fix usage of
	unscanned_port_as_closed. Style update.

	* misc/plugutils.h: Add base/openvas_networking.h include.

2014-02-05  Michael Wiegand <michael.wiegand@greenbone.net>

	* base/openvas_networking.c (validate_port_range): Fix typo in
	comment.

2014-02-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_networking.c (port_range_ranges): New function from
	Manager.

	* base/openvas_networking.h: Add includes and function prototypes
	accordingly.
	(struct range): New struct.
	(port_protocol_t): New enum.

2014-02-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_networking.c (validate_port_range): New function.

	* base/openvas_networking.h: Add validate_port_range prototype.

2014-02-04  Michael Wiegand <michael.wiegand@greenbone.net>

	* nasl/nasl_grammar.y: Updated to ensure compatibility with bison >=
	3.0. Patch provided by Dan Fandrich.

2014-01-31  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/network.c (open_sock_tcp): Don't silently stop trying to open
	sockets for a tcp port when a previous test failed. Add log message upon
	failure.

2014-01-30  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/settings.c (settings_save): Return error upon error
	always. This also resolves a dead assignment.

2014-01-30  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* INSTALL: Add section about static code analysis with CLang.

2014-01-23  Benoît Allard  <benoit.allard@greenbone.net>

	* nasl/nasl_signature.c (nasl_extract_signature_fprs): Initialize an
	  unitialized variable

2014-01-22  Henri Doreau <henri.doreau@gmail.com>

	* nasl/nasl_builtin_find_service.c (plugin_run_find_service): Renamed
	variable "one_true_pipe" into "unix_sock", because it's a unix socket,
	not a pipe.

2014-01-22  Henri Doreau <henri.doreau@gmail.com>

	* nasl/nasl_builtin_find_service.c (plugin_run_find_service): Minor
	style fix.

2014-01-20  Henri Doreau <henri.doreau@gmail.com>

	* nasl/nasl_builtin_find_service.c (mark_vtun_server, mark_wrapped_svc)
	(plugin_do_run): Fixed line wrapping.

2014-01-20  Henri Doreau <henri.doreau@gmail.com>

	* nasl/nasl_builtin_find_service.c: Re-indented using indent(1) -nut.

2014-01-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Finally removing/resolving last oldstyle kb remains.

	* nasl/nasl_builtin_find_service.c (HASH_MAX, plug_get_oldstyle_kb):
	Removed.
	(plugin_run_find_service): Replace the last uses of oldstyle kb
	by new style kb. This simplifies the loops by one level
	and removed a count bug.

2014-01-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_builtin_find_service.c (plugin_run_find_service):
	Addionally to the oldstyle kb, get a newstyle handle of the kb.
	Replace the while statement using the oldstyle kb to count
	the number of open ports with new style kb.
	This also removes a count bug that would deliver one too less
	in case the last kb element contains a port.

2014-01-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Isolating old style kb function to the only place where it still used.

	* misc/kb.c (plug_get_oldstyle_kb): Removed.

	* misc/kb.h: Removed proto accordingly.

	* nasl/nasl_builtin_find_service.c (HASH_MAX, plug_get_oldstyle_kb):
	New. Copy from above place, with some comment and using kb_t typedef.

2014-01-16  Michael Wiegand <michael.wiegand@greenbone.net>

	* base/nvticache.c (nvticache_get): Also return NULL if the file could
	be read, but is empty. This fixes a segfault when an empty nvti file
	is encountered when reading the cache. Patch suggested by Sebastien
	Aucouturier.

2014-01-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/kb.h: Add a typedef kb_t for struct kb_item **.

	* misc/plugutils.c, misc/network.c, misc/plugutils.h, misc/www_funcs.c,
	nasl/nasl_http.c, nasl/nasl_builtin_nmap.c, nasl/nasl_scanner_glue.c,
	nasl/nasl_ssh.c: Use kb_t.

2014-01-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/plugutils.c, nasl/nasl.c, nasl/nasl_scanner_glue.c:
	Formatting fixes.

2014-01-09  Benoit Allard  <benoit.allard@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 7.0+beta5.

2014-01-09  Benoit Allard  <benoit.allard@greenbone.net>

	* CHANGES: Set date for 7.0+beta4 release

2014-01-08  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Fix a regression reported by Henri Doreau with authenticated scans.

	* misc/network.c (nsend): Revert parts of revision 18495 caused by utf-8
	conversion
	(auth_send): Convert data to UTF-8 before sending it.

2014-01-06  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-libraries 7.0+beta4 release.

	* CHANGES: Updated. But set no date yet.

2014-01-02  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_grammar.y (INCLUDE): Adjust to return error code if the file
	to include wasn't located.

	* nasl/exec.c (exec_nasl_script): Handle naslparse return code
	adequately.

2013-12-30  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl-lint.c (main): Add glib version check around g_type_init as
	it is deprecated starting from version 2.35.

2013-12-27  Benoît Allard  <benoit.allard@greenbone.net>

	* nasl/nasl-lint.c: Replace tabs by spaces, and remove trailing
	  whitespaces

2013-12-27  Benoît Allard  <benoit.allard@greenbone.net>

	Add a standalone NASL-linter

	* nasl/nasl-lint.c: Add
	* nasl/CMakeLists.txt: Add instructions to build openvas-nasl-lint

2013-12-17  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/network.c (nsend): Convert data to UTF-8 before sending it.
	Adjust function accordingly.
	(internal_send): Fix variable used for message length.

2013-12-12  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_http (_http_req): Add port value in http host header.

2013-12-11  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_networking.c (openvas_source_iface_init): Check for
	ifa_addr value before dereferencing it. One case where this has a null
	value is the tun interface created by vpnc.

2013-12-09  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl.c: Add -e option for openvas-nasl to specify the source
	interface.

	* doc/openvas-nasl.1: Update documentation.

2013-12-09  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_networking.c (openvas_source_iface_is_set): New function.

	* base/openvas_networking.h: Add new function prototype.

	* misc/pcap.c (v6_getsourceip, getsourceip): Don't recheck source
	interface as callers already do it. Remove verbose error prints.

	* misc/pcap_openvas.h: Add function prototype.

	* nasl/nasl_host.c (nasl_this_host): Check if source_iface is set before
	trying to use its address. Refactor code to better handle error returns.

2013-11-26  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/nvti.c (set_from_key): New function.
	(nvti_from_keyfile): Use set_from_key to set the string fields, so that
	UTF-8 conversion is always done.  Convert preferences to UTF-8.
	(set_from_nvti): New function.
	(nvti_to_keyfile): Use set_from_nvti to write strings to the keyfile, so
	that ISO conversion is always done.  Convert preferences to ISO.

2013-11-26  Michael Wiegand <michael.wiegand@greenbone.net>

	Remove obsolete certificate_file implementation.

	* base/openvas_certificate_file.c, base/openvas_certificate_file.h:
	Removed. This was used for saving certificate information to files and
	was only used in the now obsolete Gtk client.

	* base/CMakeLists.txt: Remove handling of openvas_certificate_file.c
	and openvas_certificate_file.h.

	* COPYING: Remove reference to openvas_certificate_file.c and
	openvas_certificate_file.h. Bump date.

2013-11-22  Michael Wiegand <michael.wiegand@greenbone.net>

	Remove obsolete severity_filter implementation.

	* base/severity_filter.c, base/severity_filter.h: Removed. This was a
	early client side implementation of the overrides concept and was only
	used in the now obsolete Gtk client.

	* base/CMakeLists.txt: Remove handling of severity_filter.c and
	severity_filter.h.

	* COPYING: Remove reference to severity_filter.c and
	severity_filter.h.

2013-11-22  Michael Wiegand <michael.wiegand@greenbone.net>

	* nasl/nasl_grammar.y (init_nasl_ctx): Print error message to stderr
	instead of stdout for consistency.

2013-11-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 7.0+beta4.

2013-11-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 7.0+beta3 release.

	* CHANGES: Updated.

2013-11-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/openvas_auth.c: Removed some outdated documentation about
	the users directory.

2013-11-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/accessrules.c, base/accessrules.h: Removed. This was
	a so far unused implementation anyway. With the change from rules
	to host access this is not needed anymore.

	* COPYING: Removed this module.

2013-11-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/openvas_auth.c (openvas_auth_make_user_rules): Removed.
	The file based rules were removed and thus this function is
	not relevant anymore. Actually it is not called anywhere anymore.
	(RULES_FILE_HEADER): Removed.

	* misc/openvas_auth.h: Removed proto accordingly.

2013-11-19  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/openvas_auth.c (openvas_auth_init): Add return.
	(openvas_auth_init_funcs): Init Libgrypt.

	* misc/openvas_auth.h: Update headers accordingly.

2013-11-18  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_builtin_find_service.c (plugin_do_run): Do not magically
	double timeouts for the list of services that are recognized by this
	plugin. Now the timeouts as given in the preferences are applied
	to all ports. This makes the behaviour transparent for the user.

2013-11-18  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_builtin_find_service.c (plugin_do_run): Treat SSL ports
	like any unknown one. Essentially this means that the timeouts
	as specified by the NVT preference are applied instead of magically
	doubling the timeouts. Since the list of known SSL ports is
	arbitrary and also entirely outdated there is no reason to handle
	the currenty hard-coded list in a special way.
	Additionally it is not transparent to the user that some (not visible
	which ones) SSL ports are tested with doubled timeouts and others
	with the regular (user-visible) timeout.
	(known_ssl_port): Removed this now unused function.

2013-11-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_builtin_find_service.c (plugin_run_find_service): Make
	test_ssl = 1 represent "All", test_ssl = 0 for "None" and have
	any other string degfault to "All". This essentially drops the
	previously considered "Known SSL Ports".
	(plugin_do_run): Don't care about known ports anymore.

2013-11-14  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_hosts.c (openvas_host_in_hosts): Add parameter to use as
	an already resolved address for hostnames checking.

	* base/openvas_hosts.h: Adjust openvas_host_in_hosts prototype.

2013-11-14  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_hosts.c (openvas_host_in_hosts): Make comparing of
	strings case-insensitive.

2013-11-12  Thomas Rotter <Thomas.Rotter@greenbone.net>

	* nasl/nasl_init.c: Added missing win_cmd_exec

2013-11-08  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_hosts.c (openvas_host_in_hosts): New function.

	* base/openvas_hosts.h: Add function prototype.

2013-11-08  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/system.c, misc/system.h, misc/system_internal.h: Remove unused
	funtion estrlen.

2013-11-06  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/plugutils.c (plug_set_replace_key): Add switch variable to output
	debug info to stderr.

	* nasl/nasl.c (main): Set global_nasl_debug variable when -d flag is
	set.

	* doc/openvas-nasl.1: Update documentation.

2013-10-30  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_hosts.c (openvas_hosts_new): Break in uninitialized
	ips_func variable case. Fixes build on gcc 4.8.

2013-10-30  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_compress.c (openvas_compress, openvas_uncompress):
	Refactor code and fix single step compress/uncompress. Fix memory leaks
	in inflate/deflate internal structures.

2013-10-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_scanner_glue.c (script_description): Added note under
	which condition it can be removed.

	* nasl/nasl_init.c: Added note here accordingly.

2013-10-29  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_compress.c (openvas_compress, openvas_uncompress):
	Unconstify src pointer when z_const is not defined to fix building on
	with older zlib versions.

2013-10-29  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_compress.h: Fix define typo.

2013-10-29  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_compress.c: Define ZLIB_CONST so that z_const is defined
	as const.
	(openvas_compress): Use deflateInit and deflate instead of compress
	call. Adjust stream initialization and error handling accordingly.
	(openvas_uncompress): Use inflateInit2 and inflate with automatic header
	detection when decoding zlib/gzip format. Adjust stream initialization
	and error handling accordingly.

	* base/openvas_compress.h: Add macro check to prevent multiple includes.

2013-10-28  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/openvas_server.c (verify_certificate): Remove.  Now
	openvas_server_verify.
	(openvas_server_verify): New function.
	(server_new_internal): Remove call to set verify function, which
	requires GnuTLS 2.10.

	* misc/openvas_server.h: Add header accordingly.

2013-10-28  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/nvti.c (nvti_free, nvti_shrink): Don't free description.
	(nvti_description, nvti_set_description): Delete functions.
	(nvti_from_keyfile, nvti_to_keyfile, nvti_clone): Don't apply
	description value.

	* base/nvti.h: Remove prototypes accordingly.

	* nasl/nasl_scanner_glue.c (script_description): Don't call removed
	function.

2013-10-28  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/openvas_server.c (verify_certificate): New function.
	(server_new_internal): Set verification callback.

2013-10-28  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_init.c (libfuncs): Add gzip and gunzip functions.

	* nasl/nasl_misc_funcs.c: Include openvas_compress.h
	(nasl_gunzip, nasl_gzip): New functions.

	* nasl/nasl_misc_funcs.h: Add new functions prototypes.

2013-10-28  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_compress.h, base/openvas_compress.c: Move zlib.h include
	from .h file to .c

2013-10-28  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* INSTALL: Add zlib library dependency.

	* base/openvas_compress.h, base/openvas_compress.c: Use unsigned long
	instead of uLong/size_t to match the code base.

2013-10-28  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_compress.h, base/openvas_compress.c: Use uLong instead of
	size_t. Solves build on 32 bits systems.

2013-10-25  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_compress.h, base/openvas_compress.c: New files.

	* CMakeLists.txt: Link against zlib.

	* base/CMakeLists.txt: Add openvas_compress.c and openvas_compress.h
	files to the build process.

2013-10-24  Michael Wiegand <michael.wiegand@greenbone.net>

	Change default build behaviour to build openvas-libraries only
	dynamically / shared linked by default. For static linking between the
	OpenVAS libraries the option BUILD_STATIC has been added. Based in
	large parts on a patch suggested by Andre Heinecke.

	* CMakeLists.txt: Add new option BUILD_STATIC.

	* misc/CMakeLists.txt: Add handling of BUILD_STATIC and BUILD_SHARED.
	Update MINGW case and move it into BUILD_SHARED case.

	* omp/CMakeLists.txt: Add handling of BUILD_STATIC and BUILD_SHARED.
	Move MINGW case into BUILD_SHARED case.

	* nasl/CMakeLists.txt: Add handling of BUILD_STATIC and BUILD_SHARED.
	Link openvas-nasl binary against static or dynamic OpenVAS libraries
	depending on what was built.

	* base/CMakeLists.txt: Add handling of BUILD_STATIC and BUILD_SHARED.
	Update MINGW case and move it into BUILD_SHARED case. Link test-hosts
	binary against static or dynamic OpenVAS libraries depending on what
	was built.

2013-10-22  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/resolve.c, misc/resolve.h: Delete files.

	* base/CMakeLists.txt: Remove resolve.c and resolve.h from build.

	* misc/ids_send.c: Don't include resolve.h

	* misc/network.c: Don't include resolve.h
	(open_sock_opt_hn): Replace nn_resolve call with
	openvas_resolve_as_addr6.

	* nasl/nasl_host.c: Don't include resolve.h
	(nasl_this_host): Replace nn_resolve call with openvas_resolve_as_addr6.

	* COPYING: Remove deleted files licensing.

2013-10-22  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_hosts.c (openvas_host_resolve): Call
	openvas_resolve.

	* base/openvas_networking.c (openvas_resolve)
	(openvas_resolve_as_addr6): New functions.

	* base/openvas_networking.h: Add include and new prototypes.

2013-10-18  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/network.c (open_socket): Call openvas_source_set_socket instead
	of set_socket_source_addr.
	(_socket_get_next_source_addr, _socket_get_next_source_v4_addr)
	(_socket_get_next_source_v6_addr, socket_get_next_source_addr)
	(socket_get_next_source_v4_addr, socket_get_next_source_v6_addr,
	(set_socket_source_addr, socket_source_init): Delete functions.

	* misc/network.h: Include openvas_networking.h. Remove deleted functions
	prototypes.

	* misc/pcap.c (v6_getsourceip, getsourceip, v6_routethrough)
	(routethrough): Call adequate openvas_source functions instead of
	removed ones.

	* nasl/nasl_host.c: Add include.
	(nasl_this_host): Adequately call openvas_source functions.

	* nasl/nasl_socket.c: Add include
	(nasl_open_sock_udp, nasl_open_privileged_socket): Adequately call
	openvas_source functions.

2013-10-18  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_hosts.c (ipv4_mapped_ipv6): Delete function.
	(openvas_host_get_addr6): Call ipv4_as_ipv6 instead of deleted function.

	* base/openvas_hosts.h: Include openvas_networking.h

2013-10-18  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_networking.c, base/openvas_networking.h: New files.

	* COPYING: Add license information for new files.

	* base/CMakeLists.txt: Build new files.

2013-10-17  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* COPYING: Remove recently removed comm.h.

2013-10-17  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/network.c, misc/network.h: Remove unused function
	convipv4toipv4mappedaddr.

	* misc/plugutils.c, misc/scanner_utils.c, nasl/nasl_scanner_glue.c:
	Don't include comm.h header.

	* misc/comm.h: Remove file.

2013-10-14  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/plugutils.c (proto_post_wrapped): Don't append description when
	plugin is not new style in empty action case.

2013-10-03  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Avoid library detection when cross compiling since
	it is unreliable in this situation. Added TODO. Patch suggested by
	Andre Heinecke.

2013-09-28  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Add option to build only the omp part of
	openvas-libraries. This can be used to prevent building of the nasl
	part when this part is not required or desired.  Patch suggested by
	Andre Heinecke.

2013-09-28  Michael Wiegand <michael.wiegand@greenbone.net>

	* omp/CMakeLists.txt: Do not apply hardening flags when using MINGW.
	Patch suggested by Andre Heinecke.

2013-09-28  Michael Wiegand <michael.wiegand@greenbone.net>

	* misc/CMakeLists.txt: Do not apply hardening flags when using MINGW.
	Patch suggested by Andre Heinecke.

2013-09-28  Michael Wiegand <michael.wiegand@greenbone.net>

	* base/openvas_hosts.c, base/pidfile.c, misc/openvas_auth.c: Revert
	patches accidentally included in last commit.

2013-09-28  Michael Wiegand <michael.wiegand@greenbone.net>

	* base/CMakeLists.txt: Add missing files to MINGW section.

2013-09-26  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 7.0+beta3.

2013-09-26  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Preparing the openvas-libraries 7.0+beta2 release.

	* CHANGES: Updated.

2013-09-20  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/plugutils.c (plug_set_dep): Remove handling of dependencies with
	.nes extension case as they were fully converted.

2013-09-18  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_hosts.c (openvas_hosts_resolve): New function.
	(openvas_hosts_exclude): Add boolean to choose whether to resolve
	excluded hostnames before filtering them out. Call new function
	adequately.

	* base/openvas_hosts.h: Add and modify function prototypes.

2013-09-16  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Add support for IPv6 short range-expressed networks.

	* base/openvas_hosts.c (is_long_range_network, long_range_network_ips):
	Fix comments and coding style.
	(is_short_range6_network, short_range6_network_ips): New functions.
	(determine_host_type, openvas_hosts_new): Handle short IPv6 range case.

	* base/openvas_hosts.h (host_type): Add HOST_TYPE_RANGE6_SHORT value.

2013-09-13  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Add support for IPv6 long range-expressed networks.

	* base/openvas_hosts.c: Coding style and documentation typos fixes.
	(is_long_range6_network, long_range6_network_ips): New functions.
	(determine_host_type, openvas_hosts_new): Handle IPv6 long ranges case.

	* base/openvas_hosts.h (host_type): Add HOST_TYPE_RANGE6_LONG value.

2013-09-12  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_hosts.c (openvas_hosts_reverse): New function.

	* base/openvas_hosts.h: Add prototype accordingly.

2013-09-12  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Huge performance boost for hosts deduplication and exclusion.

	* base/openvas_hosts.c (openvas_host_equal): Remove unused function.
	(openvas_hosts_remove_duplicates): Rename to openvas_hosts_deduplicate.
	Use a hash table to deduplicate in O(N) time.
	(openvas_hosts_new): Adjust function call.
	(openvas_hosts_remove_element): New function.
	(openvas_hosts_exclude): Use a hash table to exclude hosts in O(N+M)
	time.
	(openvas_hosts_reverse_lookup_only, openvas_hosts_reverse_lookup_unify):
	Code style fix.

2013-09-11  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_hosts.c (openvas_host_reverse_lookup): Return looked-up
	value. Update documentation.
	(openvas_hosts_resolve_lookup_only): Adjust for previous change.
	(openvas_hosts_resolve_lookup_unify): New function.
	(openvas_hosts_new): Remove debug output functions.

	* base/openvas_hosts.h: Add prototype accordingly.

2013-09-11  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_hosts.c (openvas_hosts_shuffle): Add null pointer check.
	(openvas_host_reverse_lookup, openvas_hosts_reverse_lookup_only): New
	functions.

	* base/openvas_hosts.h: Add prototype accordingly.

2013-09-10  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* base/openvas_hosts.c (openvas_hosts_free): Free hosts list in
	two steps instead of using g_list_free_full.

2013-09-10  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_hosts.c (openvas_hosts_exclude): New function.
	(openvas_hosts_count, openvas_hosts_removed, openvas_hosts_free)
	(openvas_hosts_shuffle, openvas_host_equal): Coding style fix.

	* base/openvas_hosts.h: Add openvas_hosts_exclude prototype.
	(openvas_hosts_t): Update comment.

2013-09-10  Hani Benhabiles <hani.benhabiles@greenbone.net>

	A couple of changes based on suggestions by Henri Doreau, more to
	follow.

	* base/openvas_hosts.h: name the HOST_TYPE_* enum as host_type.
	(openvas_host): Change type's type to host_type.
	(openvas_hosts): Make removed variable unsigned.

	* base/openvas_hosts.c (openvas_hosts_remove_duplicates): Declare
	elements variable at top of the block.

2013-09-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/resolve.c (host2ip): Removed. It is an unused function.

2013-09-06  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Fix a couple of memory leaks.

	* misc/pcap.c (v6_getinterfaces): Call freeifaddrs if getifaddrs call
	succeeds.

	* misc/plugutils.c (plug_set_replace_key): Free str when soc is null
	too.

	* nasl/nasl_host.c (get_host_ip): Use the already duplicated txt_ip
	instead of duplicating it again.

2013-09-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/test-hosts.c: New. A stand-alone test tool for module
	openvas_hosts. Developed by Hani Benhabiles.

	* base/CMakeLists.txt: Add handling for test-hosts.c.

2013-09-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/Doxyfile.in: Removed handling of module hg.

2013-09-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* hg/: Removed.

2013-09-05  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Remove unused hg/ module.

	* hg/hg_filter.h, hg/hg_subnet.c,
	hg/hg_utils.c, hg/test.c,
	hg/hosts_gatherer.c, hg/hg_dns_axfr.c,
	hg/hg_subnet.h, hg/hg_utils.h,
	hg/hg_add_hosts.c, hg/hosts_gatherer.h,
	hg/hg_dns_axfr.h, hg/README.txt,
	hg/hg_add_hosts.h, hg/CMakeLists.txt,
	hg/hg_filter.c, hg/hg_debug.c: Removed.

	* COPYING: Remove hg license information.

	* nasl/CMakeLists, CMakeLists, libopenvas.pc.in: Remove hg directory and
	library related entries.

2013-09-05  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Add CIDR IPv6 ranges support.

	* base/openvas_hosts.c (cidr_block_ips): Detail documentation.
	(is_cidr6_block, cidr6_get_block, cidr6_get_ip, cidr6_block_ips): New
	functions.
	(determine_host_type): Check for IPv6 CIDR-blocks syntax.
	(openvas_hoss_remove_duplicates): Fix duplicates count substraction.
	(openvas_hosts_new): Handle adding single hosts for CIDR IPv6 blocks.

	* base/openvas_hosts.h: Add HOST_TYPE_CIDR6_BLOCK value.

2013-09-05  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Cache openvas_hosts count, instead of counting host objects each time.

	* base/openvas_hosts.c (openvas_hosts_remove_duplicates): Substract
	duplicates from count.
	(openvas_hosts_new): Increment hosts count when adding a host object.
	(openvas_hosts_count): Return count element value.

2013-09-05  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_hosts.c, src/openvas_hosts.h: Rename openvas_host_addr6
	to openvas_host_get_addr6 to make it clearer that interface resolves
	address when unavailable.

	* nasl/nasl.c: Remove system.h include. Replace usage of
	emalloc/estrdup/efree with equivalent glib functions.
	(main): Handle openvas_host_get_addr6 error. Free hostname.

2013-09-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Remove hg module usage and integrate openvas_hosts interface for
	openvas-nasl.

	* nasl/nasl.c: Remove useless includes. Include base/openvas_hosts.h
	(main): Replace hg_* functions with openvas_hosts_* and openvas_host_*
	functions and make necessary adjustments.

2013-09-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_hosts.c (ipv4_mapped_ipv6, openvas_host_addr6): New
	functions.

	* base/openvas_hosts.h: Add openvas_host_addr6 function prototype.

2013-09-03  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* COPYING: Add license for new files.

2013-09-03  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Initial commit for new Hosts API that will replace hg module.

	* base/openvas_hosts.c, base/openvas_hosts.c: New files.

	* base/CMakeLists.txt: Add new files to build process.

2013-08-29  Michael Wiegand <michael.wiegand@greenbone.net>

	* COPYING: Update date to reflect the latest change.

2013-08-22  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* nasl/nasl_scanner_glue.c (script_xref): Conform to coding style.

2013-08-22  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* nasl/nasl.c (main): Document obligatory command line argument
	and clarify that multiple can be given (in error message when none is
	passed).

2013-08-22  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* nasl/nasl_scanner_glue.c (script_xref, script_tag): Use nasl_perror
	to print the NVT name, verbose debugging messages when parameters
	are not set.

2013-08-22  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/nasl_scanner_glue.c (script_xref, script_tag): Make error message
	more descriptive by printing the NVT name.

2013-08-14  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* INSTALL: Updated reference system from Debian 6 to 7.

2013-08-01  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* hg/hosts_gatherer.h: Fix comment typo.

2013-07-31  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Adding capability to NASL to run commands on a remote Windows
	machine when being authenticated. Similar like it is already
	possible to run commands on remote Linux systems using ssh.
	These patches were developed by Thanga Prakash <tprakash@secpod.com>.

	* nasl/smb_interface_stub.c (wincmd): New.

	* nasl/openvas_smb_interface.h: Add proto accordingly.

	* nasl/nasl_smb.c (nasl_win_cmd_exec): New.

	* nasl/nasl_smb.h: Add proto accordingly.

	* nasl/CMakeLists.txt: Added checks for wincmd library and handle
	if is found.

	* doc/wmi-howto.txt: Updated to consider additional patch and
	installation.

	* CMakeLists.txt: Add configure check for wincmd.

2013-07-24  Matthew Mundell <matthew.mundell@greenbone.net>

	* INSTALL: Reorder PKG_CONFIG_PATH export, in case another openvas
	installation is already in existing PKG_CONFIG_PATH.

2013-07-18  Michael Wiegand <michael.wiegand@greenbone.net>

	* hg/hg_utils.c (hg_get_name_from_ip): Hide debug output behind NDEBUG
	ndefines so it does not show up when built with the "Release" build
	type.

2013-07-16  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/plugutils.c (proto_post_wrapped): Enable sending of ALARM in
	place of LOG, NOTE and INFO.

2013-07-16  Matthew Mundell <matthew.mundell@greenbone.net>

	* ChangeLog: Clean up a little formatting.

2013-07-12  Werner Koch  <wk@gnupg.org>

	Remove circular dependency between misc/ and nasl/ introduced by
	me on 2012-09-20.

	* misc/network.c: Remove nasl_ssh.h include.
	(struct csc_hook_s): New.
	(csc_hooks): New.
	(add_close_stream_connection_hook): New.
	(run_csc_hooks): New.
	(close_stream_connection): Call run_csc_hooks instead of
	nasl_ssh_internal_close.
	* misc/network.h (add_close_stream_connection_hook): New
	prototype.
	* nasl/nasl_ssh.c (nasl_ssh_internal_close): Make static and
	rename to nasl_ssh_close_hook.
	(next_session_id): Register hook.

2013-07-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/plugutils.c (proto_post_wrapped): Handle message
	according to cvss here instead of in proto_post_alarm.
	(proto_post_alarm): Removed cvss-depending code.

2013-07-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Renamed "alert" to "alarm" to not mix up with the alerts as
	used in OpenVAS Manager.

	* nasl/nasl_builtin_find_service.c: Replaced all calls of post_alert
	by post_alarm.

	* misc/plugutils.c (proto_post_alert, post_alert): Renamed
	to proto_post_alarm and post_alarm.

	* misc/plugutils.h: Renamed protos accordingly.

	* nasl/nasl_scanner_glue.c (security_message): Renamed call accordingly.

2013-07-01  Michael Wiegand <michael.wiegand@greenbone.net>

	* base/gpgme_util.c (openvas_init_gpgme_ctx)
	(openvas_init_gpgme_sysconf_ctx): Hide debug output behind NDEBUG
	ndefines so it does not show up when built with the "Release" build
	type.

2013-07-01  Michael Wiegand <michael.wiegand@greenbone.net>

	Remove files containing now obsolete convenience code. The
	functionality was not currently in use and is now available directly
	in glib.

	* base/hash_table_util.c, base/hash_table_util.h: Removed.

	* base/CMakeLists.txt: Updated to no longer include the removed files.

	* COPYING: Updated to no longer include the removed files.

2013-06-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_builtin_find_service.c: Replaced all calls of post_hole
	by post_alert.

	* misc/plugutils.c (proto_post_hole, post_hole, post_hole_udp)
	(post_info, post_info_udp, proto_post_info, post_note)
	(post_note_udp, proto_post_note): Removed.

	* misc/plugutils.h: Removed protos accordingly.

2013-06-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Move the decision of the message level to the message sending.
	This reduces the retrievals of the nvt details from cache by one.

	* nasl/nasl_scanner_glue.c (security_message): Don't
	use the CVSS of the NVT to determine actual message level.
	Instead call the new alert function.

	* misc/plugutils.c (proto_post_alert, post_alert): New.
	Use the CVSS of the NVT to apply the actual message.

	* misc/plugutils.h: Added protos accordingly.

2013-06-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Remove parameters "threat" and "cvss" from security_message.
	In fact these were forseen for a transitional phase according
	to CR 59. Meanwhile any NVT has a CVSS and a NVT should
	never send different severities decided at runtime.

	* nasl/nasl_init.c (lib_funcs): Removed parameters "threat" and
	"cvss" from security_message.

	* nasl/nasl_scanner_glue.c (security_message): Don't interpret and
	handle parameters "threat" and "cvss".

2013-06-27  Michael Wiegand <michael.wiegand@greenbone.net>

	Improve handling of linker flags, partly based on a patch by Guillaume
	Rousse.

	* CMakeLists.txt: Gather linker flags for GnuTLS via pkg-config, for
	libgcrypt via libgcrypt-config. Hard code LDAP_LDFLAGS if libldap is
	found since libldap does not provide it's linker flags.

	* misc/CMakeLists.txt: Gather linker flags for uuid via pkg-config
	when not using MINGW. Consolidate target_link_libraries calls and use
	linker flags gathered during configuration instead of hard coded
	values.

	* base/CMakeLists.txt: Add GPGME_LDFLAGS to target_link_libraries to
	ensure linking works with strict linking options.

2013-06-27  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Make SVN revision in version string available again
	for out-of-source build.

2013-06-24  Henri Doreau <henri.doreau@cea.fr>

	* base/cvss.c (toenum): Use a separate variable to express
	success or failure, in order to not use negative values in enums.

2013-06-24  Michael Wiegand <michael.wiegand@greenbone.net>

	* nasl/nasl_builtin_openvas_tcp_scanner.c (std_port): Fix typo in
	comment and comment syntax.

2013-06-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_builtin_find_service.c (mark_remote_nc_server): Don't
	send a "hole" message anymore. Just a "log". The security aspect
	is handled by another NVT (JM_RemoteNC.nasl).

2013-06-20  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 7.0+beta2.

2013-06-20  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 7.0+beta1 release.

	* CHANGES: Updated.

2013-06-20  Michael Wiegand <michael.wiegand@greenbone.net>

	* misc/otp.h: Increase protocol defines for protocol version switch.

2013-06-19  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/nvti.c, base/nvti.h (nvti_risk_factor): Remove function.

2013-06-19  Michael Wiegand <michael.wiegand@greenbone.net>

	* base/cvss.c (toenum): Add todo regarding negative values in enums.

2013-06-19  Michael Wiegand <michael.wiegand@greenbone.net>

	Add support for setting the "autofp" parameter via omp_get_report_ext.

	* omp/omp.h (omp_get_report_opts_t): Add autofp.

	* omp/omp.c (omp_get_report_ext): Add autofp.

2013-06-12  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/pcap.c (v6_routethrough, routethrough): Fix error message.

2013-06-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Remove "SERVER <|> PORT" message of OTP.
	This remove results in the report that have no reference to
	a NVT. It has no internal impact on scanner and will not affect
	the port list reported via host details or via special port listing
	NVTs.

	* misc/plugutils.c (scanner_add_port): Removed sending a
	"SERVER <|> PORT" message. The port will still be registered in
	the KB.

2013-06-06  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/openvas_auth.c (user_set_rules): Remove.  Jan recently removed
	rules support
	(openvas_auth_init_funcs): Remove set_rules arg.

	* misc/openvas_auth.h: Update header accordingly.

2013-05-16  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* omp/omp.c (omp_authenticate_info): Add parameter for severity class.

	* omp/omp.h: Update omp_authenticate_info prototype accordingly.

2013-05-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/openvas_auth.c (openvas_auth_user_set_allowed_methods,
	openvas_auth_user_methods): Removed. This is handled in Manager
	database now.
	(openvas_auth_mkmethodsdir): Removed now-unused function.

	* misc/openvas_auth.h: Removed protos accordingly.

	* CMakeLists.txt, misc/CMakeLists.txt: Remove handling of now-unused
	OPENVAS_USERS_DIR.

2013-05-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Renamed "OPENVAS_USERS_DIR/.auth.conf" to OPENVAS_STATE_DIR/auth.conf.

	* misc/openvas_auth.c (openvas_auth_init_funcs, openvas_auth_write_config):
	Replaced OPENVAS_USERS_DIR by OPENVAS_STATE_DIR.

2013-05-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/ads_auth.c (ads_authenticate): Removed any role management.
	We don't let directory services do role management anymore.

	* misc/openvas_auth.c (openvas_is_user_admin, openvas_is_user_observer,
	openvas_set_user_role): Removed. The role management is done in Manager
	dabase now.

	* misc/openvas_auth.h: Removed protos accordingly.

2013-05-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/plugutils.c (scanner_add_port): Remove dead code that
	make no sense. It sets a variable "confirm" as static, but
	this variable is never used.

2013-05-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/plugutils.c (scanner_add_port): Removed code path for case
	of presense of a "DIFF_SCAN" argument. This one is not set
	anywhere nor does it make much sense. Probably remains of some
	experiments.

2013-05-16  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_file.c (openvas_file_copy, openvas_file_move): Check Glib
	version before using recently deprecated g_type_init().

2013-05-14  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Removing file-based user-specific rules support.

	* misc/openvas_auth.c (openvas_auth_user_rules,
	openvas_auth_user_uuid_rules, uuid_file_contents,
	openvas_auth_mkrulesdir, openvas_auth_store_user_rules): Removed.

	* misc/openvas_auth.h: Removed protos accordingly.

	* misc/ldap_auth.c (ldap_authenticate): Removed querying rules.
	(ldap_auth_query_rules): Removed.

	* misc/ads_auth.c (ads_authenticate): Removed querying rules.
	(ads_query_rules): Removed.

2013-05-14  Michael Wiegand <michael.wiegand@greenbone.net>

	* base/nvti.c (nvti_from_keyfile): Consistently free result of
	conversion.

2013-05-07  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Move creation of GnuPG homedirs here since
	openvas-libraries expects the directories to exist.

2013-05-07  Werner Koch  <wk@gnupg.org>

	* nasl/nasl_signature.c (nasl_extract_signature_fprs)
	(nasl_get_all_certificates): Also use sysconf directory.

2013-05-07  Werner Koch  <wk@gnupg.org>

	* nasl/nasl_signature.c (nasl_extract_signature_fprs): Set ERR if
	CTX creation failed.  Also move all var definitions to the top.

2013-04-30  Werner Koch  <wk@gnupg.org>

	Use the sysconf directory for signature verification again.

	* base/gpgme_util.c (get_sysconf_gpghome): New.
	(openvas_init_gpgme_sysconf_ctx): New.
	* base/gpgme_util.h: Add prototype.
	* nasl/nasl_signature.c (nasl_verify_signature): Use new function.

2013-04-26  Werner Koch  <wk@gnupg.org>

	* base/CMakeLists.txt: Add definition for OPENVAS_STATE_DIR.
	* base/gpgme_util.c (determine_gpghome): Change to use
	OPENVAS_STATE_DIR.
	(log_gpgme): New.

2013-04-26  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/openvas_auth.c (openvas_auth_init_funcs): Set initialized flag
	even when there was no .auth.conf.

2013-04-25  Matthew Mundell <matthew.mundell@greenbone.net>

	Convert authentication system to support database users.

	* misc/openvas_auth.c (enum authentication_method)
	(auth_method_t): Remove.  Now in openvas_auth.h.
	(auth_method_name): New function.
	(add_authenticator): Set role function in ldap info.
	(openvas_auth_init): Call through to new funcs version.
	(openvas_auth_init_funcs): New function.  Body from openvas_auth_init,
	but also initialises global functions.
	(openvas_authenticate_classic): Use global function to get hash, instead
	of reading it from disk.
	(can_user_ldap_connect): Use global function to check if user exists,
	instead of reading disk.
	(openvas_authenticate): Require the initilisation function to have been
	called.
	(openvas_authenticate_method): Require the initilisation function to
	have been called.  Export.  Set method in ldap_connect case too.
	(openvas_user_uuid_method, openvas_user_exists_classic): Use global
	function instead of reading disk.
	(openvas_authenticate_uuid, openvas_auth_user_methodsdir)
	(openvas_user_modify): Remove.  Out of use.
	(openvas_user_exists): Remove old tracing.
	(openvas_auth_make_user_rules): New function.  Body from
	openvas_auth_store_user_rules.
	(openvas_auth_store_user_rules): Use global function instead of reading
	disk.  Add method arg.

	* misc/openvas_auth.h: Update headers accordingly.

	* misc/ldap_auth.c (user_dir_path): Remove.
	(ldap_auth_query_rules): Remove disk calls.  Pass method to
	openvas_auth_store_user_rules.
	(ldap_authenticate): Remove disk calls.  Set role via callback function
	from info.

	* misc/ldap_auth.h (ldap_auth_info): Add user_set_role.

	* misc/adc_auth.c (ads_query_rules): Add method to
	openvas_auth_store_user_rules.

2013-04-25  Michael Wiegand <michael.wiegand@greenbone.net>

	* nasl/nasl_builtin_openvas_tcp_scanner.c (banner_grab): Fix name in
	error message.

2013-04-11  Henri Doreau <henri.doreau@cea.fr>

	* misc/kb.c: Fixed typo.

2013-04-10  Werner Koch  <wk@gnupg.org>

	* nasl/nasl_cert.c: Include gcrypt.h.
	(make_hexstring): New.
	(tohex): New macro.
	(get_fingerprint): New.
	(get_name): New.
	(nasl_cert_query): Replace some code by the new functions.
	(nasl_cert_query): Add commands "image", "fpr-sha-256", and
	"fpr-sha-1".

2013-04-09  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/cvss.c (__get_cvss_score): Add 0.0 to result to fix cases where
	result equals -0.0.
	(get_cvss_score_from_base): Return -1.0 instead of 0.0 when passed a
	null pointer to indicate an error as documented.

2013-04-09  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/cvss.c (impact_map): Fix Authentication Single Instance value
	from "C" to "S".

2013-04-09  Werner Koch  <wk@gnupg.org>

	* nasl/nasl_ssh.c (nasl_ssh_get_auth_methods): Fix length of
	returned string.  A garbage byte at the end was returned.

2013-04-04  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/openvas_auth.c (openvas_auth_init): Test for authentication
	configuration's existence before trying to load it. Log key file
	loading error as warning.

2013-04-04  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	This patch forces the scanner to only consider the CVSS of the
	NVT to decide about the severity class (HOLE, WARNING, NOTE, also
	known as Hight, Medium, Low) sent with the result.

	The scanner relies here on presence of a CVSS assigned to each NVT
	which was established in March 2013 for the regular feed.

	This change has significant impact on reporting behaviour because
	many (mostly older and various generic/sepcial ones) used either
	a mixture of security_note, _hole, _warning or are not in line
	with the assigned CVSS.

	For the latter case, these NVTs need to be fixed. Either the CVSS
	assignment was wrong, or the severity type. In some cases this
	will require to break up the NVT into multiple ones, separating
	log activity out into a NVT of its own.

	Splitting up into multiple NVTs is also relevant for those NVTs
	where severity message mixture was used.

	The hardest case to resolve will be NVTs that use the severity
	class as user preference.

	The analysis for mismatches can be done on NASL source code
	level of NVTs, simply comparing security_* calls with CVSS
	tag. At the end of the day any such mismatch must be resolved
	in the regular feed.

	* nasl/nasl_init.c (libfuncs): Replace call of security_hole,
	security_warning and security_note by call of security_message.
	Also left a comment on when the API functions can be ultimately
	eliminated.

	* nasl/nasl_scanner_glue.c (security_hole, security_warning,
	security_note): Removed.

	* nasl/nasl_scanner_glue.h: Removed protos accordingly.

2013-04-03  Werner Koch  <wk@gnupg.org>

	* misc/openvas_server.c (server_attach_internal): Fix doc buglet.
	(openvas_server_attach): Ditto.

2013-04-02  Werner Koch  <wk@gnupg.org>

	* misc/openvas_server.c (server_attach): Factor all code out to ..
	(server_attach_internal): new function.  Add and use args HOST and
	PORT.  Return -2 on handshake failure.
	(openvas_server_new): Factor all code out to ..
	(server_new_internal): new function.  Add optional arg PRIORITY.
	(openvas_server_open): Replace duplicate code by calls to
	server_new_internal and server_attach_internal.
	(openvas_server_connect): Replace handshake code by a call to
	openvas_server_attach.
	(openvas_server_free): Add backward compatibility change to allow
	use by openvas_server_close.
	(openvas_server_close): Replace by call to openvas_server_free.

2013-03-28  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/proctitle.c (setproctitle): Remove "openvassd:" from new process
	name as the library call may be used by other daemons.

2013-03-26  Werner Koch  <wk@gnupg.org>

	* INSTALL: State that gnutls 2.8 is required.

	* misc/openvas_server.c (openvas_server_new): Change type of the
	END_TYPE arg to unsigned int.  On most platforms this is
	compatible to the enum used by gnutls 2.x.
	* misc/openvas_server.h (openvas_server_new): Ditto.

2013-03-14  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt: Increased dependency to gnutls from 2.2 to 2.8.

2013-03-07  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/plugutils.c (plugin_is_newstyle): Change tag name detection to
	vuldetect.

2013-03-06  Henri Doreau <henri.doreau@greenbone.net>

	* nasl/nasl_builtin_nmap.c: Changed license from GPLv2 to GPLv2+
	copyrighted by Greenbone.

2013-03-05  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* misc/plugutils.c (plugin_is_newstyle): New function.
	(proto_post_wrapped): Don't append nvt description to action when plugin
	has new style tags.

	* misc/plugutils.h: Add plugin_is_newstyle header.

2013-03-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Removing handling of services list from libraries/scanner.
	Basically this is about the statice services list that
	is used to return a service identifier for port numbers.

	In case of a ssh running at port 80, the result so far
	would still be "http (80/tcp)" which is pretty misleading.

	The scanner should not at all use some static services list
	and match the ports to it. It should rather try to identify
	a service and report this (which is actually done via NVTs).
	In fact it should be the task of the Manager to attach IANA
	definition for informational purposes. Ideally the detected
	service is also shown.

	* misc/services1.c, misc/services1.h, misc/services.c,
	misc/services.h: Removed.

	* misc/scanners_utils.c: Removed unused include of "services.h".

	* misc/plugutils.c (proto_post_wrapped, scanner_add_port): Removed
	sending of the service name via OTP. For example "80/tcp" is now
	sent instead of "http (80/tcp)"

	* misc/CMakeLists.txt: Removed handling of modules services1.c
	and services.c.

	* nasl/nasl_builtin_openvas_tcp_scanner.c (std_port): Reduced to always
	return false. The code used the services list to determine whether it was
	a standard port. Now any port is judged to be a non-standard port.
	A todo about this to be resolved is left in the code.

	* CMakeLists.txt: Removed installtion of file "openvas-services".

	* COPYING: Removed modules services1 and services.

	* openvas-services: Removed.

2013-03-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Remove handling of "default" as a option for the port range.
	It is a arbitrary and intransparent option for the users.
	Scanner clients should always send an explicit port range.

	* nasl/nasl_builtin_nmap.c (get_default_portrange): Removed.
	(add_portrange): Removed handling of case where port range
	is "default".
	(cmp): Removed.

	* nasl/nasl_builtin_openvas_tcp_scanner.c (banner_grab): Removed
	code to try to get default ports for services list. Exit with
	error when port_list is empty.

	* nasl/nasl_builtin_synscan.c (scan): Don't apply "default" as a
	fallback when port list is empty.

	* misc/scanners_utils.c (getpts): Remove handling for port lists
	of type "default".

2013-03-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post branch version bump.

	* CMakeLists.txt: Set version to 7.0.0 and status to beta.

2013-02-27  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* omp.c (omp_delete_task_ext, omp_delete_target_ext)
	(omp_delete_config_ext, omp_delete_lsc_credential_ext): New functions
	to delete tasks, targets, configs and lsc_credentials with options.

	* omp.h (omp_delete_opts_t): New typedef for omp_delete_... options.
	(omp_delete_opts_defaults, omp_delete_opts_ultimate_defaults): New
	constants for omp_delete_opts_t default values.
	(omp_delete_task_ext, omp_delete_target_ext)
	(omp_delete_config_ext, omp_delete_lsc_credential_ext): New function
	prototypes.

2013-02-25  Michael Wiegand <michael.wiegand@greenbone.net>

	* base/CMakeLists.txt: Add GPGME_CFLAGS to compiler flags. Patch
	suggested by Hanno Boeck.

2013-02-22  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 6.0+beta6.

2013-02-22  Michael Wiegand <michael.wiegand@greenbone.net>

	* nasl/nasl.c (main): Update year in copyright notice.

2013-02-22  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 6.0+beta5 release.

	* CHANGES: Updated.

2013-02-21  Werner Koch  <wk@gnupg.org>

	* misc/network.c (load_file, unload_file, load_cert_and_key):
	Replace gnutls_datum by gnutls_datum_t.

2013-02-21  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/nvticache.c (get_plugin_preference): Check prefs is not null
	before using it. Style update to remove mixed declarations and code.

2013-02-21  Werner Koch  <wk@gnupg.org>

	* base/nvticache.c (nvticache_get_by_oid): Take care of a NULL
	used for CACHE.

	* base/pwpolicy.c (policy_checking_failed): New.
	(parse_pattern_line): Split error messages into a log message and
	a shorter version for the user.
	(openvas_validate_password): Ditto.

2013-02-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* COPYING: Added module pwpolicy.

2013-02-20  Werner Koch  <wk@gnupg.org>

	* base/pwpolicy.c: New.  Taken from openvas-administrator.
	* base/pwpolicy.h: New.
	* base/CMakeLists.h: Add new files.

	* base/CMakeLists.txt: Change -D OPENVAS_SYSCONFDIR to
	OPENVAS_SYSCONF_DIR for consistency.
	* base/gpgme_util.c (determine_gpghome): Adjust for this change.
	* nasl/CMakeLists.txt: Change -D OPENVAS_SYSCONFDIR to
	OPENVAS_SYSCONF_DIR for consistency.  It is not used anyway.

	* misc/openvas_server.c (openvas_server_open): Print host and port
	in debug and warning messages.

2013-02-19  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 6.0+beta5.

2013-02-19  Michael Wiegand <michael.wiegand@greenbone.net>

	* CHANGES: Updated.

2013-02-19  Michael Wiegand <michael.wiegand@greenbone.net>

	Move "-Werror" flag to the "Debug" build type.

	* misc/CMakeLists.txt, omp/CMakeLists.txt, nasl/CMakeLists.txt,
	hg/CMakeLists.txt, base/CMakeLists.txt: Move "-Werror" from
	CMAKE_C_FLAGS to CMAKE_C_FLAGS_DEBUG to keep it out of the "Release"
	build type.

	* CMakeLists.txt: Do not set any flags as this is currently handled by
	the individual CMakeLists.txt in the subdirectories.

2013-02-18  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Deperecating "script_dependencie" which is some very old
	work around for typos that happend when trying to spell
	"script_dependencies".

	* nasl/nasl_init.c (libfuncs): Removed "script_dependencie",
	renamed mapping to "script_dependencies".

	* nasl_scanner_glue.c (script_dependencie): Renamed to
	script_dependencies.

	* nasl_scanner_glue.h: Adjusted proto accordingly.

2013-02-17  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-libraries 6.0+beta4 release.

	* CHANGES: Updated.

2013-02-14  Werner Koch  <wk@gnupg.org>

	* misc/openvas_auth.c (get_password_hashes): Remove partly
	hardwired use of MD5 to be future proof.  Rename variable to avoid
	a Libgcrypt namespace clash.

2013-02-12  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* nasl/md5.c (MD5Final): memset with sizeof buffer, not pointer.
	Via Michal Ambroz.

2013-02-08  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.h (omp_get_report_opts_t, omp_get_report_opts_defaults): Add
	levels.

	* omp/omp.c (omp_get_report_ext): Add levels.

2013-02-07  Michael Wiegand <michael.wiegand@greenbone.net>

	* doc/wmi-howto.txt: Fix cmake call, make example appropriate for
	out-of-source builds.

2013-02-07  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/wmi-howto.txt: Updated with hint on second wmi patch.

2013-02-07  Michael Wiegand <michael.wiegand@greenbone.net>

	Make sure openvas-libraries compiles as well without WMI support.

	* nasl/openvas_wmi_interface.h: Include stdint.h for use of uint32_t
	and uint64_t.

	* nasl/wmi_interface_stub.c (wmi_reg_set_dword_val)
	(wmi_reg_set_qword_val): Fix wrong types in function declaration.

2013-02-07  Veerendra G.G <veerendragg@secpod.com>

	* nasl/nasl_wmi.c,
	nasl/nasl_wmi.h,
	nasl/nasl_init.c,
	nasl/wmi_interface_stub.c,
	nasl/openvas_wmi_interface.h: Added 6 new WMI Registry functions.

2013-02-06  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (OMP_FMT_BOOL_ATTRIB): Add the attribute when it is 0 too,
	because the OMP default is sometimes 1.

2013-01-29  Werner Koch  <wk@gnupg.org>

	* nasl/nasl.c: Include libssh and nasl_signature.h.
	(main): Display library versions if --debug-tls is given.

2013-01-28  Michael Wiegand <michael.wiegand@greenbone.net>

	* misc/openvas_auth.c (openvas_auth_init): Downgrade log level for
	debug message.

2013-01-24  Werner Koch  <wk@gnupg.org>

	Change to allow printing of useful diagnostics even if stderr is
	redirected to the bit bucket.

	* misc/network.c: Include openvas_logging.h.  Replace all fprintf
	to stderr calls by calls to log_legacy_write.
	(openvas_get_socket_from_connection): Repalce fflush by
	log_legacy_fflush.
	(verify_peer_certificate): Add messages for not yet valid and
	expired certifciates, print invalid status last, and pretty print
	those messages.

	* misc/openvas_logging.c: Include stdarg.h.
	(legacy_log_handler): New variable.
	(setup_legacy_log_handler, log_legacy_write, log_legacy_fflush): New.
	* misc/openvas_logging.h: Add prototypes for new functions.

	* misc/openvas_logging.c: Include gnutls.h.
	(log_func_for_gnutls): New.
	(setup_log_handlers): Enable GNUTLS logging if the evnvar
	OPENVAS_GNUTLS_DEBUG is set.

2013-01-24  Michael Wiegand <michael.wiegand@greenbone.net>

	* misc/openvas_auth.c (openvas_auth_write_config): Correct group for
	allow-plaintext entry.

2013-01-21  Chandrashekhar B <bchandra@secpod.com>
	* nasl/nasl_packet_forgery_v6.c (forge_udp_v6_packet): IPv6
	packet length was set to 40 more than the size in UDP forging.
	(set_udp_v6_elements): IPv6 packet length was set to 40 more
	than the size in UDP forging.

2013-01-21  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* misc/ldap_auth.c (ldap_auth_bind): Before giving up if
	StartTLS failed, try to establish ldaps connection.

2013-01-21  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* misc/ldap_auth.c (ldap_auth_bind): Renamed parameter from
	force_starttls to force_encryption (upcoming: ldaps support).

2013-01-21  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/accessrules.c (accessrule_set_oid): Rename into
	accessrule_set_rule to match header.

	* base/credentials.h (credentials_t): Fix documentation.

2013-01-19  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (check_response): Return OMP status if there is one.
	Reflect this in docs of callers.

2013-01-18  Hani Benhabiles <hani.benhabiles@greenbone.net>

	Patch by Henri Doreau.

	* base/openvas_file.c: Include errno.h.
	(openvas_file_check_is_dir): Use g_lstat instead of stat. Code cleanup.
	(openvas_file_copy, openvas_file_move): Code deduplication and cleanup.

2013-01-18  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_file.c (openvas_file_rmdir_rf): Remove function as it
	duplicates with openvas_file_remove_recurse.
	(openvas_file_copy): Use g_file_copy and g_file_new_path functions from
	gio.
	(openvas_file_move): Use g_file_move and g_file_new_path functions from
	gio.

	* base/openvas_file.h: Remove openvas_file_rmdir_rf header. Include gio.

	* CMakeLists.txt: Add gio from glib to pkg-config command.

2013-01-17  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Make module openvas_ssh_login independent of module system.

	* misc/openvas_ssh_login.c (openvas_ssh_login_new): Use g_malloc0
	instead of emalloc.
	(openvas_ssh_login_free): Use g_free instead if efree.

2013-01-17  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* COPYING: Added entry for new module base/gpgme_util.

2013-01-17  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/README.txt: Improve text and extend mission to any
	mandatory library.

2013-01-17  Werner Koch  <wk@gnupg.org>

	* base/CMakeLists.txt (CMAKE_C_FLAGS): Add -D_FILE_OFFSETS_BITS=64.

2013-01-17  Werner Koch  <wk@gnupg.org>

	Move gpgme initialization from nasl/ to base/.  This removes the
	script name from the error messages, but those errors are anyway
	not script specific.

	* nasl/nasl_signature.c (locale.h): Remove include.
	(determine_gpghome): Remove.
	(init_openvas_gpgme_ctx): Remove.
	* nasl/nasl_signature.h: Include gpgme_util.h.
	* base/gpgme_util.c, base/gpgme_util.c: New files with the removed
	functions.
	(init_openvas_gpgme_ctx): Rename to openvas_init_gpgme_ctx.
	Change all callers.
	* base/CMakeLists.txt: Add gpgme_utils.c and gpgme_util.h.
	(add_definition): Add OpenVAS_SYSCONFDIR.

2013-01-17  Hani Benhabiles <hani.benhabiles@greenbone.net>

	* base/openvas_file.c (openvas_file_copy, openvas_file_move)
	(openvas_file_rmdir_rf): New functions.

	* base/openvas_file.h: Add headers accordingly.

2013-01-17  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* misc/ldap_auth.c (ldap_auth_bind): If switching to StartTLS
	fails and allow-plaintext is true, close and re-establish connection,
	to overcome fact that ADS does not allow bind after StartTLS
	negotiation fail. Reuse ldapuri, thus free at other places.

2013-01-17  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* misc/ldap_auth.c (ldap_auth_bind): Abort if password is
	of zero length. Default ADS behaviour allows binding with
	correct username but empty password.

2013-01-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/nvticache.c (nvticache_get_src_by_oid): New. Returns
	the copy of the src string. This function is special because
	src is the only element that is directly stored in a shrinked
	nvti object. Using this function prevents the loading of the
	nvti object from filesystem when only src is needed.

	* base/nvticache.h: Added proto accordingly.

2013-01-06  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Third part towards clean separation of NVTI into the NVTI Cache:
	The nvti objects in memory are shrinked to essential data
	and details are loaded from file when needed.
	This decreases memory consumption by around 30M per process
	in my test environment.

	* base/nvti.c (nvti_shrink): New. Free memory of all elements
	except src and oid.

	* base/nvti.h: Add proto for nvti_shrink.

	* base/nvticache.c (nvticache_get): Search the nvtis and return
	nvti if found. If new, shrink it and then add it to nvtis.
	In any case a cloned, shrinked nvti is returned.
	(nvticache_get_by_oid): Because the nvti is shrinked, load
	the full object from file, create a new object and return it.

	* nasl/nasl_scanner_glue.c (security_message): Free the nvti object
	because it is a clone now.

	* misc/plugutils.c (plug_create_from_nvti_and_prefs): Use a copy
	of the oid string for OID.
	(proto_post_wrapped, get_plugin_preference): Free the nvti object
	after use.

2013-01-06  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Second part towards clean separation of NVTI into the NVTI Cache:
	The nvti objects are stored in the cache object in memory and
	all remaining access to NVTI object via "NVTI" is replaced
	by access via OID.
	The only exception is the parsing code for the description
	block where the OID is not necessarily known at the beginning
	and therefore can not be relied on.

	* base/nvticache.h (struct nvticache): Added collection of NVTIs.
	(nvticache_get_by_oid): Added proto.

	* base/nvticache.c (nvticache_new): Initialize nvtis.
	(nvticache_free): Free the nvtis.
	(nvticache_get): Add the new nvti to the nvtis.
	(nvticache_get_by_oid): New.

	* misc/plugutils.c (plug_create_from_nvti_and_prefs): Don't set
	the NVTI anymore. Don't duplicate the oid string when setting the OID.
	(proto_post_wrapped, get_plugin_preference): Don't get the object
	via NVTI, get it via OID.

	* nasl/nasl_scanner_glue.c (get_script_oid): Create a copy of the OID
	when setting the str_val.
	(security_message): Get the nvti object via OID instead of via NVTI.

2013-01-06  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	First part towards clean separation of NVTI into the NVTI Cache:
	Plugin arg_list are provided with explicit OID element.
	And whereever only the OID is required, it is directly retrieved
	instead via NVTI.
	This increases memory consumption per process sligthly and
	makes processing more complicated. The latter is neglectable
	in terms of performance. The first adds about 3M per process.

	* misc/plugutils.c (plug_create_from_nvti_and_prefs): Set OID
	additional to NVTI as arg list element.
	(mark_successful_plugin, mark_post): Use OID element directly instead
	of NVTI.

	* nasl/nasl_scanner_glue.c (get_script_oid): Use OID element directly
	instead of NVTI.

	* nasl/nasl_misc_funcs.c (simple_register_host_detail): Use OID element
	directly instead of NVTI.

2013-01-04  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_scanner_glue.c (security_message): Removed
	unneeded check. It was misplaced here.

2013-01-04  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* hg/CMakeLists.txt: In commented hg-test executable target,
	also statically link against nasl (because of
	nasl*ssh_internal_close).

2012-12-28  Henri Doreau <henri.doreau@greenbone.net>

	* base/cvss.c (get_cvss_score_from_base_metrics): Check for
	a valid toenum() return value.

2012-12-27  Henri Doreau <henri.doreau@greenbone.net>

	Refactored code to match the project's coding standards.

	* base/cvss.c (toenum, get_impact_subscore)
	(get_exploitability_subscore, get_cvss_score_from_base_metrics):
	Reworked code to use the new struct cvss and impact_item table.
	Numerous style fixes.
	(set_impact_from_str, __get_cvss_score): New.

	* base/cvss.h: Updated headers accordingly.

2012-12-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	*  nasl/nasl_scanner_glue.c (script_tag): Ignore tags setting
	a risk_factor. It will therefore not be stored in nvti
	files and not transferred via OTP.

2012-12-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	*  nasl/nasl_scanner_glue.c (script_see_also): Removed. It was
	marked unused anyway and will not be used in the future.

	* nasl/nasl_scanner_glue.h: Remove proto accordingly.

2012-12-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/nvti.c (nvti_free): Don't free risk factor anymore.
	(nvti_risk_factor): Compute the risk factor based on cvss.
	(nvti_set_risk_factor): Removed.
	(nvti_clone): Don't clone risk factor anymore.

	* base/nvti.h: Removed proto accordingly.
	(struct nvti): Removed element risk_factor.

2012-12-18  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* COPYING: Added cvss module.

	* base/cvss.c (cvss_as_str): New.

	* base/cvss.h: Added proto accordingly.

2012-12-17  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_scanner_glue.c (security_message): Directly retrieve
	the cvss value from the NVTI meta data when there is no parameter
	given.

2012-12-17  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/exec.c: Replaced all calls of cvt_bool by cell2bool.
	(cvt_bool): Remove. It is a unused wrapper around cell2bool() since
	ages.

2012-12-17  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/nvti.c (nvti_cvss): Add missing free'ing. Convert
	cvss separately from stored base value as last resort.

2012-12-17  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/nvti.c (nvti_cvss): Compute cvss from cvss_base_vector.

2012-12-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/cvss.c, base/cvss.h: New. Implemented by Preeti Subramanian.

	* base/CMakeLists.txt: Add new module cvss to build routines.

2012-12-14  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 6.0+beta4.

2012-12-14  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 6.0+beta3 release.

	* CHANGES: Updated.

2012-12-14  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/nvti.c (nvti_cvss): New. Returns the cvss of a nvt
	as double value.

	* base/nvti.h: Added proto accordingly.

2012-12-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/nvti.c (nvti_cvss_base_vector): New. Pulls out the
	cvss_base_vector from the tag string.

	* base/nvti.h: Added proto accordingly.

2012-12-13  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (omp_get_task_ext): New function.

	* omp/omp.h: Add header accordingly.
	(omp_get_task_opts_t): New type.
	(omp_get_task_opts_defaults): New variable.

2012-12-12  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (omp_get_tasks_ext): New function.

	* omp/omp.h: Add header accordingly.
	(omp_get_tasks_opts_t): New type.
	(omp_get_tasks_opts_defaults): New variable.

2012-12-04  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (omp_create_target_ext): Add missing closing slashes in
	credential XML.

2012-11-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/exec.c (cell2bool): Finally remove error message that
	hint at possible wrong usage of this function.

2012-11-23  Werner Koch  <wk@gnupg.org>

	* nasl/nasl_ssh.c: Include gcrypt.h.
	(add_tlv): Fixup negative integer values.
	(mpi_from_gnutls_datum, mpi_to_gnutls_datum): New.  Only used with
	gnutls < 2.11.
	(pkcs8_to_sshprivatekey): Swap P and Q is needed and recompute u.
	Only used with gnutls < 2.11.

2012-11-21  Werner Koch  <wk@gnupg.org>

	* nasl/nasl_ssh.c (pkcs8_to_sshprivatekey): Pass an empty string
	instead of NULL for the passphrase to gnutls import.

2012-11-20  Werner Koch  <wk@gnupg.org>

	* nasl/nasl_ssh.c: Change to print most diagnostics only in
	verbose mode.
	(my_ssh_pki_import_privkey_base64): Add arg VERBOSE.  Let caller
	pass that arg.

2012-11-20  Werner Koch  <wk@gnupg.org>

	* nasl/nasl_ssh.c (put_membuf_str, put_membuf_comma_str): New.
	(nasl_ssh_get_auth_methods): New.
	* nasl/nasl_ssh.h (nasl_ssh_get_auth_methods): Add prototype.
	* nasl/nasl_init.c (libfunc) <ssh_get_auth_methods>: New.

2012-11-20  Werner Koch  <wk@gnupg.org>

	* nasl/nasl_ssh.c (nasl_ssh_request_exec): Add named arguments
	"stdout" and "stderr" to allow selection of the output stream.
	Implemented a basic compatibility mode for the NASL based ssh
	code.
	* nasl/nasl_init.c (libfunc) <ssh_request_exec>: Add the new named
	args.

	* nasl/nasl_ssh.c (nasl_ssh_get_server_banner): New function stub
	to be prepared for libssh 0.6.
	* nasl/nasl_ssh.h (nasl_ssh_get_server_banner): Add Prototype.
	* nasl/nasl_init.c (libfunc) <ssh_get_server_banner>: Add
	commented out init for the new function.

2012-11-20  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Fall back to manual setting of flags for libpcap <
	1.0.0 since it does not yet have pcap-config.

2012-11-19  Michael Wiegand <michael.wiegand@greenbone.net>

	* nasl/CMakeLists.txt: Actually link openvas_nasl against libksba.

2012-11-19  Michael Wiegand <michael.wiegand@greenbone.net>

	Use detected flags instead of hardcoding them.

	* CMakeLists.txt: Add detection of pcap flags.

	* nasl/CMakeLists.txt, omp/CMakeLists.txt: Use variables instead of
	relying on hardcoded values.

2012-11-19  Michael Wiegand <michael.wiegand@greenbone.net>

	* nasl/CMakeLists.txt: Use correct variable to determine whether
	libksba was found.

2012-11-08  Michael Wiegand <michael.wiegand@greenbone.net>

	* doc/CMakeLists.txt: Remove superfluous directory creation.

2012-11-07  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/tests/test_rsa.nasl, nasl/tests/test_privkey.nasl,
	nasl/tests/test_dh.nasl, nasl/tests/test_bn.nasl,
	nasl/tests/test_script_signing.sh, nasl/tests/test_md.nasl,
	nasl/tests/test_dsa.nasl, nasl/tests/testsuitesummary.nasl,
	nasl/tests/signed.nasl, nasl/tests/test_blowfish.nasl,
	nasl/tests/test_hexstr.nasl, nasl/tests/testsuiteinit.nasl,
	nasl/tests/Makefile: Change license from GPLv2 to GPLv2+.

	* COPYING: Updated accordingly.

2012-11-02  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 6.0+beta3.

2012-11-02  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 6.0+beta2 release.

	* CHANGES: Updated.

2012-11-01  Michael Wiegand <michael.wiegand@greenbone.net>

	* INSTALL: Update reference system section.

2012-10-31  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (omp_get_system_reports_ext): New function.

	* omp/omp.h (omp_get_system_reports_opts_t): New type.
	(omp_get_system_reports_opts_defaults): New variable.
	(omp_get_system_reports_ext): New function.

2012-10-26  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 6.0+beta2.

2012-10-26  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 6.0+beta1 release.

	* CHANGES: Updated.

2012-10-26  Michael Wiegand <michael.wiegand@greenbone.net>

	* INSTALL: Fix wrong module name in comment.

2012-10-26  Michael Wiegand <michael.wiegand@greenbone.net>

	* doc/Doxyfile.in: Set EXTRACT_ALL to YES for consistency across
	modules.

2012-10-26  Michael Wiegand <michael.wiegand@greenbone.net>

	Update "doc" and "doc-full" targets for out-of-source builds.

	* doc/CMakeLists.txt: Update commands and targets to work with
	out-of-source builds.

	* doc/Doxyfile.in: Updated to work with out-of-source builds.

	* doc/Doxyfile_full.in: Stripped trailing spaces, harmonized with
	Doxyfile.in.

2012-10-26  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Simplify usage of CMAKE_CURRENT_BINARY_DIR to
	CMAKE_BINARY_DIR since the two are identical in this context.

2012-10-26  Michael Wiegand <michael.wiegand@greenbone.net>

	* INSTALL: Update instructions to use out-of-source building, fix
	typo.

2012-10-26  Michael Wiegand <michael.wiegand@greenbone.net>

	* COPYING: Fix typo, update date.

2012-10-23  Michael Wiegand <michael.wiegand@greenbone.net>

	* nasl/nasl_text_utils.c (nasl_string): Remove stray PID from error
	message.

2012-10-23  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (omp_create_target_ext): New function.

	* omp/omp.h (omp_create_target_opts_t): New type.
	(omp_create_target_opts_defaults): New variable.
	(omp_create_target_ext): New function.

2012-10-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CHANGES: Prepared for upcoming first beta release for 6.0.

2012-10-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* COPYING: Added missing entries for the new files added recently.

2012-10-22  Werner Koch  <wk@gnupg.org>

	* nasl/nasl_init.c (init_nasl_library) [HAVE_LIBSSH]: Define nasl
	constant "_HAVE_LIBSSH" by default.  Allow to disable it using
	OPENVAS_DISABLE_LIBSSH.  Remove use of envvar OPENVAS_USE_LIBSSH.

2012-10-18  Werner Koch  <wk@gnupg.org>

	* nasl/nasl_cert.c (spacep, digitp, hexdigitp, atoi_1, atoi_2)
	(atoi_4, xtoi_1, xtoi_2): New.
	(parse_dn_part_for_CN, parse_dn_for_CN): New.
	(build_hostname_list): New.
	(nasl_cert_query): Implement "serial" and add "hostnames".

2012-10-17  Werner Koch  <wk@gnupg.org>

	* nasl/nasl.c (main): Add option --debug-tls.
	(my_gnutls_log_func): New.

	* nasl/nasl_socket.c: Include gnutls.h.
	(nasl_open_sock_tcp_bufsz): Support ENCAPS_TLScustom.
	(nasl_open_sock_tcp): Document.
	(nasl_get_sock_info): New.
	* misc/network.c (openvas_connection): Add field PRIORITY.
	(pid_notice): New.
	(release_connection_fd, openvas_deregister_connection): Free
	PRIORITY.
	(ovas_allocate_connection): Clear PRIORITY.  Replace sequence
	operator by semicolon for bert readability.
	(set_gnutls_protocol): Add arg "priority" and implement
	ENCAPS_TLScustom.
	(open_SSL_connection): Pass priority to set_gnutls_protocol.
	(open_stream_connection): Factor all code out to...
	(open_stream_connection_ext): new.  Support priority.
	(ovas_scanner_context_attach): Pass NULL for priority to
	set_gnutls_protocol.
	(get_sock_infos): New.
	* nasl/nasl_init.c (libfunc) <open_sock_tcp>: Add named arg
	"priority".
	(libfunc) <get_sock_info>: New.
	(libfunc) <get_port_transport>: Add named arg "asstring".
	(libivars) <ENCAPS_AUTO, ENCAPS_TLScustom>: New.
	* nasl/tests/test_socket.nasl: New.

	* misc/plugutils.h (OPENVAS_ENCAPS_AUTO): Add constant for 0.
	(OPENVAS_ENCAPS_TLScustom): New.
	(IS_ENCAPS_SSL): Adjust.
	* misc/network.c (get_encaps_name): Print strings for ENCAPS_AUTO
	and ENCAPS_TLScustom.

	* misc/network.c (open_stream_auto_encaps): Factor code out to ...
	(open_stream_auto_encaps_ext): new.  Add arg "force".
	* nasl/nasl_socket.c (nasl_open_sock_tcp_bufsz): Allow forcing of
	transport auto detection.

	* nasl/nasl_host.c (get_port_transport): Implement named argument
	"asstring".

2012-10-17  Werner Koch  <wk@gnupg.org>

	* INSTALL: Add recommendation for libssl and libksba.

2012-10-17  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/openvas_server.c (openvas_server_close): Deinit the session.

2012-10-17  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/xml.c (try_read_entity_and_string): Always free xml_context.
	(read_entity_and_text): Free string in fail case.

2012-10-15  Werner Koch  <wk@gnupg.org>

	* nasl/nasl_socket.c (nasl_open_sock_tcp_bufsz): Add a fixme comment.

	* misc/network.c (plug_get_port_transport)
	(plug_set_port_transport): Remove "extern" prototypes as they are
	already declared by plugutils.h.

	* misc/plugutils.c (plug_get_port_transport): Document function.
	* nasl/nasl_host.c (get_port_transport): Ditto.

2012-10-12  Andre Heinecke <aheinecke@intevation.de>

	* nasl/CMakeLists.txt: Remove hard library references to ksba

2012-10-12  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/xml.c (xml_string_append): New function.

	* omp/xml.h: Add header accordingly.

2012-10-11  Werner Koch  <wk@gnupg.org>

	* nasl/nasl_cert.c: New.
	* nasl/nasl_isotime.c: New.
	* nasl/nasl_init.c: Include nasl_cert.h and nasl_isotime.h.
	(libfuncs) [HAVE_LIBSSH]: Add "cert_*" functions.
	(libfuncs): Add "isotime_*" functions.
	* nasl/tests/test_isotime.nasl: New.
	* nasl/tests/Makefile (TEST_SCRIPTS): Add test_isotime.nasl
	* CMakeLists.txt: Check for libksba.
	* nasl/CMakeLists.txt (add_custom_command): Add nasl_cert.c and
	nasl_isotime.c.
	(add_definitions): Define HAVE_LIBKSBA.
	(set_target_properties): Add KSAB_CFLAGS.
	(target_link_libraries): Add ksba.

2012-10-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_init.c (libfuncs): Fixed buggy definition of
	nasl function security_message.

2012-10-09  Werner Koch  <wk@gnupg.org>

	Add a simple way to document NASL function APIs.

	* doc/Doxyfile.in (ALIASES): Add commands naslfn, nasluparam,
	naslnparam, naslret.
	(PREDEFINED): Add HAVE_LIBSSH and HAVE_LIBKSBA so that doxygen is
	able to parse the doc strings.
	* nasl/nasl_ssh.c: Document the NASL API.

	* doc/Doxyfile.in: Remove trailing white space.

2012-09-25  Andre Heinecke <aheinecke@intevation.de>

	* nasl/CMakeLists.txt: Fix library order when linking openvas-nasl

2012-09-20  Werner Koch  <wk@gnupg.org>

	* nasl/nasl_init.c (libfuncs) [HAVE_LIBSSH]: Add functions
	"ssh_set_login" and "ssh_get_issue_banner".
	* nasl/nasl_ssh.c: Include "network.h"
	(session_table_item_s): Add fields AUTHMETHODS and
	AUTHMETHODS_VALID.
	(nasl_ssh_connect): Fix use with provided socket.
	(nasl_ssh_disconnect): Factor some code out to ...
	(do_nasl_ssh_disconnect): New.
	(nasl_ssh_internal_close): New.  Also as dummy for !HAVE_LIBSSH.
	(nasl_ssh_userauth): Factor some code out to ...
	(nasl_ssh_set_login, get_authmethods): New.
	* misc/network.c: Include "nasl_ssh.h".
	(release_connection_fd) [DEBUG_SSL]: Improve debug output.
	(close_stream_connection) [DEBUG_SSL]: Ditto.
	(close_stream_connection): Try to close ssh connections.

	* nasl/nasl_init.c (libfuncs) [HAVE_LIBSSH]: Remove ssh_exec.
	* nasl/nasl_ssh.c (nasl_ssh_exec): Remove.  Not needed because
	the NASL function ssh_cmd_exec does now use the new libssh code.
	(file_utils_rmdir_rf, check_is_dir, type_to_char): Remove.
	(public_key_types_e): Remove.

	* nasl/nasl_ssh.c (pkcs8_to_sshprivatekey): Provide fallback for
	older gnutls versions.

2012-09-19  Werner Koch  <wk@gnupg.org>

	* nasl/nasl_ssh.c (nasl_ssh_userauth): Detect available
	authentication methods and allow only those.  Implement
	keyboard-interactive authentication method.

	* nasl/nasl_ssh.c (session_table_item_s): Add field VERBOSE.
	(nasl_ssh_connect): Set VERBOSE if OPENVAS_LIBSSH_DEBUG is set.

2012-09-19  Werner Koch  <wk@gnupg.org>

	* nasl/nasl_ssh.c (my_ssh_pki_import_privkey_base64): Use mkdtemp
	for glib < 2.30.

2012-09-19  Werner Koch  <wk@gnupg.org>

	Support public key authentication with libssh. The ssh public key
	is not needed anymore.  The code uses a wrappers to be prepared
	for the forthcoming libssh 0.6 API.

	* nasl/nasl_ssh.c: Include gnutls.h and libssh/legacy.h.
	(get_membuf): New.
	(my_ssh_key): New type.
	(my_ssh_key_free, add_tl, add_tlv, pkcs8_to_sshprivatekey)
	(remove_and_free_temp_key_file)
	(my_ssh_pki_import_privkey_base64)
	(my_ssh_userauth_try_publickey, my_ssh_userauth_publickey): New.
	(nasl_ssh_connect): Use envvar OPENVAS_LIBSSH_DEBUG to allow
	libssh debugging.
	(nasl_ssh_userauth): Add public key authentication.

2012-09-11  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/openvas_logging.c (free_log_configuration): Free syslog_ident.
	(openvas_log_func): Free prepend.

	* omp/xml.c (free_entity): Free the actual entity too.
	(handle_text): Free the old value of current->text when replacing it.

2012-09-08  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/nvti.c (nvti_clone): Don't create copies of the strings,
	the nvti_set_* functions will do anyway. This way removing a
	memleak. Thanks to Matthew Mundell for pointing this out.

2012-09-07  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/plugutils.c (plug_get_required_keys, plug_get_mandatory_keys,
	plug_get_excluded_keys, plug_get_required_ports,
	plug_get_required_udp_ports, plug_get_deps): Removed.

	* misc/plugutils.h: Removed protos accordingly.

2012-09-07  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/nvti.c (nvti_clone): New.

	* base/nvti.h: Added proto accordingly.

2012-08-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt: Removed non-pkg-config routines to detect libssh.
	Since the minimum required version is 0.5.0 and libssh has from
	0.5.0 ships always a libssh.pc file, we can rely on the pkgconfig
	detection. Apart from this, the compilation would fail if libssh < 0.5
	and no libssh.pc is available like on Debian 6.

2012-08-21  Werner Koch  <wk@gnupg.org>

	* nasl/nasl_ssh.c (next_session_id, get_ssh_port)
	(nasl_ssh_connect, find_session_id, nasl_ssh_disconnect)
	(nasl_ssh_session_id_from_sock, nasl_ssh_get_sock)
	(nasl_ssh_userauth, nasl_ssh_request_exec): New.
	* nasl/nasl_ssh.h: Add prototypes for new functions.
	* nasl/nasl_init.c: Include stdlib.h.
	(libfuncs) [HAVE_LIBSSH]: Add new ssh functions.
	(init_nasl_library) [HAVE_LIBSSH]: Define "_HAVE_LIBSSH".

	* CMakeLists.txt: Require libssh 0.5 so we will be able to switch
	to the the new pki API.
	* nasl/nasl_ssh.c: Remove libssh 0.4 compatibility macros.  Check
	that SSH_OK has the expected value.
	(DIM, DIMof): New.
	(init_membuf, put_membuf, get_membuf): New.  Taken from GnuPG.

2012-08-21  Werner Koch  <wk@gnupg.org>

	* misc/plugutils.c (plug_set_replace_key): Do not send a change
	notification if the global socket is not available.  This is for
	example the case in the standalone interpreter.

	* misc/: Remove trailing white space from all files.

2012-08-16  Werner Koch  <wk@gnupg.org>

	* nasl/tests/signed.nasl.asc: Re-create - the signature was broken.

	* nasl/tests/Makefile (check): Fix file name of openvas-nasl.
	* nasl/tests/test_script_signing.sh (NASL): Ditto.
	(check_script): Remove bashism (use of "==" as test operator).

	* nasl/: Remove trailing white space from all files.

	* nasl/nasl_ssh.c (nasl_ssh_exec): Check error of ssh_new.  Print
	ssh error strings to diagnostics.  Use ssh_disconnect after a
	failed userauth.

2012-08-07  Matthew Mundell <matthew.mundell@greenbone.net>

	Add extended version of omp_create_task to allow preferences to be set.

	* omp/omp.h: Add header accordingly.
	(omp_create_task_opts_t): New type.
	(omp_create_task_opts_defaults): New variable.

	* omp/omp.c (omp_create_task_ext): New function.

2012-07-26  Werner Koch  <wk@gnupg.org>

	* nasl/nasl_crypto2.c (nasl_sexp_from_privkey): Re-compute the
	inverse of P and Q after swapping their values.

2012-07-24  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.h (omp_get_report_opts_t): Reorder fields slightly.
	(omp_get_report_opts_defaults): Init by position instead of by name, so
	that this compiles in C++.

2012-07-23  Werner Koch  <wk@gnupg.org>

	* misc/network.c (my_gnutls_transport_set_lowat_default): New.
	Used only for GnuTLS >= 2.11.1 and < 2.99.0.
	(ovas_scanner_context_attach): Call new function.
	* misc/openvas_server.c (my_gnutls_transport_set_lowat_default):
	New.  See above.
	(openvas_server_open, openvas_server_new): Call new function.

2012-07-20  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.h (omp_get_report_opts_defaults): Make static.  Use new
	format_id.  Missed piece of Sascha Wilde's patch.

2012-07-20  Werner Koch  <wk@gnupg.org>

	* misc/openvas_logging.c (openvas_log_func): Trim off extra LF
	from MESSAGE to avoid empty lines in the log.  Replace g_string
	hack by a single g_strdup_printf.

2012-07-04  Sascha Wilde  <wilde@intevation.de>

	* omp/omp.c (OMP_FMT_BOOL_ATTRIB): New define.
	(omp_get_report_ext): Converted function to be a generic interface
	to OMP get_reports using an single omp_get_report_opts_t argument
	for configuration.
	(omp_get_report): Use new omp_get_report_ext implementation.

	* omp/omp.h: Update header accordingly.
	(typedef struct omp_get_report_opts_t): New struct type to
	represent all possible options (attributes) of OMP get_reports.
	(omp_get_report_opts_defaults): Sensible default values for
	initialization of new omp_get_report_opts_t objects.

2012-07-18  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/otp.h (OTP_11): New define.  Part of OTP 1.1 patch by Jan-Oliver
	Wagner.

2012-07-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Avoid too many "gpg --version" calls.

	Patch developed by Werner Koch.

	* nasl/nasl_signature.c (init_openvas_gpgme_ctx): Initialize gpgme
	only once.  Thanks to the global engine setting function, there is
	no need to do it for each new context.

2012-07-16  Michael Wiegand <michael.wiegand@greenbone.net>

	* nasl/CMakeLists.txt: Remove superfluous quotes.

2012-07-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/kb.h (NEW_KB_MGMT): Removed. Deprectated loong time ago.

2012-07-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/exec.c (execute_nasl_script): Removed. This was marked deprecated since
	two major releases already.

2012-07-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/plugutils.c (_add_plugin_preference): New. Moved here from store.c.
	(plug_create_from_nvti_and_prefs): New. A reduced version of
	store_load_plugin from store.c.

	* misc/plugutils.h: Added proto accordingly.

	* misc/store.c, misc/store.h: Removed no unneeded module.

	* COPYING: Removed entry for removed module.

	* misc/CMakeLists.txt: Removed handling of module store.

2012-07-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/store.c (store_init): Removed. The initialization is
	now done by scanner directly via nvticache_new().
	(nvti_cache): Removed. This global variable is not necessary
	anymore because scanner will handle the variable in a global context.
	(store_load_plugin): Use the nvticache fomr the arglist instead the
	the static global one.
	(store_plugin): Removed. The remaining simple calls for nvti_cache
	were moved to the respective code in the Scanner.

	* misc/store.h: Removed protos accordingly.

	* CMakeLists.txt: Also install nvticache.h.

2012-07-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post branch version bump. (A little late as the branch actually
	happened already).

	* CMakeLists.txt: Set version to 6.0.0 and status to beta.

2012-07-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/store.c (store_plugin): Reduced code by using new function
	nvticache_add().

2012-07-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/nvticache.c (nvticache_add): New function to write a nvti file
	to the cache.

	* base/nvticache.h: Add proto accordingly.

2012-07-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/store.c (store_plugin): Removed code that handles the
	unused variable "path".

2012-07-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/plugutils.c (proto_post_wrapped): Resolved unnecessary
	call of arg_get_value.

2012-07-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Removing preparse module which was a left-over of a never-finished
	concept of pre-compiled nasl files.

	* nasl/preparse.c, nasl/preparse.h: Removed.

	* nasl/exec.c (exec_nasl_script): Replaced call of nasl_reload_or_parse()
	by immediate calls to init and parse a nasl.

	* nasl/lint.c: Removed unnecessary include of preparse.h.

	* nasl/CMakeLists.txt: Removed handling of module preparse.c.

	COPYING: Remove preparse.c|h from the list.

2012-07-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_grammar.y: Removed TODO about signature checking.
	The signature check is ensured via function call of init_nasl_ctx().

2012-07-05  Michael Wiegand <michael.wiegand@greenbone.net>

	* nasl/CMakeLists.txt: Ensure that compilation with modern
	gccs works by moving linker flags from LINK_FLAGS to
	target_link_libraries.

2012-07-03  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* hg/CMakeLists.txt: Commented hg-test executable target,
	as it causes build failures in certain environments.

2012-07-03  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* hg/hg_add_hosts.c (hg_add_host): Initialize struct with sensible
	value before using, stunt with bufferlength.

2012-07-02  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* hg/test.c: Fix definition of bufferlen for inet_ntop.

2012-07-02  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* hg/test.c: Fix switch/case statement (resolving a TODO), expand
	usage output.

2012-07-01  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* hg/CMakeLists.txt: Add new executable 'hg-test' which is a minimal
	testing interface to the hg module.

	* hg/test.c: Adapt to older IPv6 library changes.

2012-06-28  Matthew Mundell <matthew.mundell@greenbone.net>

	Add omp_get_report_ext, for control of overrides.  Patch by Werner Koch.

	* omp/omp.c (omp_get_report_ext): New function.  Body from omp_get_report.
	(omp_get_report): Call through to omp_get_report_ext.

	* omp/omp.h: Update headers accordingly.

2012-06-19  Michael Meyer <michael.meyer@greenbone.net>

	* nasl/nasl_builtin_nmap.c:
	Typo fixed.

2012-06-14  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/nvti.c: Added sanity NULL-check to various functions.

2012-06-13  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (omp_create_task, omp_read_create_response)
	(omp_create_lsc_credential, omp_create_lsc_credential_key): Use gchar
	for return param.

	* omp/omp.h: Update headers accordingly.

2012-06-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl.h: Removed history of NASL_LEVEL as it is not
	relevant for current code anymore.
	(OPENVAS_NASL_LEVEL): Removed Macro.

	* nasl/nasl_init.c (libivars): Removed NASL built-in variable
	"OPENVAS_NASL_LEVEL".

2012-06-11  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/network.c (verify_peer_certificate): Add TODO.

2012-06-09  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_scanner_glue.c: Removed now unused macro SECRET_KB_PREFIX.

2012-06-09  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Removing code that tries to remember which part of NVTs
	is authenticated.

	* nasl/exec.c (exec_nasl_script): Removed code that sets
	"authenticated" status.

	* nasl/nasl_func.c (nasl_func_call): Removed code to handle
	"authenticated" status.

	* nasl/nasl_grammar.y (INCLUDE): Remove downgrading present script
	in case non authenticated include file is loaded. Left todo that
	we need to ensure only signed include files are considered at all.
	(init_nasl_ctx): Removed initialization of "authenticated". Changed
	check to directly ignore non-signed NVTs.

	* nasl/nasl_scanner_glue.c (get_kb_list, get_kb_item, get_kb_fresh_item,
	replace_kb_item, set_kb_item): Drop check for authenticated
	status.

	* nasl/nasl_global_ctxt.h (struct naslctxt): Removed element
	"authenticated".

	* nasl/nasl_lex_ctxt (struct struct_lex_ctxt): Removed element
	"authenticated".

2012-06-09  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Removing the code that prevented special functions being executed
	by non-authenticated NVTs. Background is that either the whole
	feed is treated as authenticated or as non-authenticated, but
	not a mixture of it.

	* nasl/nasl_cmd_exec.c (nasl_pread, nasl_find_in_path, nasl_fread,
	nasl_unlink, nasl_fwrite, nasl_get_tmp_dir, nasl_file_stat,
	nasl_file_open, nasl_file_close, nasl_file_read, nasl_file_write,
	nasl_file_seek): Removed check that ensured the NVT
	is authenticated.

	* nasl/nasl_crypto2.c (nasl_pem_to, nasl_rsa_sign, nasl_dsa_do_sign):
	Removed check that ensured the NVT is authenticated.

	* nasl/nasl_host.c (nasl_same_host): Removed check that ensured the NVT
	is authenticated.

	* nasl/nasl_scanner_glue.c (script_get_preference_file_location):
	Removed check that ensured the NVT is authenticated.

	* nasl/exec.c (check_authenticated): Removed function.

	* nasl/exec.h: Removed proto accordingly.

2012-06-07  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* misc/openvas_auth.c (openvas_auth_init): Added debug message
	to provide information about disable authenticators.

	* misc/ldap_auth.c (ldap_auth_info_new): Added parameter to
	indicate whether certain options are obligatory (for ldap-method) or
	not (for ldap_connect-method).
	(ldap_auth_info_from_key_file): Set new parameter depending on
	authenticators group name.

	* misc/ldap_auth.h (ldap_auth_info_new): Updated header accordingly.

2012-05-22  Matthew Mundell <matthew.mundell@greenbone.net>

	* nasl/nasl_misc_funcs.c (simple_register_host_detail): Revert last
	commit.

2012-05-21  Matthew Mundell <matthew.mundell@greenbone.net>

	* nasl/nasl_misc_funcs.c (simple_register_host_detail): Add CVE as
	source description if there is one.

2012-04-24  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 5.0.2.

2012-04-24  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 5.0.1 release.

	* CHANGES: Updated.

2012-04-24  Michael Wiegand <michael.wiegand@greenbone.net>

	* misc/pcap.c (routethrough): Use the most specific route and not the
	first matching route. Patch suggested by Christian Schmidt
	<christian.schmidt@greenbone.net>.

2012-03-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt, INSTALL: Raised dependency for glib from 2.12
	to 2.16. We are using already methods from 2.16 and other OpenVAS
	modules have already 2.16 as minimum requirement.

2012-03-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt: Fixed svn revisioning.

2012-03-25  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 5.0.1.

2012-03-25  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-libraries 5.0.0 release.

	* CHANGES: Updated.

	* CMakeLists.txt: Version bump to 5.0.0.

2012-03-23  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (omp_create_lsc_credential_key): New function.

	* omp/omp.h: Add header accordingly.

2012-03-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt: Fixed build for LDAP.

2012-03-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt: Added check for LDAP library and make
	LDAP default in case it is found. BUILD_WITHOUT_LDAP will
	explicitely disable LDAP.

	* misc/CMakeLists.txt: Removed check for ldap library.

	* INSTALL: Added hint on ldap.

2012-03-16  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* misc/ldap_auth.c (ldap_auth_dn_is_good): Allow special cases
	for ADS use cases.

2012-03-15  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* doc/example.auth.conf: Add a simple example for "ldap_connect"
	authentication configuration (this is an exclusive per-user
	authentication without authorization).

2012-03-15  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* misc/ldap_connect_auth.c (ldap_connect_authenticate):
	Do not call ldap_user_exists, only bind. Also, undbind.

	* misc/openvas_auth.c (add_authenticator): Do not use ldap_user_exists
	but the "classic" file-exist for ldap_connect authenticator.

	* misc/ldap_auth.c (ldap_auth_new): Allow NULL for certain parameters.

2012-03-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/plugutils.c (proto_post_wrapped): Ensure the newline
	after the actual result text is always placed where it was before.
	This lowers the number of changed results texts significantly.

2012-03-13  Michael Wiegand <michael.wiegand@greenbone.net>

	* misc/plugutils.c (proto_post_wrapped): Add support for using the
	scanner preferences result_prepend_tags and result_append_tags to
	prepend or append tag contents to the description of a result. This is
	convenience functionality in preparation for the breaking up of the
	NVT description block and adding proper handling of refined meta
	information all over the OpenVAS Framework.

2012-03-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_misc_funcs.c: Added NASL_EXIT_DEPRECATED.
	(nasl_do_exit): Added a comment to remind on this reserved
	exit code for future handling.

2012-03-12  Matthew Mundell <matthew.mundell@greenbone.net>

	* nasl/nasl_scanner_glue.c (security_message): Use HUGE_VAL because
	HUGE_VALF is for strtof, and add missing negation.

2012-03-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 5.0+rc2.

2012-03-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-libraries 5.0+rc1 release.

	* CHANGES: Updated.

	* CMakeLists.txt: Version bump to 5.0+rc1.

2012-03-08  Matthew Mundell <matthew.mundell@greenbone.net>

	* nasl/nasl_builtin_nmap.c (PREF_UDP_PORT_SCAN): Remove.
	(build_cmd_line): Always enable UDP scan.
	(xmltag_close_cpe): Flush trailing whitespace.

2012-03-06  Matthew Mundell <matthew.mundell@greenbone.net>

	Add NASL function security_message.  This change is part of CR 59.

	* nasl/nasl_init.c (libfuncs): Add security_message.

	* nasl/nasl_scanner_glue.c (security_message): New function.

	* nasl/nasl_scanner_glue.h: Add header accordingly.

2012-03-05  Matthew Mundell <matthew.mundell@greenbone.net>

	* nasl/nasl_debug.c (nasl_perror): Add prospective code to send an
	ERRMSG to the client.

2012-03-02  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* misc/openvas_server.c (openvas_server_open), nasl/nasl_ssh.c
	(nasl_ssh_exec): Fixed memleaks spotted by cppcheck.

2012-03-02  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* misc/openvas_auth.c (openvas_modify_user): Documentation added.

2012-03-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl.h: Removed prot for deprecated function execute_nasl_script.

2012-03-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	This patch was developed by Bernhard Herzog.

	* misc/network.c (set_gnutls_priorities, set_gnutls_sslv23)
	(set_gnutls_sslv3, set_gnutls_tlsv1): Removed.
	(set_gnutls_protocol): Use gnutls_priority_set_direct to set the
	various priorities instead of (indirectly via the now removed
	set_gnutls_* functions) using the deprecated functions
	gnutls_protocol_set_priority, gnutls_cipher_set_priority,
	gnutls_compression_set_priority, gnutls_mac_set_priority. The
	gnutls_priority_set_direct function accepts all the priority
	settings as a single string.

2012-03-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl.h: Removed NASL_LEVEL as it is long time deprecated.

	* nasl/nasl_init.c (libivars): Removed NASL_LEVEL as it is long
	time deprecated.

2012-03-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/openvas_server.c (openvas_server_new): Removed dead code
	about a magic user "admin" that was removed long time ago.

2012-03-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	This patch was developed by Bernhard Herzog.

	* misc/openvas_server.c (openvas_server_open): Remove the call to
	the deprecated gnutls_kx_set_priority function. The preceding
	gnutls_set_default_priority call should have set suitable key
	exchange priorities. The key exchange algorithms set by
	gnutls_set_default_priority (in gnutls 3.0.9) include all the
	algorithms set by the gnutls_kx_set_priority, although in
	different order, and some more, like the EC variants.
	(openvas_server_new): Use gnutls_priority_set_direct to set the
	various priorities instead of the deprecated gnutls_*_set_priority
	functions. As priority string now uses the SECURE choice as
	it is primarily for internal OpenVAS connections.

2012-02-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_tree.c (alloc_RE_cell): Print error string along with
	error code to help understand RE errors.

2012-02-29  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* base/openvas_string.h, base/openvas_string.c
	(openvas_string_list_to_xml): Utility function to create a
	xml tree of depth one from a list of strings.

2012-02-29  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* misc/CMakeLists.txt: Compile new module ldap_connect_auth (if build
	with ldap flag is set).

	* misc/openvas_auth.c: Added stub for new ldap_connect authenticator.
	(order_compare): Let the ldap_connect authenticator always be the
	first.
	(add_authenticator): Respect and add ldap_connect authenticator.
	(openvas_auth_init): Remember whether ldap_connect authenticator was
	configured.
	(openvas_auth_write_config): Write ldap_connect part of config,
	validate given values. Closed leaking string in error case.
	(can_user_ldap_connect): New. Return true if ldap_connect enabled
	for user.
	(openvas_authenticate, openvas_authenticate_method): Realise
	exclusivity of ldap_connect mehtod.
	(openvas_auth_user_methodsdir): New, convenience to find users
	auth/methods directory.
	(openvas_user_modify): Added ability to set allowed methods per
	user.
	(openvas_auth_user_set_allowed_methods): New. Set allowed methods per
	user.
	(openvas_auth_mkmethodsdir): New. Create users auth/methods directory.
	(openvas_auth_user_methods): New. Access allowed methods for a user.

	* misc/openvas_auth.h (openvas_user_modify): Adjusted signature.
	(openvas_auth_user_methods, openvas_auth_user_set_allowed_methods):
	New, exposed functions (will be used by openvas-administrator).

2012-02-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* COPYING: Added recently added modules misc/ldap_connect_auth.h
	and misc/ldap_connect_auth.c.

2012-02-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Several Cmake improvements towards full out-of-source builds
	by Andre Heinecke.

	* doc/Doxyfile.in, doc/Doxyfile_full.in: Use @CMAKE_CURRENT_BINARY_DIR@.

	* CMakeLists.txt: Set minimum cmake version to 2.6.
	Use ${CMAKE_CURRENT_BINARY_DIR} and ${CMAKE_SOURCE_DIR}.

2012-02-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Make it easier to compile on MacOS. Patch by Andre Heinecke.

	* misc/support.h: New. Support for MacOS.

	* misc/network.c, misc/ids_send.c, misc/resolve.c, misc/pcap.c,
	misc/www_funcs.c, hg/hg_add_hosts.c: Use support.h.

	* COPYING: Add support.h.

2012-02-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Remove local copy of regexp.

	* nasl/nasl_tree.c (alloc_RE_cell): Replaced call of nasl_regcomp by regcomp
	and nasl_regfree by regfree.

	* nasl/preparse.c, nasl/lint.c: Removed unecessary include of nasl_regex.h.

	* nasl/nasl_text_utils.c (nasl_ereg): Replaced call of nasl_regexec by
	regexec and nasl_regfree by regfree. Removed call of nasl_re_set_syntax
	because POSIX is the default anyway.
	(_regreplace): Replaced call of nasl_regcomp by regcomp and nasl_regexec
	by regexec and nasl_regfree by regfree.
	(nasl_egrep): Replaced call of nasl_regcomp by regcomp and
	nasl_regexec by regexec and nasl_regfree by regfree.
	Removed call of nasl_re_set_syntax because POSIX is the default anyway.
	(nasl_eregmatch): Replaced call of nasl_regcomp by by regcomp and
	nasl_regexec by regexec and nasl_regfree by regfree.
	Removed call of nasl_re_set_syntax because POSIX is the default anyway.
	* nasl/exec.c (nasl_exec): Replaced call of nasl_regexec by regexec.

	* nasl/CMakeLists.txt: Removed handling of module regex.c.
	Removed openSUSE special treatment for compile problem in regexp.c.

	* nasl/regex.c, nasl/nasl_regex.h: Removed.

	* COPYING: Removed entries for removed files nasl/regex.c and
	nasl/nasl_regex.h.

2012-02-28  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* misc/ldap_connect_auth.h, misc/ldap_connect_auth.c: New
	  ldap_connect_auth authenticator stub.

2012-02-28  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* misc/ldap_auth.h, misc/ldap_auth.c (ldap_auth_info_auth_dn): Expose
	  function to be reusable in upcoming ldap_connect authenticator.

2012-02-27  Matthew Mundell <matthew.mundell@greenbone.net>

	Rename NASL debug_function to error_function.  Rename the associated
	OTP token from DEBUG to ERRMSG.

	* misc/plugutils.c (proto_post_debug, post_debug, post_debug_udp): Remove.
	(proto_post_error, post_error, post_error_udp): New functions.  Rename
	from debug versions.

	* misc/plugutils.h: Update headers accordingly.

	* nasl/nasl_init.c (libfuncs): Rename debug_message to error_message.

	* nasl/nasl_scanner_glue.c (debug_message): Remove.
	(error_message): New function.  Rename from debug version.

	* nasl/nasl_scanner_glue.h: Update headers accordingly.

2012-02-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt: Increased dependency for gnutls from 2.0 to 2.2
	to ensure we can use gnutls_priority_set_direct which is
	the replacement for the deprecated function gnutls_protocol_set_priority.

2012-02-09  Henri Doreau <henri.doreau@greenbone.net>

	Initial changes for a false positive auto detection/removal feature.

	* nasl/nasl_misc_funcs.c (simple_register_host_detail): New.
	(nasl_do_exit): Store the exit code as host detail if equals to
	NASL_EXIT_NOTVULN.

2012-02-09  Matthew Mundell <matthew.mundell@greenbone.net>

	* nasl/nasl_builtin_nmap.c (save_open_ports): Use strncmp to match open
	ports, so that "open|filtered" is included.

2012-02-08  Matthew Mundell <matthew.mundell@greenbone.net>

	* nasl/nasl_builtin_openvas_tcp_scanner.c (banner_grab): Check for the
	T: and U: type specifiers in the port range.

2012-01-26  Henri Doreau <henri.doreau@greenbone.net>

	* misc/arglists.h: Export arg_del_value().

2012-01-26  Henri Doreau <henri.doreau@greenbone.net>

	* nasl/nasl_builtin_nmap.c (nmap_run_and_parse): Set proper signal
	handlers to prevent the nmap subprocess from being zombified if the scan is
	stopped.
	(sig_h, sig_c): New.

2012-01-19  Henri Doreau <henri.doreau@greenbone.net>

	Handle CPE codes produced by nmap, if any. Changes are backward
	compatible, with versions of nmap that don't output CPEs.

	* nasl/nasl_builtin_nmap.c (simple_item_destroy, xml_read_text)
	(xmltag_open_cpe, xmltag_close_cpe, set_opentag_callbacks)
	(set_closetag_callbacks, nmap_run_and_parse, current_host_reset)
	(port_destroy, register_service, save_detected_os): Added code to
	handle text sections. Read, store and report content of <cpe> tags.

2012-01-18  Henri Doreau <henri.doreau@greenbone.net>

	Code cleanup to improve efficiency and maintainability.

	* nasl/nasl_builtin_nmap.c (nmap_destroy, list_free)
	(current_host_reset, port_destroy, nse_script_destroy)
	(nmap_get_free_port, nmap_get_free_nse_script, tmphost_add_port)
	(tmphost_add_nse_hostscript, tmphost_add_nse_portscript)
	(save_open_ports, save_portscripts, save_hostscripts):
	Replaced custom linked lists by GSLists from GLib. Use GTrashStacks to
	prevent from constantly alloc/free'ing the same structures.

2012-01-09  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_builtin_find_service.c: Turn any post_note and post_info
	into post_log message. This change is part of CR#57.

2012-01-03  Henri Doreau <henri.doreau@greenbone.net>

	* misc/plugutils.c (proto_post_wrapped): Don't add vulnerability
	references to the script results.

2011-12-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* INSTALL: Re-arranged text a bit and added some Debian 6 info.

2011-12-20  Henri Doreau <henri.doreau@greenbone.net>

	*  misc/plugutils.c (proto_post_wrapped): Fixed typo in comment.

2011-12-15  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/ldap_auth.c (ldap_user_exists): Search entire subtree.

2011-12-15  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/ldap_auth.c (ldap_user_exists): Replace static role attribute with
	actual one.

2011-12-14  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/ldap_auth.c (ldap_auth_info_new): Remove role_observer_values
	requirement.
	(ldap_auth_bind): Use LDAP_VERSION3 instead of number.

2011-12-12  Matthew Mundell <matthew.mundell@greenbone.net>

	Implement LDAP observers.

	* misc/ldap_auth.h: Update headers accordingly.
	(struct ldap_auth_info): Add role_observer_values.

	* misc/ldap_auth.c (KEY_LDAP_ROLE_OBSERVER_VALUES): New define.
	(ldap_auth_info_new, ldap_auth_info_free): Add arg role_observer_values.
	(ldap_auth_query_role, ldap_authenticate): Add observer role.
	(ldap_auth_info_from_key_file): Handle KEY_LDAP_ROLE_OBSERVER_VALUES.
	(ldap_user_exists): New function.

	* src/openvas_auth.c (struct authenticator): Add user_exists.
	(classic_authenticator_new, add_authenticator): Init user_exists.
	(openvas_user_exists_classic): New function.  Body from
	openvas_user_exists.
	(openvas_user_exists, openvas_user_uuid): Try all authentication types.

2011-12-07  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (omp_get_report): NULL-check response.  Check the response for
	errors.

2011-11-30  Henri Doreau <henri.doreau@greenbone.net>

	Export a new function get_script_oid() to NASL.

	* nasl/nasl_init.c: Add get_script_oid() to the list of the NASL
	functions.

	* nasl/nasl_scanner_glue.c (get_script_oid): New function.

	* nasl/nasl_scanner_glue.h: Update header accordingly.

2011-11-10  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Adjust path of source file in install to point to
	the correct file for out-of-source builds.

2011-11-10  Michael Wiegand <michael.wiegand@greenbone.net>

	* doc/Doxyfile.in, doc/Doxyfile_full.in: Use CPACK_PACKAGE_VERSION
	instead of a static value for the version.

2011-11-10  Michael Wiegand <michael.wiegand@greenbone.net>

	* nasl/CMakeLists.txt: Adjust bison call in custom command to enable
	out-of-source builds.

2011-11-10  Michael Wiegand <michael.wiegand@greenbone.net>

	* misc/network.c (open_SSL_connection): Call
	gnutls_transport_set_lowat only for gnutls < 2.12.0 since it is
	deprecated in newer versions. Patch suggested by Stephan Kleine.

2011-11-07  Michael Wiegand <michael.wiegand@greenbone.net>

	* nasl/smb_crypt.h: Ensure that the license text contains the correct
	address if the Free Software Foundation.

2011-11-07  Michael Wiegand <michael.wiegand@greenbone.net>

	* hg/hg_add_hosts.c, hg/hg_add_hosts.h, hg/hg_debug.c,
	hg/hg_dns_axfr.c, hg/hg_dns_axfr.h, hg/hg_filter.c, hg/hg_filter.h,
	hg/hg_subnet.c, hg/hg_subnet.h, hg/hg_utils.c, hg/hg_utils.h,
	hg/hosts_gatherer.c, hg/hosts_gatherer.h, hg/test.c, misc/bpf_share.c,
	misc/comm.h, misc/kb.c, misc/nvt_categories.h, misc/pcap.c,
	misc/popen.c, misc/rand.c, misc/rand.h, misc/resolve.c,
	misc/resolve.h, misc/scanners_utils.c, misc/scanners_utils.h,
	misc/services1.c, misc/services.h, misc/www_funcs.c, nasl/arc4.c,
	nasl/byteorder.h, nasl/capture_packet.c, nasl/capture_packet.h,
	nasl/charcnv.c, nasl/charset.h, nasl/exec.c, nasl/exec.h,
	nasl/genrand.c, nasl/hmacmd5.c, nasl/hmacmd5.h, nasl/iconv.c,
	nasl/iconv.h, nasl/lint.c, nasl/md4.c, nasl/md4.h,
	nasl/nasl_builtin_openvas_tcp_scanner.c, nasl/nasl.c,
	nasl/nasl_cmd_exec.c, nasl/nasl_cmd_exec.h, nasl/nasl_crypto2.c,
	nasl/nasl_crypto2.h, nasl/nasl_crypto.c, nasl/nasl_crypto.h,
	nasl/nasl_debug.c, nasl/nasl_debug.h, nasl/nasl_func.c,
	nasl/nasl_func.h, nasl/nasl_global_ctxt.h, nasl/nasl_grammar.y,
	nasl/nasl.h, nasl/nasl_host.c, nasl/nasl_host.h, nasl/nasl_http.c,
	nasl/nasl_http.h, nasl/nasl_init.c, nasl/nasl_init.h,
	nasl/nasl_lex_ctxt.c, nasl/nasl_lex_ctxt.h, nasl/nasl_misc_funcs.c,
	nasl/nasl_misc_funcs.h, nasl/nasl_packet_forgery.c,
	nasl/nasl_packet_forgery.h, nasl/nasl_packet_forgery_v6.c,
	nasl/nasl_packet_forgery_v6.h, nasl/nasl_raw.h, nasl/nasl_regex.h,
	nasl/nasl_scanner_glue.c, nasl/nasl_scanner_glue.h,
	nasl/nasl_socket.c, nasl/nasl_socket.h, nasl/nasl_text_utils.c,
	nasl/nasl_text_utils.h, nasl/nasl_tree.c, nasl/nasl_tree.h,
	nasl/nasl_var.c, nasl/nasl_var.h, nasl/preparse.c, nasl/preparse.h,
	nasl/regex.c, nasl/smb_crypt2.c, nasl/smb_crypt.c, nasl/smb.h,
	nasl/smb_signing.c, nasl/smb_signing.h, nasl/strutils.c,
	nasl/strutils.h, nasl/time.c: Ensure that the license text contains
	the correct address if the Free Software Foundation. Suggested by
	Michal Ambroz.

2011-11-07  Michael Wiegand <michael.wiegand@greenbone.net>

	* COPYING.GPLv2, COPYING.LGPLv2: Update with fresh copies obtained
	from http://www.gnu.org/licenses/old-licenses/ to ensure the licenses
	contains the correct address of the Free Software Foundation and to
	have consistent formatting. Suggested by Michal Ambroz.

2011-10-26  Michael Wiegand <michael.wiegand@greenbone.net>

	* hg/hg_utils.c (hg_get_name_from_ip): Make debug messages more
	useful.

2011-10-07  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 5.0+beta3.

2011-10-07  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 5.0+beta2 release.

	* CHANGES: Updated.

2011-10-06  Michael Wiegand <michael.wiegand@greenbone.net>

	* ChangeLog: Fix path in last entry.

2011-10-05  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/openvas_auth.c (openvas_user_modify): New function.  Body from
	openvas-administrator openvas_admin_modify_user.

	* misc/openvas_auth.h: Add header accordingly.

2011-09-27  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (omp_authenticate_info): New function.

	* omp/omp.h: Add header accordingly.

	* base/credentials.h (credentials_t): Add timezone and role.

	* base/credentials.c (free_credentials): Free timezone and role.

2011-09-22  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/openvas_auth.c (openvas_is_user_observer): New function.
	(openvas_set_user_role): Add observer role.

	* misc/openvas_auth.h: Add header accordingly.

2011-09-21  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/openvas_auth.c (openvas_auth_store_user_rules): Correct doc typo.

2011-09-21  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/openvas_auth.c (openvas_user_exists): New function.

	* misc/openvas_auth.h: Add header accordingly.

	* ChangeLog: Cleanup some entries.

2011-09-13  Michael Wiegand <michael.wiegand@greenbone.net>

	* nasl/nasl_ssh.c (nasl_ssh_exec): Remove superfluous log messages for
	non-error cases.

2011-08-08  Matthew Mundell <matthew.mundell@greenbone.net>

	Validate LDAP auth DN.

	* misc/openvas_auth.c (openvas_auth_write_config): Validate the LDAP auth
	DN.  Adjust return accordingly.

	* misc/ldap_auth.c (auth_dn_is_good): Rename to ldap_auth_dn_is_good.
	Update callers.
	(ldap_auth_dn_is_good): New function.  Was auth_dn_is_good.  Conver to DN
	to validate.

	* misc/ldap_auth.h: Add header accordingly.

2011-07-13  Matthew Mundell <matthew.mundell@greenbone.net>

	* ChangeLog: Always close the parentheses on the line they are opened on,
	as this is much easier to parse.

2011-07-13  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Do not try to fix LIBSSH_CFLAGS and LIBSSH_LDFLAGS
	if they have already been set by pkg-config.

2011-07-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_scanner_glue.c (script_id): Create legacy OID directly
	and update nvti directly.
	(script_oid): Replace call of plug_set_oid by nvti_set_oid.

	* misc/plugutils.c (plug_set_id, plug_set_oid): Removed the now
	unused functions.

	* misc/plugutils.h: Removed protos accordingly.

2011-07-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/plugutils.c (plug_set_id): Don't store the ID in the
	arglist structure anymore. Now use g_strdup_printf to create
	the legacy oid.
	(plug_get_id): Removed. Not used anywhere.
	(plug_set_oid): If a oid is set, any previous set legacy oid
	will now be overwritten.

2011-07-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_scanner_glue.c (script_category): Replaced call of
	plug_set_category by nvti_set_category.

	* misc/plugutils.c (plug_set_nvti, plug_set_category): Removed
	the now unused functions.

	* misc/plugutils.h: Removed protos accordingly.

2011-07-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_scanner_glue.c (script_cve_id): Replaced call of
	plug_set_cve_id by nvti_add_cve.
	(script_bugtraq_id): Replaced call of plug_set_bugtraq_id by
	nvti_add_bid.

	* misc/plugutils.c (plug_set_cve_id, plug_set_bugtraq_id)
	(plug_set_sign_key_ids, plug_require_key, plug_mandatory_key)
	(plug_exclude_key, plug_require_port, plug_require_udp_port): Removed.
	These functions are not used anymore.

	* misc/plugutils.h: Removed protos accordingly.

2011-07-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/plugutils.c (plug_set_id, plug_set_oid, plug_set_cve_id)
	(plug_set_bugtraq_id, plug_set_xref, plug_set_tag, plug_set_sign_key_ids)
	(plug_require_key, plug_get_required_keys, plug_mandatory_key)
	(plug_get_mandatory_keys, plug_exclude_key, plug_get_excluded_keys)
	(plug_require_port, plug_get_required_ports, plug_require_udp_port)
	(plug_get_required_udp_ports, plug_set_dep, plug_get_deps)
	(plug_set_category, mark_successful_plugin, mark_post)
	(proto_post_wrapped, add_plugin_preference, get_plugin_preference):
	Replaced calls of plug_get_nvti by direct access to arglist structure.
	(plug_get_nvti): Removed. It is not being used anymore now.

	* misc/plugutils.h: Removed proto accordingly.

2011-07-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_scanner_glue.c (script_require_keys, script_mandatory_keys)
	(script_exclude_keys, script_require_ports, script_require_udp_ports):
	Replace plug_* call by corresponding call of nvti_add_*.

2011-07-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/nvti.c (nvti_add_sign_key_id, nvti_add_cve, nvti_add_bid)
	(nvti_add_required_keys, nvti_add_mandatory_keys, nvti_add_excluded_keys)
	(nvti_add_required_ports, nvti_add_required_udp_ports)
	(nvti_add_sign_key_id): New methods to add elements to alreay
	existing ones.

	* base/nvti.h: Added new protos accordingly.

2011-07-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/store.c (store_load_plugin): Replaced call of plug_set_nvti
	by direct arglist retrieval.

2011-07-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_scanner_glue.c (script_elem): Removed. Last trace of
	old i18n attempt.
	(script_name, script_description, script_copyright, script_summary)
	(script_family): Replaced script_elem call with direct call of
	the corresponding nvti function.

	* misc/plugutils.c (plug_set_family, plug_set_name, plug_set_summary)
	(plug_set_description, plug_set_copyright): Removed the now unused
	functions.

	* misc/plugutils.h: Removed protos accordingly.

2011-07-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/plugutils.c (plug_set_version, plug_get_version, plug_set_path)
	(plug_get_path, plug_get_oid, plug_get_cve_id, plug_get_bugtraq_id)
	(plug_get_xref, plug_get_tag, plug_get_sign_key_ids, plug_get_family)
	(plug_set_timeout, plug_get_timeout, plug_get_name, plug_get_summary)
	(plug_get_description, plug_get_copyright, plug_get_category): Removed.
	These functions are not used anymore.
	(proto_post_wrapped): Replaced call of plug_get_oid() by nvti_oid().

	* misc/plugutils.h: Removed protos accordingly.

2011-07-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/plugutils.c (mark_successful_plugin, proto_post_wrapped)
	(get_plugin_preference):
	Replace use of plug_*() by direct call of nvti_*() where
	nvti elements are concerned.

	* nasl/nasl_scanner_glue.c (script_timeout, script_version):
	Replace use of plug_*() by direct call of nvti_*() where
	nvti elements are concerned.

2011-07-01  Henri Doreau <henri.doreau@greenbone.net>

	* nasl/nasl_builtin_nmap.c: Minor coding style fixes.

2011-07-01  Henri Doreau <henri.doreau@greenbone.net>

	* nasl/nasl_builtin_nmap.c (setup_xml_parser): Removed
	superfluous check of the return value of g_hash_table_new which is
	guaranteed to succeed.

	* nasl/nasl_builtin_nmap.c (setup_xml_parser, set_opentag_callbacks)
	(set_closetag_callbacks): Changed return type to void.

	* nasl/nasl_builtin_nmap.c (nmap_create): No need to check the return
	value of setup_xml_parser() anymore.

2011-07-01  Henri Doreau <henri.doreau@greenbone.net>

	* nasl/nasl_builtin_nmap.c: Improved documentation (formatting and
	content).

	*  nasl/nasl_builtin_nmap.c (tmphost_add_port)
	(tmphost_add_nse_hostscript, tmphost_add_nse_portscript)
	(current_host_saveall, save_host_state, save_open_ports)
	(register_service, save_detected_os, save_tcpseq_details)
	(save_ipidseq_details, save_traceroute_details, save_portscripts)
	(save_hostscripts): Changed return type to void.

011-07-01  Henri Doreau <henri.doreau@greenbone.net>

	* nasl/nasl_builtin_nmap.c (nmap_run_and_parse): Added a check to
	distinguish between error and eof after fread() on imported files.

2011-07-01  Henri Doreau <henri.doreau@greenbone.net>

	* nasl/nasl_builtin_nmap.c (get_default_portrange): Moved the internal cmp()
	function to a higher level as nested functions are not standard (GCC extension).

2011-07-01  Henri Doreau <henri.doreau@greenbone.net>

	* nasl/nasl_builtin_nmap.c (nmap_create, add_arg, tmphost_add_port)
	(tmphost_add_nse_hostscript, tmphost_add_nse_portscript): Removed
	superfluous checks of the return value of g_malloc which doesn't
	return on failure.

2011-07-01  Henri Doreau <henri.doreau@greenbone.net>

	* nasl/nasl_builtin_nmap.c (register_service): Ensure that port
	version is set before registering it.

2011-06-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/arglists.c (arg_set_name, arglist2str): Removed
	now unused functions.

	* misc/arglists.h: Removed protos accordingly.

2011-06-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* base/nvti.c (nvti_add_sign_key_id): New.

	* base/nvti.h: Added proto accordingly.

2011-06-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/store.c (store_load_plugin): Removed conversion of
	".nes" to ".nasl" for dependencies. When a cache file
	is created, the conversion is always done already.
	This change makes it mandatory to remove the old
	cache when migrating from OpenVAS-4 to OpenVAS-5
	in order to ensure to not have any old cache file
	with ".nes" somewhere.

2011-06-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/plugutils.c (plug_require_key, plug_mandatory_key)
	(plug_exclude_key, plug_require_port, plug_require_udp_port)
	(plug_set_dep): Replace intermediate step of converting csv
	strings to arglist and back again just for adding one entry
	by direct string modification.

2011-06-22  Michael Wiegand <michael.wiegand@greenbone.net>

	Enforce that timestamps for newly cached files are identical with
	those of the original NVTs. This prevents cache issues for rare cases
	where the cache file was erroneously considered new than an update
	NVT.

	* base/nvti.c (nvti_to_keyfile): Set the timestamp of the cache file
	to the timestamp of the original NVT.

	* base/nvticache.c (nvticache_get): Accept caches with the same
	timestamp as the original file.

2011-06-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 5.0+beta2.

2011-06-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 5.0+beta1 release.

	* CHANGES: Updated.

	* CMakeLists.txt: Updated.

2011-06-17  Henri Doreau <henri.doreau@greenbone.net>

	* nasl/nasl_builtin_nmap.c (port_destroy, xmltag_open_service)
	(register_service): Improved version detection support to report
	additional information about the discovered services.

2011-06-17  Henri Doreau <henri.doreau@greenbone.net>

	* nasl/nasl_builtin_nmap.c (build_cmd_line): Use -Pn instead of the
	deprecated -P0 to disable the ping phase.

2011-06-16  Michael Wiegand <michael.wiegand@greenbone.net>

	Add infrastructure for improved ssh support as outlined in OpenVAS
	Change Request #54 (http://www.openvas.org/openvas-cr-54.html).

	* nasl/nasl_ssh.c: New. Contains the new ssh functionality through
	libssh.

	* nasl/nasl_ssh.h: New. Header file for the new ssh functionality.

	* nasl/CMakeLists.txt: Add handling of nasl_ssh.c.

	* nasl/nasl_init.c: Add ssh_exec to the list of NASL commands.

	* CMakeLists.txt: Add detection and identification of libssh.

	* INSTALL: Add note that libssh >= 0.4.5 is required for improved ssh
	support.

2011-06-15  Henri Doreau <henri.doreau@greenbone.net>

	* nasl/nasl_builtin_nmap.c: improved code documentation

2011-06-15  Henri Doreau <henri.doreau@greenbone.net>

	* nasl/nasl_builtin_nmap.c (get_default_portrange): removed obsolete
	and unused variable initialization code.

2011-06-15  Henri Doreau <henri.doreau@greenbone.net>

	* nasl/nasl_host.c (nasl_islocalhost, nasl_islocalnet), nasl/smb_crypt
	(SMBencrypt_ntlmssp), nasl/nasl_packet_forgery.c (forge_tcp_packet)
	(nasl_tcp_ping), nasl/nasl_packet_forgery_v6.c (set_ipv6_elements)
	(forge_tcp_v6_packet, get_udp_v6_element),
	nasl/nasl_builtin_openvas_tcp_scanner.c (banner_grab),
	nasl/nasl_misc_funcs.c (nasl_make_array), nasl/nasl_builtin_synscan.c
	(plugin_run_synscan), nasl/charcnv.c (convert_string_internal_ntlmssp):
	fixed GCC 4.6 warnings concerning set but never used variables.

2011-06-08  Henri Doreau <henri.doreau@greenbone.net>

	* nasl/nasl_func.c (get_func), nasl/nasl_var.c (get_var_ref_by_name):
	removed dead code contained in #ifdef SILLY_OPT checks.

2011-06-06  Henri Doreau <henri.doreau@greenbone.net>

	* nasl/nasl_builtin_nmap.c (build_cmd_line): don't systematically
	disable DNS resolution. Added an option to do so. Re-enabled it by
	default.

2011-05-31  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/internal_com.h: Removed all *SHARED_SOCKET* defines
	as they are not needed anymore.

2011-05-31  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* COPYING: Added misc/internal_com.h and nasl/nasl_builtin_nmap.c.

2011-05-31  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* misc/internal_com.h: New. Collects INTERNAL_COM* defines.

	* misc/plugutils.h: Removed INTERNAL_COM* defines.

	* misc/network.c, misc/plugutils.c: Add include of internal_com.h.

	* misc/scanners_utils.c: Replace inlucde of plugutils.h by
	internal_com.h.

	* misc/CMakeLists.txt: Install internal_com.h.

2011-05-31  Matthew Mundell <matthew.mundell@greenbone.net>

	* nasl/nasl_builtin_nmap.c (register_service, save_traceroute_details): Do
	cast in 64 bit friendly way, else compilation fails.

2011-05-31  Matthew Mundell <matthew.mundell@greenbone.net>

	Deal with GCC 4.6 warnings.  Thanks to Stephan Kleine for original patch.

	* misc/network.c (renice_myself): Check nice return.

	* misc/plugutils.c (plug_get_key): Remove stray variable usage left from
	Nessus times.

2011-05-31  Henri Doreau <henri.doreau@greenbone.net>

	Added a new builtin module to perform comprehensive network scanning with nmap.

	* nasl/nasl_builtin_nmap.c: New. Exports plugin_run_nmap() to NASL. This
	function calls nmap to perform network wide scanning. Results are stored
	in the knowledge base to be read and reported by an external NASL plugin.

	* nasl/CMakeLists.txt: Updated to handle nasl_builtin_nmap.c.

	* nasl/nasl_builtin_plugins.h: Updated with plugin_run_nmap prototype.

	* nasl/nasl_init.c: Added new function plugin_run_nmap to the list of
	NASL functions.

2011-05-30  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_init.c (libfuncs): removed registration of functions
	"shared_socket_register", "shared_socket_acquire",
	"shared_socket_release" and "shared_socket_destroy".

	* nasl/nasl_scanner_glue.c (SECRET_SOCKET_PREFIX,
	nasl_shared_socket_register, nasl_shared_socket_acquire,
	nasl_shared_socket_release, nasl_shared_socket_destroy): Removed.

	* nasl/nasl_scanner_glue.h: Removed protos accordingly.

	* misc/plugutils.c (shared_socket_register, shared_socket_acquire,
	shared_socket_release, shared_socket_destroy): Removed.

	* misc/plugutils.h: Removed protos accordingly.

2011-05-30  Michael Wiegand <michael.wiegand@greenbone.net>

	Post branch version bump.

	* CMakeLists.txt: Set version to 5.0.0.

2011-05-24  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (omp_get_system_reports): Return status code instead of 1, as
	in other functions.  Thanks to Stephan Kleine for reporting.

2011-05-23  Michael Wiegand <michael.wiegand@greenbone.net>

	* misc/plugutils.c: Add support for separate control of
	unscanned_closed behavior for UDP ports.
	(unscanned_udp_ports_as_closed): New function to honor the
	unscanned_closed_udp preference.
	(kb_get_port_state_proto): Use unscanned_udp_ports_as_closed instead
	of unscanned_ports_as_closed for UDP ports.

2011-05-04  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 4.0.5.

2011-05-04  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 4.0.4 release.

	* CHANGES: Updated.

2011-04-15  Henri Doreau <henri.doreau@greenbone.net>

	* nasl/nasl_grammar.y (init_nasl_ctx), nasl/nasl.c (main): fixed memory
	leaks reported by valgrind.

2011-04-15  Henri Doreau <henri.doreau@greenbone.net>

	* misc/popen.c (openvas_popen4): replaced raw fd numbers for
	stdin/stdout/stderr by the corresponding STD*_FILENO macros from
	unistd.h

2011-04-11  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/xml.c (try_read_entity_and_string): New function.  Body from
	read_entity_and_string, with timeout arg.
	(read_entity_and_string): Call through to try_read_entity_and_string.
	(try_read_entity): New function.
	(read_entity): Call through to try_read_entity.

	* omp/omp.c (omp_ping): New function.

	* omp/xml.h, omp/omp.h: Add headers accordingly.

2011-03-19  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/xml.c (parse_entity): New function.

	* omp/xml.h: Add header accordingly.

2011-03-09  Michael Wiegand <michael.wiegand@greenbone.net>

	* misc/plugutils.c (kb_get_port_state_proto): Honor unscanned_closed
	setting for UDP ports as well.

2011-03-07  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/xml.c (handle_end_element, read_entity_and_string): Free context
	data list elements.  From valgrind by Pavel Sejnoha.

2011-03-07  Michael Wiegand <michael.wiegand@greenbone.net>

	* hg/CMakeLists.txt, misc/CMakeLists.txt, nasl/CMakeLists.txt,
	omp/CMakeLists.txt: Refer to libraries by their target name to allow
	cmake to handle dependencies correctly. Add missing link between misc
	and base when doing static linking.

2011-03-03  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 4.0.4.

2011-03-03  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 4.0.3 release.

	* CHANGES: Updated.

2011-03-02  Chandrashekhar B <bchandra@secpod.com>

	* nasl/nasl_wmi.c (nasl_wmi_connect, nasl_wmi_connect_reg,
	nasl_wmi_connect_rsop): Fixed an issue with fetching IP
	string from the struct

	* nasl/nasl_smb.c (nasl_smb_connect): Fixed an issue with
	fetching IP string from the struct.

2011-03-01  Michael Wiegand <michael.wiegand@greenbone.net>

	* misc/arglists.c (str2arglist): Fix handling of input string.
	Inserting null bytes into the string caused resulting arglists to end
	prematurely.

2011-02-23  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 4.0.3.

2011-02-23  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 4.0.2 release.

	* CHANGES: Updated.

2011-02-23  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* doc/example.auth.conf: Fixed parameter name as spotted by Michael
	Wiegand.

2011-02-23  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* doc/example.auth.conf: Corrected comment about which parameter
	to pass to cmake in order to compile libraries with LDAP-support.
	Switch example to "enable" keyword.

2011-02-22  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Ensure that tools/openvas-lsc-rpm-creator.sh gets
	installed to the location OpenVAS Manager expects it to be.

2011-02-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 4.0.2.

2011-02-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 4.0.1 release.

	* CHANGES: Updated.

2011-02-16  Michael Wiegand <michael.wiegand@greenbone.net>

	* misc/openvas_auth.c (openvas_is_user_admin): Make check for
	administrative privileges stricter; isadmin is expected to be a
	regular file.

2011-02-15  Chandrashekhar B <bchandra@secpod.com>

	* misc/pcap.c (v6_getinterfaces): Fixed a segfault issue
	when null ifaddrs struct is encountered.

2011-02-08  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Replace call to deprecated exec_program with
	execute_process.

2011-02-07  Michael Wiegand <michael.wiegand@greenbone.net>

	* doc/wmi-howto.txt: Fix date.

2011-02-07  Michael Wiegand <michael.wiegand@greenbone.net>

	Further consolidation: Move common checks in submodules to top-level
	CMakeLists.txt so they are only executed once. Improve pkg-config
	support.

	* hg/CMakeLists.txt, base/CMakeLists.txt, nasl/CMakeLists.txt,
	misc/CMakeLists.txt, omp/CMakeLists.txt: Remove checks for glib and
	gpgme flags since they are now done by the top-level CMakeLists.txt.

	* CMakeLists.txt: Make sure flags for glib and gpgme are set. Add
	gpgme flags to EXTRA_LIBS and EXTRA_CFLAGS so pkg-config sees them.

	* libopenvas.pc.in: Add EXTRA_LIBS and EXTRA_CFLAGS to care for
	libraries which are not yet pkg-config compliant.

2011-02-04  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/openvas_logging.c (openvas_log_func): Correct typo in format.

2011-02-03  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 4.0.1.

2011-02-03  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 4.0.0 release.

	* CHANGES: Updated.

	* CMakeLists.txt: Updated.

2011-02-03  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Attempt to detect whether we are installing on a 32
	or 64 bit system and set LIBDIR accordingly.

2011-02-03  Michael Wiegand <michael.wiegand@greenbone.net>

	* doc/wmi-howto.txt: Updated to match new wmi version and new patch.

2011-02-02  Michael Wiegand <michael.wiegand@greenbone.net>

	Switch libwmiclient detection to pkg-config.

	* CMakeLists.txt: Use pkg_check_modules to find libwmiclient.

	* nasl/CMakeLists.txt: Use WMICLIENT_FOUND instead of HAVE_WMI as an
	indicator for the presence of libwmiclient.

2011-02-02  Michael Wiegand <michael.wiegand@greenbone.net>

	Install openvas-services into the correct location according to the
	FHS.

	* CMakeLists.txt: Install openvas-services to OPENVAS_DATA_DIR
	instead of OPENVAS_STATE_DIR.

	* misc/CMakeLists.txt: Define OPENVAS_DATA_DIR if it is set
	OPENVAS_DATA_DIR.

	* misc/services.h: Update define so OPENVAS_SERVICES points to the
	correct location.

2011-02-02  Michael Wiegand <michael.wiegand@greenbone.net>

	Move installation of openvas-services file from openvas-scanner to
	openvas-libraries since the only function using it resides in
	openvas-libraries.

	* openvas-services: New. Was openvas-scanner/openvas-services.

	* CMakeLists.txt: Add handling of openvas-services.

2011-02-01  Michael Wiegand <michael.wiegand@greenbone.net>

	* INSTALL: Improved example as suggested by Felix Wolfsteller.

2011-02-01  Michael Wiegand <michael.wiegand@greenbone.net>

	Add/resurrect pkg-config support to openvas-libraries and remove now
	obsolete libopenvas-config infrastructure.

	* tools/libopenvas-config.in: Removed.

	* doc/libopenvas-config.1: Removed.

	* libopenvas.pc.in: New. Template for pkg-config metadata file for
	openvas-libraries.

	* CMakeLists.txt: Move checks for glib and gnutls to pkg-config.
	Remove handling of libopenvas-config. Add handling of libopenvas.pc.

	* INSTALL: Update requirements. Add hint on setting PKG_CONFIG_PATH.

2011-01-28  Michael Wiegand <michael.wiegand@greenbone.net>

	* base/settings.c: Adapt settings handling to new openvas-scanner
	behaviour.
	(settings_init_from_file): New function to read setting from a file.
	(settings_init): Read settings directly from the output of "openvassd
	-s" now.
	(settings_save): Only write new or changed settings to the settings
	file.
	(init_settings_iterator_from_file): New function to initialize an
	iterator from a file.

	* base/settings.h: Updated.

2011-01-26  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set to 4.0+rc5.

2011-01-26  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-libraries 4.0+rc4 release.

	* CHANGES: Updated.

2011-01-26  Michael Wiegand <michael.wiegand@greenbone.net>

	Ensure that the command "libopenvas-config --version" returns a string
	in the expected format even when CPACK_PACKAGE_VERSION_PATCH indicates
	that this is a beta or rc version.

	* CMakeLists.txt: Define LIBOPENVASCONFIG_VERSION based on the
	contents of CPACK_PACKAGE_VERSION_PATCH.

	* tools/libopenvas-config.in: Use LIBOPENVASCONFIG_VERSION instead of
	OPENVASLIB_VERSION for the version display.

2011-01-26  Michael Wiegand <michael.wiegand@greenbone.net>

	* misc/network.c (write_stream_connection4): Fix format string in
	debug message. Spotted by Felix Wolfsteller.

2011-01-26  Michael Wiegand <michael.wiegand@greenbone.net>

	* README: Remove outdated information, redirect readers to the INSTALL
	file instead.

2011-01-25  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* INSTALL: Added hint on wmi cient library.

	* doc/wmi-howto.txt: Adpated to cmake messages and added
	note on library name.

2011-01-25  Stephan Kleine

	* omp/CMakeLists.txt, misc/CMakeLists.txt, hg/CMakeLists.txt: fix
	link_directories for out of source builds.

2011-01-25  Stephan Kleine

	* CMakeLists.txt: install man pages into proper directory.

2011-01-25  Christian Kuersteiner <ckuerste@gmx.ch>

	* misc/network.c (open_socket): Removed unnecessary parameter.

2011-01-25  Michael Wiegand <michael.wiegand@greenbone.net>

	* nasl/CMakeList.txt: Add option to ignore warnings regarding
	unprototyped calls in nasl/regex.c to fix the build process with
	recent versions of openSUSE.

	* INSTALL: Add section documenting compiler options.

2011-01-25  Michael Wiegand <michael.wiegand@greenbone.net>

	* doc/CMakeLists.txt: New. Added missing file required to build
	documentation.

2011-01-25  Michael Wiegand <michael.wiegand@greenbone.net>

	* nasl/CMakeList.txt: Fix linking of nasl libraries with other parts
	of openvas-libraries to fix build issue with newer cmake versions.

2011-01-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set to 4.0+rc4

2011-01-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Quick fixes before release.

	* TODO: Removed. The last two entries are not of notable
	relevance anymore (AIX and module dependency problem).

	* CMakeLists.txt: Add libopenvas-config for CPack.

2011-01-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-libraries 4.0+rc3 release.

	* openvas_macros.cmake, openvas_cmake_macros: Renamed
	openvas_macros.cmake to openvas_cmake_macros to avoid
	confusion with temporary .cmake files and to avoid
	special treatment in the CMakeLists.txt for CPack.

	* libopenvas.pc.in: Removed. It is was yet another remains
	of the autotools time.

	* CHANGES: Updated.

2011-01-08  Matthew Mundell <matthew.mundell@greenbone.net>

	* base/openvas_file.c: Remove todos about moving into this module.

2011-01-03  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	Fix rule saving for ldap authenticated users by ensuring existence of

2011-01-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/CMakeLists.txt: Pass OPENVASLIB_VERSION properly for compilation.

	* nasl/nasl_init.c (libsvars, nasl_version): Renamed VERSION
	to OPENVASLIB_VERSION.

2011-01-19  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/openvas_server.c (openvas_server_sendf_xml): New function, from
	gsa.

	* misc/openvas_server.h: Add header accordingly.

	* omp/omp.c (omp_create_target): Send with openvas_server_send_xml
	so that special chars in args are encoded.

2011-01-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_tcp.h, nasl/nasl_ip.h, nasl/nasl_udp.h, nasl/nasl_icmp.h:
	Removed. These don't add anything anymore.

	* nasl/nasl_raw.h: Include netinet componentd rather than the above
	header files that did include them.

	* nasl/nasl_init.c: Include nasl_raw.h (early as it sets some relevant
	makros). Dont't include nasl_tcp anymore.

	* COPYING: Updated.

2011-01-19  Matthew Mundell <matthew.mundell@greenbone.net>

	* misc/arglists.c (arg_set_name): New function.

	* misc/arglists.h: Add header accordingly.

	* misc/store.c (store_load_plugin): Convert any dependencies of file type
	"nes" to "nasl", now that all NESs are NASLs.

2011-01-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt: Create installation directory for
	openvas sysconf (usually /etc/openvas/)

2011-01-19  Matthew Mundell <matthew.mundell@greenbone.net>

	* CMakeLists.txt (CPACK_PACKAGE_VERSION_PATCH): Remove "0".
	(CPACK_PACKAGE_VERSION0): Remove ".".

	* misc/CMakeLists.txt: Set PATCH_VERS to "0" if the patch version is
	missing.

2011-01-18  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* nasl/nasl_icmp.h: Removed code path for not HAS_ICMP_ICMP_LIFETIME.

	* hg/hg_dns_axfr.c: Activated code path for HAVE_NETINET_IN_H.

	* misc/plugutils.c (sig_n): Activated code path for HAVE_SIGACTION,
	removed code path for not HAVE_SIGACTION.

	* misc/proctitle.c: Activated code path for not HAVE_SETPROCTITLE.
	Activated code path for HAVE_VNSPRINTF.

	* misc/proctitle.h: Activated code path for not HAVE_SETPROCTITLE.

	* misc/share_fd.c: Activate code path for HAVE_SENDMSG, for HAVE_RECVMSG
	and for HAVE_CONTROL_IN_MSGHDR. Activate code for not
	HAVE_ACCRIGHTS_IN_MSGHDR.

	* misc/system.c: Activated code path for HAVE_MALLOC_H.

	* CMakeLists.txt: Added install directive for several directories.

2011-01-18  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* INSTALL: Updated to cmake build system and harmonized
	with other modules.

2011-01-18  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Resolving libvers.h.in.

	* include/, include/libvers.h.in: Removed.

	* misc/plugutils.c: Removed include of libvers.h.  Harmonized
	macros for VERSION and version elements with CMakeLists.txt.

	* misc/CMakeLists.txt: Add transfer of version makros.

	* COPYING: Updated.

2011-01-18  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* include/libopenvas.h: Removed. It was no code in there anyway.

	* COPYING: Updated.

2011-01-18  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Resolving config.h.

	* include/config.h.in: Removed.

	* misc/pcap.c: Removed include of config.h. Remove conditional
	include of sys/sockio.h (HAVE_SYS_SOCKIO_H).
	(getinterfaces): Removed code paths for HAVE_SOCKADDR_SA_LEN,
	activated code path for HAVE_STRUCT_IFMAP.

	* misc/share_fd.c: Removed include of config.h.

	* nasl/nasl_tcp.h: Activated code path for HAVE_NETINET_TCP_H
	and for HAVE_STRUCT_TCPHDR.

	* nasl/nasl_ip.h: Activated code path for HAVE_NETINET_IP_H
	and for HAVE_STRUCT_TCPHDR. Deactivate code for HAVE_STRUCT_IP_CSUM.

	* nasl/nasl_udp.h: Activate code path for HAVE_STRUCT_UDPHDR.
	Deactivated code for not HAVE_BSD_STRUCT_UDPHDR.

	* nasl/nasl_icmp.h: Activate code patch for HAVE_NETINET_IP_ICMP_H
	and HAVE_STRUCT_ICMP.

	* nasl/regex.c: Removed include of config.h. Activate code for
	HAVE_STRING_H and HAVE_STDLIB_H.

	* COPYING: Updated.

2011-01-18  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (omp_create_target): Separate credential arg into per
	protocol args.

	* omp/omp.h: Add header accordingly.

2011-01-18  Matthew Mundell <matthew.mundell@greenbone.net>

	* omp/omp.c (omp_create_target): Use new SSH_LSC_CREDENTIAL element
	instead of old LSC_CREDENTIAL.

2011-01-18  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* doc/example.auth.conf: Updated with more sensible values and
	additional comments.

2011-01-17  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt: Install users directory.

